2015-07-13  Murray Cumming  <murrayc@murrayc.com>

	1.28.5

2015-07-13  Murray Cumming  <murrayc@murrayc.com>

	Dialog_Import_CSV_Progress::on_idle_import: Fix a shadowed variable.

	This was obviously a real mistake. That code path just has no test
	yet.

2015-07-13  Murray Cumming  <murrayc@murrayc.com>

	AX_BOOST_PYTHON(): PYTHON_LDFLAGS (from AX_PYTHON_DEVEL) really has LIBS, not LDFLAGS.

	Using it as LDFLAGS instea of LIBS puts the -L and -l arguments in the wrong
	position, leading to linker failures. This fixes it.
	See https://savannah.gnu.org/patch/?8701

2015-07-13  Murray Cumming  <murrayc@murrayc.com>

	macros: Update the ax_* boost and python m4 macros.

2015-04-24  Rafael Ferreira  <rafael.f.f1@gmail.com>

	Updated Brazilian Portuguese translation

2015-03-16  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2015-03-15  Samir Ribic  <samir.ribic@etf.unsa.ba>

	Added Bosnian translation

2015-03-15  Samir Ribic  <samir.ribic@etf.unsa.ba>

	Added Bosnian translation

2015-03-15  Samir Ribic  <samir.ribic@etf.unsa.ba>

	Added Bosnian translation

2015-03-15  Samir Ribic  <samir.ribic@etf.unsa.ba>

	Added Bosnian translation

2015-03-15  Samir Ribic  <samir.ribic@etf.unsa.ba>

	Added Bosnian translation

2015-03-15  Samir Ribic  <samir.ribic@etf.unsa.ba>

	Added Bosnian translation

2015-03-14  Balázs Úr  <urbalazs@gmail.com>

	Updated Hungarian translation

2015-03-09  Murray Cumming  <murrayc@murrayc.com>

	1.28.4

2015-03-09  Murray Cumming  <murrayc@murrayc.com>

	LayoutWidgetBase::apply_formatting() Fix for TextView and Label.

	Use TextView::set_justification() and Entry::set_alignment() too.
	This is now more like the code in git master, but using
	Gtk::Misc::set_alignment() instead of Gtk::Label::set_xalign(),
	because that would require a newer GTK+.

2015-03-07  Murray Cumming  <murrayc@murrayc.com>

	Revert comments changes from "Replace use of (deprecated) GtkLabel alignment."

	This reverts part of d8730c4174ac3a27e8aac4ed13a6855445c4fbd6.

	The commented-out changes would have been wrong because they
	were method calls on Entries, not Labels.

2015-03-07  Murray Cumming  <murrayc@murrayc.com>

	Revert part of "Replace use of (deprecated) GtkLabel alignment."

	This reverts part of d8730c4174ac3a27e8aac4ed13a6855445c4fbd6.

	It has mistakenly replaced Entry::set_alignment() with
	Widget::set_halign() instead of only replacing Misc::set_alignment().

	Now the fields take up their full widths again, so the extra buttons
	(New, Find, ..., etc) are not far away.

2015-02-12  Murray Cumming  <murrayc@murrayc.com>

	1.28.3

2015-02-12  Murray Cumming  <murrayc@murrayc.com>

	configure.ac: Reduce the gtkmm and giomm required versions again.

	These should not have been raised during a stable branch.

2015-02-12  Murray Cumming  <murrayc@murrayc.com>

	Revert "Dialog_ExistingOrNew::list_examples(): Use Gio::Resource."

	This reverts commit df255452e6bc34b362932dde4eb9bcf9d93fdd89.

	This should never have been in the stable branch.

2015-02-12  Murray Cumming  <murrayc@murrayc.com>

	Revert "Use Gio::Resource::get_info_global()."

	This reverts commit 3ec22eb2d3616d866feab7eee4962001b8270864.

	This should never have been in the stable branch.

2015-02-12  Murray Cumming  <murrayc@murrayc.com>

	Revert "Use Gio::Resource::open_stream_global()."

	This reverts commit caa73681324271fb5be4f1e804e8e85bb3c103e4.

	This should never have been in the stable branch.

2015-02-12  Murray Cumming  <murrayc@murrayc.com>

	Revert "Utils:get_resource_exists(): Use the latest Gio::Resource API."

	This reverts commit 47f09d00ea890bef7e42d50ad0dbbd7428864dbb.

	This should never have been in the stable branch.

2015-02-12  Murray Cumming  <murrayc@murrayc.com>

	Revert "Adapt to the latest Gio::Resource API."

	This reverts commit 52b27a1022b42d40dab326b260f16600edc5b9b1.

	This should never have been in the stable branch.

2015-02-12  Murray Cumming  <murrayc@murrayc.com>

	Revert "BusyCursor: Use the non-deprecated Gdk::Cursor::create(), taking a Display."

	This reverts commit c58cf14e35b67884f16449f30dc63ad8c5e9f4c4.

	This should never have been in the stable branch.

2015-02-12  Murray Cumming  <murrayc@murrayc.com>

	Revert "DbAddDel: Do not use deprecated set_rules_hint()."

	This reverts commit 6e0ba6c29b583731aa8d278d1629ac411c4bf0d9.

	This should never have been in the stable branch.

2015-02-10  Murray Cumming  <murrayc@murrayc.com>

	NEWS: Mention that this branch is a mess now.

2015-02-10  Murray Cumming  <murrayc@murrayc.com>

	Revert "Adapt to the libgda-6.0/libgdamm-6.0 API."

2015-02-10  Murray Cumming  <murrayc@murrayc.com>

	glom_get_locale_date_format(): Make this work even when LANGUAGE is set.

	By temporarily unsetting LANGUAGE while getting LC_TIME via
	setlocale(LC_TIME, NULL). As Geary does already too.

2015-02-10  Murray Cumming  <murrayc@murrayc.com>

	Remove debug output.

2015-02-10  Murray Cumming  <murrayc@murrayc.com>

	Use the LC_TIME environment variable to get translated date formats.

	So we have the correct 4 digit date formats for those too,
	even where the default behaviour is incorrect.

	Also add a regression test for this.

	Bug #742968

2015-02-10  Murray Cumming  <murrayc@murrayc.com>

	Correct a comment.

2015-02-10  Murray Cumming  <murrayc@murrayc.com>

	Notebook_Data: Destructor: Work around crash during shutdown.

	* glom/utility_widgets/notebook_noframe.[h|cc]:
	Add a hacky remove_all_pages_without_signalling() method
	to avoid us calling get_parent() while this widget is being
	removed, because that is causing get_parent() to be called on
	a GtkWidget that is no longer valid. This has started happening
	recently so I suspect a change in GTK+ or gtkmm.
	I have not put in the time to identify what is really going
	wrong.
	* glom/mode_data/notebook_data.cc: Destructor: Call the new
	workaround method.

2015-02-10  Murray Cumming  <murrayc@murrayc.com>

	CanvasItemMovable: Initialize m_drag_cursor_type.

2014-12-03  Murray Cumming  <murrayc@murrayc.com>

	1.28.1

2014-12-03  Murray Cumming  <murrayc@murrayc.com>

	ConnectionPool: Avoid an uncaught exception.

	add_column(), change_columns(), drop_column(): These are marked as
	nothrow() but did not catch a possible exception from connect().
	Found by Coverity Scan.

2014-12-03  Murray Cumming  <murrayc@murrayc.com>

	BaseDb_TableData::record_new(): Move a return to the correct scope.

	The return true inside the for loop prevented it from actually iterating.
	Found by Coverity Scan.

2014-12-03  Murray Cumming  <murrayc@murrayc.com>

	glom_import_po_all: Check the save() return value.

	Found by Coverity Scan.

2014-12-03  Murray Cumming  <murrayc@murrayc.com>

	Dialog_DatabasePreferences: Move a null check to earlier.

	Found by Coverity Scan.

2014-12-03  Murray Cumming  <murrayc@murrayc.com>

	Fix the build.

2014-12-03  Murray Cumming  <murrayc@murrayc.com>

	Box_Formatting: Also hide the multiline-height label.

	Found by Coverity Scan as a Copy-Paste Error.

2014-12-03  Murray Cumming  <murrayc@murrayc.com>

	AppWindow_WithDoc::on_menu_file_saveas(): Remove dead code.

	This was left over from before GtkFileChooser did its own warning
	about replacing files.
	Found by Coverity Scan.

2014-12-03  Murray Cumming  <murrayc@murrayc.com>

	ReportBuilder::report_build_records(): Remove dead code.

	Found by Coverity Scan.

2014-12-03  Murray Cumming  <murrayc@murrayc.com>

	EggSpreadTable: Avoid a division by zero if there are no lines.

	Found by Coverity Scan.

	I have pushed this to libegg too:
	https://git.gnome.org/browse/libegg/commit/?id=54489b5c3ba32c517a932f6b4402c06b599a29d1

2014-12-03  Murray Cumming  <murrayc@murrayc.com>

	TranslatableItem: Remove the Field Title else.

	There is no such thing apparently.

2014-12-03  Murray Cumming  <murrayc@murrayc.com>

	Field: Remove an unnecessary null check.

2014-12-03  Murray Cumming  <murrayc@murrayc.com>

	TranslatableItem::get_translatable_type_name(): Handle Field Titles.

	Found by Coverity Scan as Logically Dead Code because there was
	a duplicate else.

2014-12-03  Murray Cumming  <murrayc@murrayc.com>

	libgimpbase: Avoid an assignment to self.

	gimp_param_unit_value_validate() set a value to itself to not
	change the value, which was strange though not particularly wrong.
	Found by Coverity Scan.

	This was also submitted to gimp here:
	https://bugzilla.gnome.org/show_bug.cgi?id=741058

2014-12-03  Murray Cumming  <murrayc@murrayc.com>

	Remove unused member variables.

	Found by Coverity Scan.

2014-12-03  Murray Cumming  <murrayc@murrayc.com>

	ComboAsRadioButtons::set_choices_with_second(): Avoid use of invalid iterator.

	Though this would not actually happen.
	Found by Coverity Scan.

2014-12-03  Murray Cumming  <murrayc@murrayc.com>

	Dialog_FieldDefinition: Remove some unused member variables.

	Found by Coverity Scan.

2014-12-03  Murray Cumming  <murrayc@murrayc.com>

	PyGlomRelatedRecord: Initialize m_document and check it for null.

	Found by Coverity Scan.

2014-12-02  Murray Cumming  <murrayc@murrayc.com>

	LayoutItem::operator==(): Fix a comparison to self.

	Found by Coverity Scan.

2014-12-02  Murray Cumming  <murrayc@murrayc.com>

	AddDel::construct_specified_columns(): Really zero the items.

	The = 0 was inside the switch() instead of after it.
	Found by Coverity Scan.

2014-12-02  Murray Cumming  <murrayc@murrayc.com>

	CanvasItemMovable: Create the drag cursor for the specific display.

	This avoids using the deprecated Gdk::Cursor constructor that
	doesn't take a Gdk::Display.

2014-12-02  Murray Cumming  <murrayc@murrayc.com>

	DbAddDel: Do not use deprecated set_rules_hint().

	Apparently this is now for the theme to decide.

2014-12-02  Murray Cumming  <murrayc@murrayc.com>

	BusyCursor: Use the non-deprecated Gdk::Cursor::create(), taking a Display.

2014-12-02  Murray Cumming  <murrayc@murrayc.com>

	Remove some unnecessary returns.

	Found by Coverity Scan.

2014-12-02  Murray Cumming  <murrayc@murrayc.com>

	AppWindow::on_menu_file_save_as_example(): Check a dynamic_cast<>.

	Found by Coverity Scan.

2014-12-02  Murray Cumming  <murrayc@murrayc.com>

	PyGlomRelated::get_item(): Avoid leaking the PyGlomRelatedRecord.

	Found by Coverity Scan.

2014-12-02  Murray Cumming  <murrayc@murrayc.com>

	LayoutItem: Destructor: Delete mPositions.

	Found by Coverity Scan.

2014-12-01  Murray Cumming  <murrayc@murrayc.com>

	Adapt to the latest Gio::Resource API.

2014-12-01  Murray Cumming  <murrayc@murrayc.com>

	Utils:get_resource_exists(): Use the latest Gio::Resource API.

2014-11-27  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2014-11-17  Murray Cumming  <murrayc@murrayc.com>

	tests_selfhosting_new_then_image: Output clues about the failure.

2014-11-16  Murray Cumming  <murrayc@murrayc.com>

	Use Gio::Resource::open_stream_global().

	Instead of g_resources_open_stream().

2014-11-16  Murray Cumming  <murrayc@murrayc.com>

	Use Gio::Resource::get_info_global().

	Instead of the C API.

2014-11-16  Murray Cumming  <murrayc@murrayc.com>

	Dialog_ExistingOrNew::list_examples(): Use Gio::Resource.

	This has just been added to unstable giomm.

2014-10-25  Murray Cumming  <murrayc@murrayc.com>

	Adapt to the libgda-6.0/libgdamm-6.0 API.

2014-10-25  Мирослав Николић  <miroslavnikolic@rocketmail.com>

	Updated Serbian translation

2014-10-13  Murray Cumming  <murrayc@murrayc.com>

	appdata: Update the licence tags for the latest specification.

2014-09-30  Murray Cumming  <murrayc@murrayc.com>

	1.28.0

2014-09-30  Murray Cumming  <murrayc@murrayc.com>

	test_document_load_translations: Update the expected count.

2014-09-30  Murray Cumming  <murrayc@murrayc.com>

	Examples: Import new translations. This adds the eu (Basque) translation.

2014-09-11  Balázs Úr  <urbalazs@gmail.com>

	Updated Hungarian translation

2014-09-10  Christian Kirbach  <Christian.Kirbach@gmail.com>

	Updated German translation

2014-09-05  Andika Triwidada  <andika@gmail.com>

	Updated Indonesian translation

2014-07-23  Murray Cumming  <murrayc@murrayc.com>

	dialog_line.glade: Remove invalid width=0 for table packing.

2014-07-21  Murray Cumming  <murrayc@murrayc.com>

	Glade files: Remove deprecated GtkContainer:resize-mode property.

	It is now useless so it can just be removed.

2014-07-21  Inaki Larranaga Murgoitio  <dooteo@zundan.com>

	Added Basque language

2014-07-21  Inaki Larranaga Murgoitio  <dooteo@zundan.com>

	Added Basque language

2014-07-21  Inaki Larranaga Murgoitio  <dooteo@zundan.com>

	Added Basque language

2014-07-21  Inaki Larranaga Murgoitio  <dooteo@zundan.com>

	Added Basque language

2014-07-21  Inaki Larranaga Murgoitio  <dooteo@zundan.com>

	Updated Basque language

2014-07-21  Inaki Larranaga Murgoitio  <dooteo@zundan.com>

	Updated Basque language

2014-07-21  Inaki Larranaga Murgoitio  <dooteo@zundan.com>

	Added Basque language\nAdded 'eu' (Basque) to LINGUAS

2014-07-21  Murray Cumming  <murrayc@murrayc.com>

	FlowTableWithFields: Replace use of deprecated xalign and valign.

	Replace them with halign and valign, though we need an intermediate
	GtkBox to get the same behaviour.

2014-07-17  Murray Cumming  <murrayc@murrayc.com>

	Glade files: Replace stock properties with icon-name properties.

2014-07-15  Rafael Ferreira  <rafael.f.f1@gmail.com>

	Updated Brazilian Portuguese translation

2014-07-10  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2014-07-07  Murray Cumming  <murrayc@murrayc.com>

	1.27.1

2014-07-07  Murray Cumming  <murrayc@murrayc.com>

	Require gtkmm 3.13.3.

	That is the one with the corrected Gtk::Builder memory management
	for child widgets without a parent window from the same Glade file.

2014-07-04  Daniel Mustieles  <dnaiel.mustieles@gmail.com>

	Updated Spanish translation

2014-07-01  Piotr Drąg  <piotrdrag@gmail.com>

	Glade files: Mark ex-stock buttons as translatable.

2014-07-01  Murray Cumming  <murrayc@murrayc.com>

	Data Layout glade file: Remove remaining stock icons and GtkAlignments.

	Because they are deprecated.

2014-07-01  Murray Cumming  <murrayc@murrayc.com>

	Glade files: Do not use (deprecated) stock button text.

	This still seems like a great loss, particularly for translation.

2014-07-01  Murray Cumming  <murrayc@murrayc.com>

	Glade files: Remove some use of xalign/yalign for GtkFrame labels.

2014-06-30  Balázs Úr  <urbalazs@src.gnome.org>

	Updated Hungarian translation

2014-06-30  Daniel Mustieles  <dnaiel.mustieles@gmail.com>

	Updated Spanish translation

2014-06-27  Murray Cumming  <murrayc@murrayc.com>

	Glade files: Remove some use of xalign/yalign for GtkFrame labels.

2014-06-27  Murray Cumming  <murrayc@murrayc.com>

	Glade files: Replace some more (deprecated) GtkAlignments.

2014-06-27  Murray Cumming  <murrayc@murrayc.com>

	Glade files: Replace unnecessary use of deprecated xpad.

2014-06-27  Murray Cumming  <murrayc@murrayc.com>

	Glade utils: Initialize widget to 0 before, not after getting it.

2014-06-27  Murray Cumming  <murrayc@murrayc.com>

	Glade files: Replace deprecated xalign and yalign.

2014-06-27  Murray Cumming  <murrayc@murrayc.com>

	Glade files: Replace (deprecated) margin-left with margin-right.

2014-06-27  Murray Cumming  <murrayc@murrayc.com>

	Field Definition: Restore some parent containers.

	And change them from (deprecated) GtkAlignment to GtkBox.

2014-06-27  Murray Cumming  <murrayc@murrayc.com>

	Adapt to recent Gtk::Builder child-widget ref-counting fixes.

2014-06-17  Daniel Mustieles  <dnaiel.mustieles@gmail.com>

	Updated Spanish translation

2014-06-17  Murray Cumming  <murrayc@murrayc.com>

	Add a small null-pointer check.

2014-06-17  Murray Cumming  <murrayc@murrayc.com>

	test_glade_derived_instantiation: Give dialogs transient parents.

	This avoid the GTK+ message about GtkDialogs that have no transient
	parent windows, though it is not important in this case.

2014-06-17  Murray Cumming  <murrayc@murrayc.com>

	Base_DB::handle_error(): Take a parent Gtk::Window.

	This was always a good idea, and now its more noticeable because
	GTK+ outputs a message about missing transient windows.

2014-06-16  Rafael Ferreira  <rafael.f.f1@gmail.com>

	Updated Brazilian Portuguese translation

2014-06-13  Murray Cumming  <murrayc@murrayc.com>

	Music Collectio example: Remove singular titles for relationships.

	They should not have any because there is no time they should be
	needed.

2014-06-13  Murray Cumming  <murrayc@murrayc.com>

	Imported .po files into examples.

2014-06-13  Murray Cumming  <murrayc@murrayc.com>

	Music Collection example: Add some singular titles.

2014-06-13  MarMav  <mavridou@gmail.com>

	Updated Greek translation

2014-06-06  Murray Cumming  <murrayc@murrayc.com>

	Developer UI: Replace more uses of Gtk::Alignment

2014-06-05  Murray Cumming  <murrayc@murrayc.com>

	Operator UI: Replace most uses of GtkAlignment in Glade files.

2014-06-05  Murray Cumming  <murrayc@murrayc.com>

	configure.ac: Don't use -pedantic with the C sources.

	Because the latest gcc doesn't like the object<->function-pointer
	casts in eggmarshalers.c.

2014-06-05  Murray Cumming  <murrayc@murrayc.com>

	Disable long-long warnings because Python uses long long.

2014-06-05  Murray Cumming  <murrayc@murrayc.com>

	Replace use of (deprecated) GtkLabel alignment.

2014-06-05  Murray Cumming  <murrayc@murrayc.com>

	FlowTableWithFields: Replace the use of Gtk::Alignment.

2014-06-05  Murray Cumming  <murrayc@murrayc.com>

	Replace most uses of Gtk::Alignment in the code.

2014-06-03  Murray Cumming  <murrayc@murrayc.com>

	Revert "Adapt to the libgda-6.0/libgdamm-6.0 API."

	This reverts commit 9382d0e046a64a488f93d0473b30ec90a0fc2711.

2014-06-03  Murray Cumming  <murrayc@murrayc.com>

	Replace more Gtk::Alignment uses with Gtk::Widget margin and alignment.

2014-06-03  Murray Cumming  <murrayc@murrayc.com>

	Avoid some use of (deprecated) Gtk::Alignment in code.

	Use Gtk::Bin for placeholder parent widgets in the code instead,
	though they are still GtkAlignment in the Glade .ui files.

2014-06-03  Murray Cumming  <murrayc@murrayc.com>

	Import example file translations.

2014-05-30  Lasse Liehu  <lasse.liehu@gmail.com>

	Finnish translation update

2014-05-02  Christian Kirbach  <Christian.Kirbach@gmail.com>

	Updated German translation

2014-04-29  Murray Cumming  <murrayc@murrayc.com>

	Actually remove gst-package.[h.c].

2014-04-29  Murray Cumming  <murrayc@murrayc.com>

	Remove some extra semicolons.

2014-04-29  Murray Cumming  <murrayc@murrayc.com>

	Dialog_ExistingOrNew: Avoid another warning.

2014-04-29  Murray Cumming  <murrayc@murrayc.com>

	Dialog_ExistingOrNew: Avoid some g++ pedantic warnings.

	The gettext/gi18n N_() macro causes these warnings:
	"initialized by parenthesized string literal"

2014-04-29  Murray Cumming  <murrayc@murrayc.com>

	Do not try to build the commented-out gst-package.[h|cc] files.

	g++ doesn't like building empty files with -pedantic.

2014-04-29  Murray Cumming  <murrayc@murrayc.com>

	configure.ac: Enable some more warnings.

2014-04-27  Murray Cumming  <murrayc@murrayc.com>

	Adapt to the libgda-6.0/libgdamm-6.0 API.

2014-04-25  Murray Cumming  <murrayc@murrayc.com>

	Require the latest libgdamm version.

	For the Gda::Value API additions.

2014-04-25  Murray Cumming  <murrayc@murrayc.com>

	Add comments about python Gda versioning.

2014-04-25  Murray Cumming  <murrayc@murrayc.com>

	Dialog_InvalidData: Avoid an ambiguous Gda::Value() constructor.

2014-04-25  Murray Cumming  <murrayc@murrayc.com>

	Avoid use of deprecated ambiguous Gda::Value API.

2014-04-25  Murray Cumming  <murrayc@murrayc.com>

	tests: Use double literal values instead of floats.

	Because libgda seems to have started using more precision.

2014-04-25  Murray Cumming  <murrayc@murrayc.com>

	configure.ac: Fail if we can't find boost-python.

2014-04-25  Murray Cumming  <murrayc@murrayc.com>

	Makefile_tests.am: Remove a duplicate set of definitions.

2014-04-15  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2014-04-08  Murray Cumming  <murrayc@murrayc.com>

	Application: Use non-deprecated accelerators API.

2014-03-31  Andika Triwidada  <andika@gmail.com>

	Updated Indonesian translation

2014-03-28  Andika Triwidada  <andika@gmail.com>

	Updated Indonesian translation

2014-03-20  Enrico Nicoletto  <liverig@gmail.com>

	Updated Brazilian Portuguese translation

2014-03-20  Murray Cumming  <murrayc@murrayc.com>

	Add a comment.

2014-03-06  Murray Cumming  <murrayc@murrayc.com>

	1.26.0

2014-03-06  Murray Cumming  <murrayc@murrayc.com>

	Add explanatory comment about LC_NUMERIC and 4 digit years.

2014-03-05  Murray Cumming  <murrayc@murrayc.com>

	ReportBuilder: Take a std::locale instead of a std::string locale name.

	* glom/libglom/data_structure/glomconversions.[h|cc]:
	Remove the recently-added get_text_for_gda_value() overload
	that took a ustring locale ID.
	* glom/libglom/report_builder.[h|cc]: Constructor: Take a
	std::locale instead of just a locale name, because we need the
	full locale (name) for use with get_text_for_gda_value().
	Use Utils::locale_simplify() to get the locale ID for use with
	translations.
	This means that we will ignore a temporarily-chosen translation,
	because we have no way to get the full locale name from the
	simpler currently-set locale ID, but that is not so bad.
	* glom/frame_glom.cc:
	* glom/mode_data/box_data_manyrecords.cc:
	* tests/test_selfhosting_new_then_report.cc:
	* tests/test_selfhosting_new_then_report_summary.cc: Adapted.

2014-03-05  Murray Cumming  <murrayc@murrayc.com>

	Re-export examples to .po files.

2014-03-05  Murray Cumming  <murrayc@murrayc.com>

	Import examples translations

2014-02-23  Balázs Úr  <urbalazs@src.gnome.org>

	Updated Hungarian translation

2014-02-18  Dimitris Spingos  <dmtrs32@gmail.com>

	Added Greek help translation

2014-02-09  Christian Kirbach  <Christian.Kirbach@gmail.com>

	Updated German translation

2014-02-03  Dimitris Spingos  <dmtrs32@gmail.com>

	Updated Greek translation

2014-01-31  Мирослав Николић  <miroslavnikolic@rocketmail.com>

	Updated Serbian translation

2014-01-31  Murray Cumming  <murrayc@murrayc.com>

	1.25.6

2014-01-28  Мирослав Николић  <miroslavnikolic@rocketmail.com>

	Updated Serbian translation

2014-01-28  Murray Cumming  <murrayc@murrayc.com>

	Backup: Simplify the code and fix the problem with groups.

	* glom/libglom/connectionpool.[h|cc]: convert_backup():
	Take a path to the (postgres-specific) backup data file instead
	of a path to the parent directory, so we do not need to
	guess the actual path.
	* glom/libglom/connectionpool_backends/backend.h
	* glom/libglom/connectionpool_backends/mysql.[h|cc]:
	* glom/libglom/connectionpool_backends/postgres.[h|cc]:
	* glom/libglom/connectionpool_backends/sqlite.[h|cc]: convert_backup():
	Rename path_backup to backup_data_file_path to make it clearer.

	* glom/libglom/document/document.[h|cc]: extract_backup_file():
	Take a path to the (postgres-specific) backup data file,

	* glom/appwindow.[h|cc]:
	do_restore_backup(): Store the path to the backup data file in
	m_backup_data_filepath temporarily.
	on_document_load(): Pass m_backup_data_filepath to
	recreate_database_from_example().
	recreate_database_from_example(): Take a path to the backup data
	instead of a URI to the .glom file, and pass that path to
	ConnectionPool::convert_backup().
	Also add groups before restoring the backup data, because it needs
	these groups to exist already.
	* glom/libglom/db_utils.cc: add_group(): Do not fail if the
	autoincrements table does not exist yet, because this can happen
	while restoring data from a backup.

	* tests/test_selfhosting_new_then_backup_restore.cc: Adapted.

2014-01-28  Murray Cumming  <murrayc@murrayc.com>

	Fix restoring from backups.

	* glom/appwindow.cc: recreate_database_from_backup():
	Do not try to add the standard groups until after restoring
	from the postgres backup data, because we try (and fail) to
	set groups for standard tables that do not exist yet.

2014-01-28  Murray Cumming  <murrayc@murrayc.com>

	Added a little error output.

2014-01-20  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2014-01-19  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2014-01-15  Murray Cumming  <murrayc@murrayc.com>

	Exporting Backup: Save the backup data file too.

	* glom/libglom/document/document.cc: save_backup_file():
	Move some code to an add_file_to_archive() utility function and
	use it to add the postgres backup data export file too.

2014-01-15  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2014-01-14  Murray Cumming  <murrayc@murrayc.com>

	Some bytes-versus-characters corrections.

2014-01-14  Murray Cumming  <murrayc@murrayc.com>

	AppWindow: Avoid an infinite loop when loading fails.

	* glom/appwindow.cc: ui_warning_load_failed(): Do not call the
	function itself. This was a side-effect of a recent collapsing
	of the class hierarchy.

2014-01-08  Murray Cumming  <murrayc@murrayc.com>

	Backups: Use libarchive instead of calling the tar command-line utility.

	* configure.ac: Depend on libarchive.
	* glom/libglom/document/document.[h|cc]:
	save_backup_file(): Use libarchive instead of the command-line.
	restore_backup_file(): Rename to extract backup_file() and redocument it
	to return the contents in memory rather than a path to a temporary file.
	Use libarchive rather than the command-line.
	* tests/test_selfhosting_utils.[h|cc]: Add test_create_and_selfhost_from_data(),
	moving some shared code into after_load().
	* tests/test_selfhosting_new_then_backup_restore.cc: Adapted.

	The libarchive API is not well documented and the code is rather verbose
	and repetitive, mostly due to the error checking, so it does not feel
	entirely robust. But in general, this should be safer than using shell
	commands, even though we were doing that properly. And this would let us
	load the example data progressively/asynchronously if we make suitable
	changes to the API.

2013-12-24  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2013-12-19  Murray Cumming  <murrayc@murrayc.com>

	1.25.5

2013-12-19  Murray Cumming  <murrayc@murrayc.com>

	Add a comment.

2013-12-19  Murray Cumming  <murrayc@murrayc.com>

	tests_field_file_format: Set the locale and test several locales.

	* Makefile_tests.am:
	* tests/test_field_file_format_in_locales.sh:
	Add a script that runs test_field_file_format in various locales,
	because GdaNumeric seems to be doing some locale-sensitive
	atof().
	* tests/test_field_file_format.cc: Use the current locale.

2013-12-19  Murray Cumming  <murrayc@murrayc.com>

	Add a test of Field::to/form_file_format().

2013-12-17  Richard Hughes  <richard@hughsie.com>

	AppData file: Fix the ID to match the name of the installed desktop file

2013-12-16  Murray Cumming  <murrayc@murrayc.com>

	Added tests for some utility methods.

2013-12-15  Murray Cumming  <murrayc@murrayc.com>

	configure.ac: Check that we have the pg_config utility.

2013-12-03  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2013-12-02  Murray Cumming  <murrayc@murrayc.com>

	Simplify some test code.

2013-11-29  Murray Cumming  <murrayc@murrayc.com>

	Update .gitignore

2013-11-29  Murray Cumming  <murrayc@murrayc.com>

	Tests: Added a test of getting field values via the python record[] API.

2013-11-29  Murray Cumming  <murrayc@murrayc.com>

	Python: Take the Document as const.

2013-11-29  Murray Cumming  <murrayc@murrayc.com>

	Require the latest libgda.

	This has several fixes that Glom needs.

2013-11-28  Murray Cumming  <murrayc@murrayc.com>

	DbUtils: get_database_preferences(): Use a specific locale.

2013-11-28  Murray Cumming  <murrayc@murrayc.com>

	Report Tests: Use a specific locale, so these work everywhere.

	* glom/libglom/data_structure/glomconversions.[h|cc]:
	Add a get_text_for_gda_value() overload that takes a locale name,
	so we do not need to just use the current locale.
	* glom/report_builder.cc: Use the new overload instead of ignoring
	the provided locale for this.
	* tests/test_selfhosting_new_then_report.cc
	* tests/test_selfhosting_new_then_report_summary.cc:
	Pass the en_US.UTF-8 locale name to the ReportBuilder constructor,
	instead of depending on the system's current locale,
	so this tests can pass regardless of the current locale.

2013-11-28  Murray Cumming  <murrayc@murrayc.com>

	Base_DB: Move get_record_field_values() to libglom.

	This lets us use it in tests.

2013-11-21  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2013-11-21  Murray Cumming  <murrayc@murrayc.com>

	1.25.4

2013-11-21  Murray Cumming  <murrayc@murrayc.com>

	Imported .po translation files to examples.

2013-11-21  Murray Cumming  <murrayc@murrayc.com>

	Fix the build

2013-11-21  Murray Cumming  <murrayc@murrayc.com>

	Put UI utils in UiUtils namespace.

2013-11-20  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2013-11-20  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Added Spanish translation

2013-11-19  Murray Cumming  <murrayc@murrayc.com>

	Remove some now-irrelevant TODO comments.

2013-11-19  Murray Cumming  <murrayc@murrayc.com>

	Tests: Catch some exceptions.

2013-11-19  Murray Cumming  <murrayc@murrayc.com>

	DbUtils::layout_field_should_have_navigation(): Const correction.

2013-11-19  Murray Cumming  <murrayc@murrayc.com>

	Document: Rename GLOM_NODE_DATA_LAYOUT_ITEM to GLOM_NODE_DATA_LAYOUT_ITEM_FIELD.

2013-11-19  Murray Cumming  <murrayc@murrayc.com>

	Document::set_tables(): Check for an actual change.

	* glom/libglom/data_structure/tableinfo.h(): Add operator==()
	and operator!=().
	* glom/libglom/document/document.cc(): set_tables(): Check for a
	change before re-setting this and marking
	the document as modified.

2013-11-19  Murray Cumming  <murrayc@murrayc.com>

	Field: Avoid some copy/pasted code.

2013-11-18  Murray Cumming  <murrayc@murrayc.com>

	Imported translations into examples

2013-11-18  Balázs Úr  <urbalazs@src.gnome.org>

	Updated Hungarian translation

2013-11-18  Balázs Úr  <urbalazs@src.gnome.org>

	Updated Hungarian translation

2013-11-18  Balázs Úr  <urbalazs@src.gnome.org>

	Updated Hungarian translation

2013-11-18  Balázs Úr  <urbalazs@src.gnome.org>

	Updated Hungarian translation

2013-11-18  Balázs Úr  <urbalazs@src.gnome.org>

	Updated Hungarian translation

2013-11-18  Murray Cumming  <murrayc@murrayc.com>

	Avoid a now-unnecessary workaround.

	* glom/mode_data/datawidget/dialog_choose_id.cc:
	See Glom bug #660347 and gtkmm bug #605728 .

2013-11-18  Murray Cumming  <murrayc@murrayc.com>

	Fix the build.

2013-11-16  Murray Cumming  <murrayc@murrayc.com>

	Dialog_Properties: Allow more null pointer checks.

2013-11-16  Murray Cumming  <murrayc@murrayc.com>

	Fix some clang warnings.

2013-11-15  Murray Cumming  <murrayc@murrayc.com>

	FoundSet: Remove unused broken operator=().

2013-11-15  Murray Cumming  <murrayc@murrayc.com>

	Remove unnecessary comment.

2013-11-15  Murray Cumming  <murrayc@murrayc.com>

	Fix a clang warning.

2013-11-14  Murray Cumming  <murrayc@murrayc.com>

	Fix a typo in the header blocks.

	Some file had this typo and was probably then copied into new files.

2013-11-14  Murray Cumming  <murrayc@murrayc.com>

	Add a test for correct default field values.

	* examples/example_smallbusiness.glom: Add a string default
	value, so we can test it. There are already some numeric
	default values.
	* Makefile_tests.am:
	* tests/test_selfhosting_new_from_example_defaultvalues.cc:
	Check some default values.

2013-11-13  Murray Cumming  <murrayc@murrayc.com>

	DbUtils::get_fields_for_table_from_database(): Get default value too.

	* glom/libglom/db_utils.cc: Previously libgda got this wrong,
	but it has been fixed for a while now and we depend on newer
	versions.

2013-11-13  Murray Cumming  <murrayc@murrayc.com>

	Field Definition window: Fix expansion.

	This would have been broken since replacing GtkTable with GtkGrid.

2013-11-13  Murray Cumming  <murrayc@murrayc.com>

	Box_Formatting: Do not allow a 0 line-height for multiline text.

2013-11-11  Murray Cumming  <murrayc@murrayc.com>

	Frame_Glom: attempt_toggle_shared(): Abort if db startup failed.

	* glom/frame_glom.cc: Do not try to continue if re-startup
	failed, though I have never seen this problem happen.

2013-11-11  Murray Cumming  <murrayc@murrayc.com>

	libglom: Return more detailed database-startup errors.

2013-11-08  Murray Cumming  <murrayc@murrayc.com>

	AppWindow: Remove action groups before recreating them.

	* glom/appwindow.cc: Use Gtk::Widget::remove_action_group() now
	that it exists in gtkmm 3.10, though it is probably not
	necessary to do this.

2013-11-08  Murray Cumming  <murrayc@murrayc.com>

	Correct some comments

2013-11-08  Murray Cumming  <murrayc@murrayc.com>

	Update some comments about bugs.

2013-11-07  Murray Cumming  <murrayc@murrayc.com>

	Require a new-enough libgda.

	This is only really needed for the (not really used) MySQL support,
	in MySQL::attempt_connect() which uses PROTOCOL=TCP, but that libgda
	version should be widely available by now.

2013-11-07  Murray Cumming  <murrayc@murrayc.com>

	Replace some uses of g_object_set(, NULL) with reset_value().

	This avoids the issue of whether "" is accepted as NULL, though I
	think newer glibmm would pass NULL for all "" anyway.

2013-11-06  Murray Cumming  <murrayc@murrayc.com>

	AppWindow: Remove some unused code.

2013-11-06  Murray Cumming  <murrayc@murrayc.com>

	main.cc: Do not call gtk_init() now that we can use newer gtkmm.

2013-11-06  Murray Cumming  <murrayc@murrayc.com>

	test_selfhosting_new_then_alter_table: Uncomment an extra test.

	* tests/test_selfhosting_new_then_alter_table.cc: Check for use
	of quotes in the table name now that the bug in libgda seems to
	be fixed.

2013-11-06  Murray Cumming  <murrayc@murrayc.com>

	test_document_export_po: Remove the test file.

	* glom/libglom/utils.[h|cc]:
	Add delete_file() and catch exceptions in delete_directory().
	* tests/translations_po/test_document_export_po.cc:
	Delete the file that the test creates.

2013-11-06  Murray Cumming  <murrayc@murrayc.com>

	test_python_module: Unref the python object.

2013-11-06  Murray Cumming  <murrayc@murrayc.com>

	Update some comments

2013-11-06  Murray Cumming  <murrayc@murrayc.com>

	Remove code to initialize glib thread support.

	* glom/libglom/init.cc:
	* tests/import/test_parsing.cc:
	* tests/import/test_signals.cc: We depend on a new-enough glib now,
	so we do not need this.

2013-11-04  Murray Cumming  <murrayc@murrayc.com>

	Examples: Import from po files.

2013-11-02  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2013-11-02  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2013-10-31  Enrico Nicoletto  <liverig@gmail.com>

	Updated Brazilian Portuguese translation

2013-10-31  Murray Cumming  <murrayc@murrayc.com>

	Add Report-Msgid-Bugs-To to exported .po headers.

	Bug #686509 (Andika Triwidada)

2013-10-31  Murray Cumming  <murrayc@murrayc.com>

	Update .gitignore

2013-10-31  Murray Cumming  <murrayc@murrayc.com>

	Update .gitignore

2013-10-31  Murray Cumming  <murrayc@murrayc.com>

	Tests: Update expected number of translations.

2013-10-31  Murray Cumming  <murrayc@murrayc.com>

	Export .po for .glom examples: Try to split lines appropriately.

	* glom/libglom/translations_po.cc: get_po_context_for_item():
	Try to mimick how the translation tools split the lines,
	apparently at roughly 80 characters, but after the space before
	that.
	* examples/po_files/*/*.po: Export from the .glom .files.

2013-10-31  Murray Cumming  <murrayc@murrayc.com>

	Import translatins from .po files to .glom examples

2013-10-30  Murray Cumming  <murrayc@murrayc.com>

	Small Business Example: Restore a Relationship title.

	* examples/example_small_business.glom: Somehow only the
	German translation was there.

2013-10-30  Murray Cumming  <murrayc@murrayc.com>

	DbAddDel: Replace use of TreeView::remove_all_columns().

	* glom/utils_ui.[h|cc]:
	Add a treeview_delete_all_columns() method to explicitly
	delete the columns instead of just removing them and sometimes
	implicitly deleting them with Gtk::TreeView::remove_all_columns().
	* glom/mode_data/db_adddel/db_adddel.[h|cc]:
	* glom/utility_widgets/adddel/adddel.cc:
	* glom/import_csv/dialog_import_csv.cc: Use it.

	This seems to fix a crash when switching between Data and Find mode,
	though that might just have been due to not resetting the pointer
	to the button column.

2013-10-30  Murray Cumming  <murrayc@murrayc.com>

	Frame_Glom: Use GtkStack instead of our PlaceHolder widget for data/find modes.

	* glom/frame_glom.[h|cc]: Replace the Glom::PlaceHolder with
	GtkStack, using set/get_visible_child() instead of adding, removing
	and getting the GtkBox child. This is simpler and safer.
	* glom/mode_data/box_data_details.[h|cc]:
	Constructor: Use show_all_children() instead of show(),
	to avoid showing this when the parent widget does not want it.
	Also override show_all_vfunc() to make sure that we never show
	the layout toolbar accidentally.

	This simplifies the code, so we don't have to worry about side-effects
	of repeatedly adding and removing widgets from their container.

2013-10-30  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2013-10-29  Murray Cumming  <murrayc@murrayc.com>

	1.25.3

2013-10-29  Murray Cumming  <murrayc@murrayc.com>

	GResource building: Use the --internal option.

2013-10-29  Murray Cumming  <murrayc@murrayc.com>

	GResource building: Fixes for builddir!=srcdir.

2013-10-29  Murray Cumming  <murrayc@murrayc.com>

	Use G_STRFUNC on all std::cerr messages.

	I really need to invent some more concise way to do simple
	error checks and logging.

2013-10-29  Murray Cumming  <murrayc@murrayc.com>

	Explicitly dist the examples again.

	Some versions of autotools seem to do this automatically because
	these are dependencies of the gresources .c files.

2013-10-28  Enrico Nicoletto  <liverig@gmail.com>

	Updated Brazilian Portuguese translation

2013-10-28  Murray Cumming  <murrayc@murrayc.com>

	Update NEWS ready for a release.

2013-10-28  Murray Cumming  <murrayc@murrayc.com>

	Remove now-useless --disable-scrollkeeper distcheck flag

2013-10-28  Murray Cumming  <murrayc@murrayc.com>

	Fix @para typos. They should be @param.

2013-10-28  Murray Cumming  <murrayc@murrayc.com>

	Fix distcheck for gresource files.

2013-10-28  Murray Cumming  <murrayc@murrayc.com>

	Revert unwanted changes to AppData generation

2013-10-28  Murray Cumming  <murrayc@murrayc.com>

	New Related Record dialog: Fix expansion and title.

2013-10-28  Murray Cumming  <murrayc@murrayc.com>

	Find ID Dialog: Fix the expansion.

2013-10-28  Murray Cumming  <murrayc@murrayc.com>

	User Guide: Fix make dist.

	* docs/users-guide/C/glom.xml: Rename this to index.docbook.
	* docs/user-guide/Makefile.am: List the index.docbook and legal.xml
	files in HELP_FILES, not using HELP_EXTRA. This is
	what gnome-system-monitor does and it seems to fix the problem
	with unbuilt stamp files.

2013-10-28  Murray Cumming  <murrayc@murrayc.com>

	Make some dialogs less high.

	* data/ui/developer/box_formatting.glade:
	Arrange the Related Records choices in a grid, making the
	dialog wider, but less tall.
	Likewise, arrange the last two checkboxes horizontally instead
	of vertically.
	* data/ui/developer/dialog_layout_field_properties.glade:
	Move the Formatting to the entire right-hand side of the dialog.
	This leaves ugly empty space at the left of the dialog,
	but it makes the dialog less high.

2013-10-28  Murray Cumming  <murrayc@murrayc.com>

	Update POTFILES.in

2013-10-28  Murray Cumming  <murrayc@murrayc.com>

	Remove some debug output

2013-10-28  Murray Cumming  <murrayc@murrayc.com>

	Field Definition: Move Default formatting into a separate window.

	* glom/mode_dsign/fields/dialog_fielddefinition.[h|cc]:
	* data/ui/developer/window_field_definition_edit.glade:
	Move the Default Formatting notebook tab into:
	* glom/mode_design/fields/dialog_defaultformatting.[h|cc]:
	* data/ui/developer/window_default_formatting.glade:

	* glom/utility_widgets/adddel/adddel.[h|cc]:
	Add signal_user_requested_extra.
	* glom/utility_widgets/adddel/adddel_withbuttons.[h|cc]:
	Add set_edit_button_label() and set_extra_button_label()
	and override show_all_vfunc() to not show the extra button if
	it has no label.

	* glom/mode_design/fields/box_db_table_definition.[h|cc]:
	Use the new button to show the new dialog.

2013-10-28  Murray Cumming  <murrayc@murrayc.com>

	Make some protected API private, to simplify some API.

2013-10-28  Murray Cumming  <murrayc@murrayc.com>

	Remove some unnecessary virtuals.

2013-10-28  Murray Cumming  <murrayc@murrayc.com>

	Fix distcheck

2013-10-25  Piotr Drąg  <piotrdrag@gmail.com>

	Replace ' with " in glade files

	It's more friendly to older versions of intltool and it is overall
	a good practice.

2013-10-25  Murray Cumming  <murrayc@murrayc.com>

	Print Layout window: Actually use the menu from the .glade file.

2013-10-25  Murray Cumming  <murrayc@murrayc.com>

	Print Layout window: Fix expansion and restore the <menu>s.

2013-10-25  Murray Cumming  <murrayc@murrayc.com>

	Export Layout window: Fix button spacing.

2013-10-25  Murray Cumming  <murrayc@murrayc.com>

	ImageObject window: Fix packing/expansion.

2013-10-25  Murray Cumming  <murrayc@murrayc.com>

	Report Layout: Fix the packing/expansion.

2013-10-25  Murray Cumming  <murrayc@murrayc.com>

	Glade files: Many small HIG improvements.

	Mostly increasing the horizontal space between widgets from 6 to 12,
	and increasing the vertical space between groups of widgets to 18.
	See https://developer.gnome.org/hig-book/unstable/design-window.html.en#layout-dialogs

2013-10-25  Murray Cumming  <murrayc@murrayc.com>

	Replace an error dialog in Glade with code that uses MessageDialog.

2013-10-25  Murray Cumming  <murrayc@murrayc.com>

	Tests: Fix make check after a class rename.

2013-10-25  Murray Cumming  <murrayc@murrayc.com>

	Glade files: Minor improvements

2013-10-25  Murray Cumming  <murrayc@murrayc.com>

	Layout window: Fix some packing.

2013-10-25  Murray Cumming  <murrayc@murrayc.com>

	Glade UI Files: Remove some unnecessary frames.

	* data/ui/developer/*.glade: Remove parent GtkFrames and GtkAlignements
	if there is only one, because no grouping is necessary.
	This was probably necessary once because some older version of the
	GNOME theme did not show window titles for modal dialogs, but that
	does not seem to be the case anymore.

2013-10-24  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2013-10-24  Murray Cumming  <murrayc@murrayc.com>

	Glade files: Restore GtkSourceView widgets removed by Glade.

2013-10-23  Enrico Nicoletto  <liverig@gmail.com>

	Updated Brazilian Portuguese translation

2013-10-23  Piotr Drąg  <piotrdrag@gmail.com>

	Replace ' with " in glade files

	It's more friendly to older versions of intltool and it is overall
	a good practice.

2013-10-23  Piotr Drąg  <piotrdrag@gmail.com>

	Updated POTFILES.in

2013-10-23  Murray Cumming  <murrayc@murrayc.com>

	Relationships Overview Window: Make this into an ApplicationWindow.

	* data/ui/developer/window_relationships_overview.glade:
	Change this from GtkWindow to GtkApplicationWindow.
	* mode_design/relationships_overview/window_relationships_overview.cc:
	Change the print and page-setup actions to be in the standard
	win. group.
	* glom/frame_glom.cc: Add the window to the GtkApplication.
	* glom/application.cc: on_startup() : Add a Ctrl P acelerator.

2013-10-23  Murray Cumming  <murrayc@murrayc.com>

	Relationships Overview window: HIG corrections.

	This is now a GtkWindow, rather than a GtkDialog, allowing us
	to arrange things so that the menu is snugly against the edge.

2013-10-23  Murray Cumming  <murrayc@murrayc.com>

	Glade files: Now all windows have a 12 pixel border as per the HIG.

	* For GtkWindows, set the border-width to 12, unless it needs a
	menu, in which case the window should have 0 border-width,
	and an inner GtkBox, a sub-GtkBox and GtkButtonBox should have
	a border width of 6, allowing the menu to fit snugly into the window edge.
	Using just a border-width of 12 on both the GtkBox and the
	GtkButtonBox would leave 24 pixels between them.
	* For GtkDialog, set the border-width to 6 and give the GtkBox in
	the content area another border-width of 6, because the
	GtkButtonBox in the action area seems to have this already too.

	I do not know why GtkDialogs do not just have a border-width of
	12, and a VBox spacing of 12.

2013-10-22  Murray Cumming  <murrayc@murrayc.com>

	Fix some compiler warnings.

2013-10-22  Murray Cumming  <murrayc@murrayc.com>

	Revert previous commit

2013-10-22  Murray Cumming  <murrayc@murrayc.com>

	Explicitly link in the GResource .c files.

	I do not know how these get built and linked in without this.

2013-10-22  Murray Cumming  <murrayc@murrayc.com>

	Update .gitignore

2013-10-22  Murray Cumming  <murrayc@murrayc.com>

	Move the XSLT file into a GResource for libglom.

	Because it is used in libglom, and this lets it work in libglom tests.

2013-10-22  Murray Cumming  <murrayc@murrayc.com>

	Build: Fix make check

2013-10-22  Murray Cumming  <murrayc@murrayc.com>

	Update po/POTFILES.in

2013-10-22  Murray Cumming  <murrayc@murrayc.com>

	Move the XSLT file into the GResource too.

2013-10-22  Murray Cumming  <murrayc@murrayc.com>

	Move icons and .glade files into the same GResource.

2013-10-22  Murray Cumming  <murrayc@murrayc.com>

	Move icons/ and ui/ in to data/

	Because this is common in GNOME applications.

2013-10-22  Murray Cumming  <murrayc@murrayc.com>

	Remove some debug output.

2013-10-22  Murray Cumming  <murrayc@murrayc.com>

	Use toolpallete and about icons from a GResource instead of installing.

	* Makefile.am:
	* Makefile_glom.am: Put the ToolPalette and AboutDialog icons in
	a GResource instead of installing them. Some icons still need
	to be installed as icons for the application and the mime type.
	* icons/16x16/*.png: Move the toolpalette icons to icons/ as these
	were the only size ever used anyway.
	* glom/utils_ui.cc: get_icon_path(): Make this return the resource
	path instead of a file path.
	* glom/appwindow.cc: Load the about dialog icon from a resource
	instead of the filesystem.
	* glom/mode_design/print_layotus/print_layout_toolbar_button.cc:
	* glom/utility_widgets/layouttoolbarbutton.cc: Constructor:
	Load the icon from a resource instead of from the filesystem.

2013-10-21  Murray Cumming  <murrayc@murrayc.com>

	Do not install the .glade files

2013-10-21  Murray Cumming  <murrayc@murrayc.com>

	Store example files in a GResource.

	* ui/glom.gresource.xml: Rename this to ui/glom-ui.gresource.xml
	so we can also have:
	* examples/glom-examples.gresource.xml.
	* Makefile.am:
	* Makefile_glom.am: Generate the gresource source file.
	* glom/dialog_existing_or_new.[h|cc]: Get the example files
	from the globally-registered GResource.
	This avoid the need to check multiple locations, and avoids the risk
	of not checking all possible locations, when distros move the files
	around. And this simplifies packaging by not needing the example
	files to be installed separately.

2013-10-21  Murray Cumming  <murrayc@murrayc.com>

	Line dialog: Replace deprecated color property.

2013-10-21  Murray Cumming  <murrayc@murrayc.com>

	Layout dialog: More expansion fixes

2013-10-21  Murray Cumming  <murrayc@murrayc.com>

	Field Formatting: Correct expansion

2013-10-21  Murray Cumming  <murrayc@murrayc.com>

	Glade files: Grids: Remove n_rows and n_columns properties.

	These were left over from when these were GtkTables.

2013-10-21  Murray Cumming  <murrayc@murrayc.com>

	Formatting: Corrections for the GtkTable->GtkGrid conversion.

2013-10-21  Murray Cumming  <murrayc@murrayc.com>

	PrintLayoutEdit: Revert changes to use the win. actio group.

	For some reason the menu items are not enabled, suggesting that
	the actions are not recognized.

2013-10-21  Murray Cumming  <murrayc@murrayc.com>

	Frame_Glom: Add the Print Layout window to the Gtk::Application.

	* glom/frame_glom.cc: This might not actually be useful.

2013-10-21  Murray Cumming  <murrayc@murrayc.com>

	Print Layouts: Avoid crash when opening.

	* glom/frame_glom.cc: This was another ! error from the commits to
	avoid clang warnings.

2013-10-21  Murray Cumming  <murrayc@murrayc.com>

	Menus: Use the win. group/prefix for Cut/Copy/Paste as Print menu items.

	Because Why Not. It is what the GTK+ test/example code does, and might
	have some (undocumented, unexplained) advantage.

	* glom/modedesign/print_layotus/window_print_layout_edit.[h|cc]:
	Change this to a Gtk::ApplicationWindow so we can use its
	regular add_action() method.
	* glom/appwindow.cc: For the Edit menu's Cut, Copy, Paste, Delete,
	Select and Select All items, and for the File menu's Print Layout
	and Print Preview, just use the regular "win" action group.
	* ui/developer/window_print_layout_edit.glade: Change this to
	a GtkApplicationWindow.
	* ui/operator/window_main.glade: Use the win. prefix for some
	actions.

2013-10-21  Murray Cumming  <murrayc@murrayc.com>

	Minor whitespace consistency changes

2013-10-19  Murray Cumming  <murrayc@murrayc.com>

	Notebook_Data: Remove useless notebook style hack.

2013-10-19  Murray Cumming  <murrayc@murrayc.com>

	Notebook_NoFrame: Switch to using a GtkStack instead of custom code.

2013-10-18  Murray Cumming  <murrayc@murrayc.com>

	Find: Show only the found records.

	* glom/frame_glom.cc: set_mode(): Call set_mode_widget() too,
	so the UI is always showing the correct widgets.
	set_mode_widget(): Avoid unnecessary changes.

2013-10-18  Murray Cumming  <murrayc@murrayc.com>

	Find: Really stop when cancelling after none found.

2013-10-18  Murray Cumming  <murrayc@murrayc.com>

	Make Find work again.

	* glom/appwindow.[h|cc]:
	on_menu_edit_find(): Properly ! the active state.
	set_mode_data(), set_mode_find(): Call the same methods on
	the Frame widget, instead of expecting that to
	happen in a signal handler when we change the Action
	state.
	* glom/frame_glom.[h|cc]: Rename, and split,
	on_menu_Edit_Find() to set_mode_find()
	and set_mode_data(), documenting and simplifying
	them a bit.

	This needed reworking because Gio::Action does not act like
	Gtk::Action. For instance, we must set the state manually,
	and changing the state does not cause activate signals to be
	emitted.

2013-10-17  Murray Cumming  <murrayc@murrayc.com>

	Application: Manually specify accelerators.

	* glom/applicaiton.[h|cc]: Use add_accelerator() to make the
	accelerators (already specified in the window_main.glade file)
	actually work.
	* glom/appwindow.cc: Add a comment about it.

	See GTK+ bug 708905

2013-10-17  Murray Cumming  <murrayc@murrayc.com>

	AppWindow: Change file.close to win.close.

	* glom/application.[h|cc]: Add the close action to the standard
	appwindow menu group, instead of our custom file group.
	* ui/operator/window_main.glade: Rename it here too.

	There is no reason not to do this, though I still do not know
	of any advantage to it.
	Because there is no need not to.

2013-10-17  Murray Cumming  <murrayc@murrayc.com>

	window_main.glade: Actually use an ApplicationWindow.

	* ui/operator/window_main.glade: I wonder why we didn't detect this
	problem in Gtk::Builder::get_widget<>().

2013-10-17  Murray Cumming  <murrayc@murrayc.com>

	Require latest gtkmm

2013-10-16  Мирослав Николић  <miroslavnikolic@rocketmail.com>

	Updated Serbian translation

2013-10-15  Murray Cumming  <murrayc@murrayc.com>

	DataWidget: Use mnemonics for buttons

2013-10-15  Murray Cumming  <murrayc@murrayc.com>

	Find button: Use the mnemonic

2013-10-15  Murray Cumming  <murrayc@murrayc.com>

	More fixes for clang compiler and analyzer warnings.

2013-10-14  Murray Cumming  <murrayc@murrayc.com>

	Fix some clang compiler and analyzer warnings.

	These are mostly checks after getting widgets from glade files.

2013-10-14  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2013-10-13  Balázs Úr  <urbalazs@src.gnome.org>

	Updated Hungarian translation

2013-10-11  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2013-10-11  Rafael Ferreira  <rafael.f.f1@gmail.com>

	Updated Brazilian Portuguese translation

2013-10-10  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2013-10-10  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2013-10-10  Murray Cumming  <murrayc@murrayc.com>

	Glade files: Replace GtkTable with GtkGrid

	* ui/developer/*.glade:
	* ui/operator/*.glade: Change all GtkTable types to GtkGrid.
	Child items that should expand then have an hexpand=True in the
	<child> part instead of x_options=GTK_FILL in the <packing> part.
	The packing should also contain (and only contain) left_attach,
	width, top_attach, and height.

2013-10-08  Murray Cumming  <murrayc@murrayc.com>

	GimpRuler: Fix a compiler warning

2013-10-08  Murray Cumming  <murrayc@murrayc.com>

	Store Glade files in a GResource instead of installing them.

	* ui/glom.gresource.xml: List all the .glade files.
	* Makefile_glom.am: Use glib-compile-resources to create a .c file
	with the GResource data, and compile and link it in to the
	Glom executable.
	* glom/glade_utils.h: Use Gtk::Builder::create_from_resource() instead
	of create_from_file().

	This simplifies installation.

2013-10-08  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2013-10-04  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Added oc to DOC_LINGUAS

2013-10-03  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2013-10-02  Murray Cumming  <murrayc@murrayc.com>

	Port from gnome-doc-utils to yelp-tools

	gnome-doc-utils is deprecated in favour of yelp-tools

2013-10-02  Murray Cumming  <murrayc@murrayc.com>

	AppData file: Actually use translations

2013-10-02  Murray Cumming  <murrayc@murrayc.com>

	AppData file: Add copyright line

2013-10-02  Murray Cumming  <murrayc@murrayc.com>

	Add an appdata-validate target.

2013-09-30  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2013-09-28  Martin Srebotnjak  <miles@filmsi.net>

	Updated Slovenian translation

2013-09-27  Murray Cumming  <murrayc@murrayc.com>

	1.25.2

2013-09-26  Murray Cumming  <murrayc@murrayc.com>

	gmenu: Print Layout: Fix the action names

2013-09-26  Murray Cumming  <murrayc@murrayc.com>

	GimpRuler: Fix some compiler warnings

2013-09-26  Murray Cumming  <murrayc@murrayc.com>

	GimpRuler: Update from the Gimp gtk3port branch

2013-09-25  Enrico Nicoletto  <liverig@gmail.com>

	Updated Brazilian Portuguese translation

2013-09-26  Piotr Drąg  <piotrdrag@gmail.com>

	Updated POTFILES.skip

2013-09-25  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Fixed typo in string

2013-09-25  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2013-09-25  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2013-09-25  Murray Cumming  <murrayc@murrayc.com>

	POTFILES.in: Remove mention of a non-disted file

2013-09-25  Murray Cumming  <murrayc@murrayc.com>

	Fix the build

2013-09-25  Murray Cumming  <murrayc@murrayc.com>

	.gitignore: Ignore .log and .trs test files.

	These seem to be generated by recent versions of autotools.
	Also ignore more recently-added test executables.

2013-09-25  Murray Cumming  <murrayc@murrayc.com>

	gmenu: Add attach_to_widget() calls for context menus.

	This makes them actually work.

2013-09-25  Murray Cumming  <murrayc@murrayc.com>

	gmenu: Use Menu API for small context menus

2013-09-25  Murray Cumming  <murrayc@murrayc.com>

	gmenu: Relationships Overview: Move context menu into .glade file

2013-09-25  Murray Cumming  <murrayc@murrayc.com>

	gmenu: Move Print Layout context menu into .glade file

2013-09-25  Murray Cumming  <murrayc@murrayc.com>

	Glade files: Remove unnecessary gtksourceview requirements.

	* ui/developer/*.glade:
	Remove  <!-- interface-requires gtksourceview 0.0 -->
	from files that do not really need GtkSourceView.

2013-09-25  Murray Cumming  <murrayc@murrayc.com>

	Glade files: Update required GTK+ versions

2013-09-25  Murray Cumming  <murrayc@murrayc.com>

	gmenu: move Relationships Overview menu to .glade file.

2013-09-25  Murray Cumming  <murrayc@murrayc.com>

	gmenu: Print Layouts: Fix Show Outlines

2013-09-25  Murray Cumming  <murrayc@murrayc.com>

	Replace deprecated H/V widgets in glade files.

2013-09-25  Murray Cumming  <murrayc@murrayc.com>

	gmenu: Move the main menu into the .glade file.

	* glom/appwindow.[h|cc]: Move the GMenu XML into:
	* ui/operator/window_main.glade
	and use it from the regular Gtk::Builder instance.

	The GMenu XML needs to be in a separate file so that
	its human-readable parts can be translated.

	However, glade does not seem to support GMenu yet,
	so we cannot edit this file inside glade.

2013-09-25  Murray Cumming  <murrayc@murrayc.com>

	gmenu: NotebookLabelGlom: Replace UIManager

2013-09-25  Murray Cumming  <murrayc@murrayc.com>

	gmenu: AddDel: Replace UIManager.

2013-09-25  Murray Cumming  <murrayc@murrayc.com>

	gmenu: Print Layout: Replace UIManager

2013-09-25  Murray Cumming  <murrayc@murrayc.com>

	gmenu: LayoutWidgetUtils: Replace UIManager

2013-09-25  Murray Cumming  <murrayc@murrayc.com>

	gmenu: More conversion to Gio::Menu

	Convert the main menu, and some of the context menus.

2013-09-23  Murray Cumming  <murrayc@murrayc.com>

	Refactor: Remove unused AppWindow::get_ui_manager().

2013-09-23  Murray Cumming  <murrayc@murrayc.com>

	Refactor: Merge the UIManager ui descriptions

	We do not need the higher-level placeholders now that the menu is
	all built in the same class.

2013-09-23  Murray Cumming  <murrayc@murrayc.com>

	Refactor: Remove init_toolbars()

	We don't have any toolbars.

2013-09-23  Murray Cumming  <murrayc@murrayc.com>

	Refactor: Move GlomBakery::AppWindow_WithDoc_Gtk into Glom::AppWindow.

	We no longer need the Bakery abstractions and it just complicates
	the code, leaving lots of code that is never called.

2013-09-23  Murray Cumming  <murrayc@murrayc.com>

	More use of GMenu with GtkBuilder

	gmenu: Adapt to improved Gio::Action API.

2013-09-23  Murray Cumming  <murrayc@murrayc.com>

	More use of GMenu with GtkBuilder

2013-09-23  Murray Cumming  <murrayc@murrayc.com>

	Attempting to use GMenu with GtkBuilder

2013-09-23  Murray Cumming  <murrayc@murrayc.com>

	1.25.1

2013-09-23  Murray Cumming  <murrayc@murrayc.com>

	Tests: Avoid a too-long path with recent PostgreSQL.

2013-09-23  Murray Cumming  <murrayc@murrayc.com>

	Change libglom from 1-24 to 1-26.

	We (try to) do this at every new stable release, to allow
	parallel installation of libglom.

2013-09-23  Murray Cumming  <murrayc@murrayc.com>

	AppData file: Fix validation problems.

	* glom.appdata.xml.in: Fix problems reported by appdata-validate:
	Change _p tags to p and add an extra paragraph in the
	description.

2013-09-20  Murray Cumming  <murrayc@murrayc.com>

	Move to a generated (in dist) ChangeLog

	I still do not like not being able to correct the commit messages
	and I still do not like how it leads us to be lazy when writing
	the ChangeLog entries, but git still makes it hard to manage
	branches when using a manually-written ChangeLog.

2013-09-20  Murray Cumming  <murrayc@murrayc.com>

	Startup: Do not crash when reporting check problems.

	* glom/main.c: Instantiate the Application earlier, to ensure
	that GTK+ is ready for use.
	Also call gtk_init() explicitly because Gtk::Application needs
	a fix for this anyway, and it would be nice to use this fix
	in Glom versions that do not need a newer gtkmm.

	Bug #680411 (Bjørn Lie, Dominique Leuenberger)

2013-09-20  Murray Cumming  <murrayc@murrayc.com>

	Startup: Show check errors on stderr

	In case the UI is crashing at first use somehow, as it currently seems to
	be on Fedora.

2013-09-16  Murray Cumming  <murrayc@murrayc.com>

	Avoid some compiler warnings

2013-09-12  Murray Cumming  <murrayc@murrayc.com>

	Avoid the glib warning about adding interfaces after class initialization.

	* glom/mode_data/datawidget/treemodel_db.h: Change the order of
	the base classes, to list the interface before Glib::Object,
	because the previous order is now deprecated in glibmm/gtkmm,
	because glib deprecated this.

2013-09-12  Murray Cumming  <murrayc@murrayc.com>

	Remove use of Gtk::RecentAction.

	* glom/appwindow.cc:
	* glom/bakery/appwindow_withdoc_gtk.[h|cc]:
	Remove use of GtkRecentAction, and therefore remove the
	recent files menu. GtkRecentAction has been deprecated
	without a replacement, and their has been some suggestion
	that this is a good thing:
	TODO: Link to gtk-devel-list mail.

	This does not remove the custom recent files list in our
	initial dialog.

2013-09-12  Murray Cumming  <murrayc@murrayc.com>

	Fix the build (and tests) with Python 3

	* configure.ac: Added some hints in comments.
	* glom/libglom/python_embed/pygdavalue_conversions.cc:
	Do not use PyInt_Check if building with python 3,
	because python 3 does not seem to have integer types.
	Use PyUnicode_Check() instead of PyString_Check().
	This seems to be appropriate for python 2 too.
	* glom/main.cc: Do not call PySys_SetArgv() if building
	with python 3 because we would need to massage the
	arguments into wchar*, and we do not know why we call
	it anyway.
	* glom/python_embed/glom_python.cc: Do not call
	Py_FlushLine() if building with python 3, because it
	does not exist in python 3 and is apparently
	unnecessary.
	* glom/test_pyembed.cc: USe PyUnicode_Check() instead
	of PyString_Check(). See above.
	Again, do not call Py_FlushLine() with python 3.
	* glom/test_pyembed_singleline.cc: Do not call
	PyFlushLine() with python 3.

	To build for Python 3, you'll need to do something like this:
	export PYTHON=python3.3
	(do this before starting jhbuild, if you are using jhbuild).
	configure --with-boost-python=boost_python-mt-py33
	(or autogen.sh if building from git.)
	You will need to have built pygobject with Python3 support.

2013-09-12  Murray Cumming  <murrayc@murrayc.com>

	Python: Rewrite get_traceback() using Boost::Python instead of C.

	* glom/python_embed/glom_python.cc: get_traceback():
	Use Boost::Python to get the traceback. This code seems more
	robust, and might be more portable across Python 2 and Python 3.

2013-09-12  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2013-09-11  Murray Cumming  <murrayc@murrayc.com>

	configure.ac: Revert request for Python >=3

2013-09-11  Murray Cumming  <murrayc@murrayc.com>

	Add a hint about building with Python 3

2013-09-11  Murray Cumming  <murrayc@murrayc.com>

	AX_BOOST_PYTHON: Prefer the library from --with-boost-python

2013-09-11  Murray Cumming  <murrayc@murrayc.com>

	Use the regular AX_BOOST_PYTHON configure.ac macro.

	* macros/ax_boost_python_murrayc.m4: Remove this heavily changed
	version of AX_BOOST_PYTHON because it is hard to use this while getting
	improvements to the official one.
	* macros/mm-python.m4: Remove this, which we used in
	AX_BOOST_PYTHON_MURRAYC.
	* macros/: Add the latest versions of ax_python_devel.m4,
	ax_boost_base.m4 and ax_boost_python.m4.
	* configure.ac: Use the official macros.
	* Makefile_libglom.am: Create some variables to build the
	flags and concatenate them together for simple use, and use them.
	* Makefile_tests.am: Use the variables here too.

	Hopefully this does not cause any regressions. It should make it
	easier to use python 3.

2013-09-11  Murray Cumming  <murrayc@murrayc.com>

	Avoid a crash at shutdown.

	* glom/bakery/appwindow_withdoc.cc: on_menu_file_close():
	Close the document after hiding the UI, instead of the other way
	around because, with Gio::Application, hiding the window can cause
	it to be deleted, making any further use of it impossible.

2013-09-10  Marek Černocký  <marek@manet.cz>

	Fixed Czech translation

2013-09-07  Antonio Fernandes C. Neto  <fernandesn@gnome.org>

	Updated Brazilian Portuguese translation proofread by Rafael Ferreira

2013-09-04  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2013-09-04  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2013-09-04  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2013-09-04  Murray Cumming  <murrayc@murrayc.com>

	Add generated appdata file to POTFILES.skip

2013-09-03  Balázs Úr  <urbalazs@src.gnome.org>

	Updated Hungarian translation

2013-09-03  Murray Cumming  <murrayc@murrayc.com>

	Add an appdata.xml file.

	* glom.appdata.xml.in: Add the file.
	* configure.ac: Create glom.appdata.xml from the .in file.
	This lets us translate it.
	* po/POTFILES.in: Mention the file so its contents can
	be translated.
	* Makefile.am: Install the file next to the .desktop file.

	This is needed by the new GNOME Software Center.

2013-08-21  Balázs Úr  <urbalazs@src.gnome.org>

	Updated Hungarian translation

2013-07-29  Antonio Fernandes C. Neto  <fernandesn@gnome.org>

	Updated Brazilian Portuguese translation

2013-07-26  Murray Cumming  <murrayc@murrayc.com>

	configure.ac: Avoid deprecated libsigc++ API.

2013-07-22  Piotr Drąg  <piotrdrag@gmail.com>

	Updated POTFILES.in

2013-07-22  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2013-07-22  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2013-07-22  Murray Cumming  <murrayc@murrayc.com>

	Avoid deprecated Gtk::Stock* API.

	Gtk::Stock::* and Gtk::StockID are now deprecated,
	because they are deprecated in GTK+, though that is
	rather annoying.
	This replaces them with standard icon names (or
	legacy gtk names) where there is no standard icon
	name, or with the recommended label string, both
	as listed here:
	https://docs.google.com/spreadsheet/pub?key=0AsPAM3pPwxagdGF4THNMMUpjUW5xMXZfdUNzMXhEa2c&output=html
	See
	https://mail.gnome.org/archives/gtk-devel-list/2013-July/msg00005.html

2013-07-21  Marek Černocký  <marek@manet.cz>

	Added Czech language

2013-07-21  Marek Černocký  <marek@manet.cz>

	Czech translation

2013-07-18  Murray Cumming  <murrayc@murrayc.com>

	Initial dialog: Fix crash with latest libxml.

	* glom/dialog_existing_or_new.cc: Catch exceptions from
	xmlpp::SaxParser::parse_chunk() because libxml nows
	returns an error code from xmlParserChunk when we call
	xmlStopParser(), which libxml++ then throws as an
	exception. Maybe libxml++ should not do that for that
	new error code.
	This is the libxml commit:
	https://git.gnome.org/browse/libxml2/commit/?id=e50ba8164eee06461c73cd8abb9b46aa0be81869

2013-07-14  Christian Kirbach  <christian.kirbach@gmail.com>

	Updated German translation

2013-07-08  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2013-07-04  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2013-07-04  Murray Cumming  <murrayc@murrayc.com>

	Add more translations for OnlineGlom

2013-06-24  Dimitris Spingos  <dmtrs32@gmail.com>

	Updated Greek translation

2013-06-24  Dimitris Spingos  <dmtrs32@gmail.com>

	Updated Greek translation

2013-06-13  Dimitris Spingos  <dmtrs32@gmail.com>

	Updated Greek translation

2013-06-10  Murray Cumming  <murrayc@murrayc.com>

	Initial dialog: Fix the notebook vertical expansion.

	* ui/operator/dialog_existing_or_new.glade: Set the
	parent GtkHBox to expand, because there is some change
	of behaviour with the latest GTK+ from git master.
	Before this expanded already.

2013-05-17  Murray Cumming  <murrayc@murrayc.com>

	Python embedding: Python >2.7 build fixes.

	* glom/libglom/python_embed/pygdavalue_conversions.cc:
	More use of the redefinition of PyDateTime_IMPORT for
	python versions before 2.7, but not after.

2013-04-30  Murray Cumming  <murrayc@murrayc.com>

	1.24.0

2013-04-26  Murray Cumming  <murrayc@murrayc.com>

	get NEWS ready for a release.

2013-04-26  Murray Cumming  <murrayc@murrayc.com>

	Fix distcheck.

	* Makefile_tests.am: Dist the recently-added
	.glom test file.

2013-04-20  Aron Xu  <aronxu@gnome.org>

	Add Simplified Chinese translation

2013-04-16  Gil Forcada  <gforcada@gnome.org>

	[l10n] Update Catalan translation

2013-04-03  Murray Cumming  <murrayc@murrayc.com>

	null pointer check

2013-04-03  Murray Cumming  <murrayc@murrayc.com>

	Python embedding: Deal with TODO.

	* glom/libglom/python_embed/pygdavalue_conversions.cc:
	Avoid a redefinition of PyDateTime_IMPORT for python 2.7
	and later, which fixes the compiler error.

2013-04-03  Murray Cumming  <murrayc@murrayc.com>

	Deal with a minor TODO.

	* glom/frame_glom.h: Make the signal handlers private.

2013-04-03  Murray Cumming  <murrayc@murrayc.com>

	DbUtis: Some const improvements.

	* glom/libglom/db_utils.cc: Make the Document* const
	where possible.

2013-04-03  Murray Cumming  <murrayc@murrayc.com>

	Document: Use DocumentTableInfo by sharedptr<>.

	* glom/glom/libglom/document/document.[h|cc]:
	get_tables(): Have both const and non-const overloads of this
	method, to allow proper use of const elsewhere.
	* glom/libglom/db_utils.cc: Adapted.

2013-04-03  Murray Cumming  <murrayc@murrayc.com>

	Document: Use DocumentTableInfo by sharedptr<>.

	* glom/glom/libglom/document/document.[h|cc]:
	DocumentTableInfo: Remove the copy constructor and operator=(),
	making them private and unimplemented. Use it by sharedptr<>
	instead to be more efficient and simpler.
	Add get_table_info() so we can check for a null sharedptr<>
	instead of repeatedly using std::map::find() awkwardly.

2013-04-02  Murray Cumming  <murrayc@murrayc.com>

	Update another test .glom file.

	* examples/sqlite/test_sqlite_music/test_sqlite_music.glom:
	Remove the parent_table attributes.

2013-04-02  Murray Cumming  <murrayc@murrayc.com>

	LayoutInfo: Remove the superfluous parent_table.

	* glom/glom/libglom/document/document.[h|cc]:
	LayoutInfo: Do not bother storing the parent table here because
	these are all stored in a table-specific map anyway.
	* glom/glom/glom_document.dtd: Remove the mention of the
	parent_table attribute. The parent table node already specifies
	it.
	* glom/examples/*.glom: Resave these without the parent_table
	attributes.

2013-04-01  Murray Cumming  <murrayc@murrayc.com>

	Dialog_FlowTable: Make a getter const.

	* glom/utility_widgets/dialog_flowtable.[h|cc]:
	Make get_columns_count() const.

2013-04-01  Murray Cumming  <murrayc@murrayc.com>

	LayoutItem_Portal: Do not implement get_part_type_name().

	* glom/libglom/data_structure/layout/layoutitem_portal.[h|cc]:
	Remove the get_part_type_name() override because it adds
	a translation that we never use. We only ever instantiate the
	derived portal types.

2013-04-01  Murray Cumming  <murrayc@murrayc.com>

	Deal with more minor TODOs

2013-04-01  Murray Cumming  <murrayc@murrayc.com>

	FieldTypes: Some simplification.

	* glom/libglom/data_structure/fieldtypes.[h|cc]:
	Remove a now-unused duplicate map of types.

2013-04-01  Murray Cumming  <murrayc@murrayc.com>

	Deal with minor TODOs

2013-03-26  Balázs Úr  <urbalazs@src.gnome.org>

	Initial Hungarian translation

2013-03-26  Balázs Úr  <urbalazs@src.gnome.org>

	Initial Hungarian translation

2013-03-26  Balázs Úr  <urbalazs@src.gnome.org>

	Initial Hungarian translation

2013-03-26  Balázs Úr  <urbalazs@src.gnome.org>

	Initial Hungarian translation

2013-03-26  Balázs Úr  <urbalazs@src.gnome.org>

	Initial Hungarian translation

2013-03-21  Murray Cumming  <murrayc@murrayc.com>

	Add a translation file for an example.

	* examples/po_files/example_film_manager/gl.po:
	Add this missing file. The translations seem to have got into
	the .glom file somehow, but this .po file was not in git.

2013-03-16  Rafael Ferreira  <rafael.f.f1@gmail.com>

	Updated Brazilian Portuguese translation

2013-03-15  Murray Cumming  <murrayc@murrayc.com>

	MySQL support: Add a check for an empty initial password.

	* glom/libglom/connectionpool_backends/mysql_self.cc:
	This doesn't happen, but it would be nice to avoid it if it ever
	does somehow.

2013-03-15  Balázs Úr  <urbalazs@src.gnome.org>

	Updated Hungarian translation

2013-03-11  Murray Cumming  <murrayc@murrayc.com>

	1.23.4

2013-03-11  Murray Cumming  <murrayc@murrayc.com>

	Deal with a TODO

2013-03-11  Murray Cumming  <murrayc@murrayc.com>

	Whitespace cleanup

2013-03-11  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with --enable-warnings=fatal.

	* glom/utility_widgets/imageglom.cc: Do not use
	ev_view_set_loading() because it is deprecated with
	no replacement. See bug evince bug #693864 .

2013-02-25  Murray Cumming  <murrayc@murrayc.com>

	Fix the build on Ubuntu Raring.

	* macros/macros/mm-python.m4: Also check in
	/usr/lib/i386-linux-gnu/ because that is where Ubuntu Raring
	(and maybe Debian) put libpython2.7 there.

2013-02-20  Мирослав Николић  <miroslavnikolic@rocketmail.com>

	Updated Serbian translation

2013-02-04  Murray Cumming  <murrayc@murrayc.com>

	MySQL backend: Removed some unnused variables.

	* glom/libglom/connectionpool_backends/mysql_self.[h|cc]:
	m_saved_database_name was set not used anywhere.

2013-02-04  Murray Cumming  <murrayc@murrayc.com>

	test_document_load_translations: Update the translations count.

	* tests/test_document_load_translations.cc:
	This fixes make distcheck again.

2013-01-28  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2013-01-28  Murray Cumming  <murrayc@murrayc.com>

	Import example .po translations into the examples.

2013-01-27  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2013-01-25  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2013-01-25  Murray Cumming  <murrayc@murrayc.com>

	sq.po: It is glom, not glom

2013-01-25  Murray Cumming  <murrayc@murrayc.com>

	.po files: Remove !s added by translators

	I am fairly sure that this does not any wiser in the translations
	than they would be in the original.

2013-01-25  Murray Cumming  <murrayc@murrayc.com>

	Update an OnlineGlom string.

2013-01-22  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2013-01-16  Murray Cumming  <murrayc@murrayc.com>

	Reduce the libgda dependency version again.

	* configure.ac: The latest libgda is only needed for MySQL,
	which almost nobody will use.

2013-01-15  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2013-01-15  Murray Cumming  <murrayc@murrayc.com>

	1.23.3

2013-01-13  Rafael Ferreira  <rafael.f.f1@gmail.com>

	Updated Brazilian Portuguese Translation

2013-01-13  Rafael Ferreira  <rafael.f.f1@gmail.com>

	Updated Brazilian Portuguese Translation

2013-01-13  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with MySQL disabled.

	* glom/glom_create_from_example.cc:
	* glom/glom_test_connection.cc: Move the ifdefs around.

2013-01-13  Murray Cumming  <murrayc@murrayc.com>

	MySQL: Actually allow self-hosting in Glom itself.

	* glom/appwindow.cc: ui_file_select_save():
	Recognise MySQL self-hosting as self-hosting, so we
	create a sub-directory and initialize the data.

2013-01-13  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2013-01-13  Murray Cumming  <murrayc@murrayc.com>

	MySQL: Support MySQL in the command-line utiltiies.

	* glom/glom_create_from_example.cc:
	* glom/glom_test_connection.cc: Add ifdefed code for MySQL.

2013-01-13  Murray Cumming  <murrayc@murrayc.com>

	MySQL: Add comments about AppArmor stopping use of MySQL on Ubuntu.

	* glom/libglom/connectionpool_backends/mysql_self.cc:
	* tests/test_selfhosting_utils.cc: Mention this bug:
	https://bugs.launchpad.net/ubuntu/+source/mysql-5.5/+bug/1095370

2013-01-12  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2013-01-12  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2013-01-12  Мирослав Николић  <miroslavnikolic@rocketmail.com>

	Added Serbian translation

2013-01-12  Мирослав Николић  <miroslavnikolic@rocketmail.com>

	Added Serbian translation

2013-01-11  Murray Cumming  <murrayc@murrayc.com>

	MySQL: Add checkboxes to select MySQL when it is in the build.

	* glom/utility_widgets/filechooserdialog_saveextras.[h|cc]:
	Add checkboxes for self-hosting and central MySQL servers.
	* glom/frame_glom.cc: Handle MySQL too, though the
	MySQL startup does not actually work here, though it
	does in the tests.

2013-01-11  Murray Cumming  <murrayc@murrayc.com>

	FileChooserDialog_SaveExtras: Simplify the ifdefing.

	* glom/utility_widgets/filechooserdialog_saveextras.cc:
	Do not worry about so many combinations of options.
	Let people worry about that if they use it.

2013-01-11  Murray Cumming  <murrayc@murrayc.com>

	MySQL: Do not test unless it is enabled.

2013-01-11  Murray Cumming  <murrayc@murrayc.com>

	LINGUAS: Remove sr because there is no po/sr.po

2013-01-11  Murray Cumming  <murrayc@murrayc.com>

	MySQL:Use MySQL syntax to change columns

	* glom/libglom/connnectionpool_backends/mysql.cc:
	MYSQL uses:
	ALTER TABLE tablename CHANGE oldfieldname newfieldname oldfieldtype
	to rename columns, instead of PostgreSQL's:
	ALTER TABLE tablename RENAME oldfieldname TO newfieldname

2013-01-11  Murray Cumming  <murrayc@murrayc.com>

	MySQL: Avoid affecting PostgreSQL field types.

	* glom/libglom/db_utils.[h|cc]: create_table():
	Take the hosting mode so we can only do checks for
	relevant hosting modes.
	* glom/appwindow.cc: Adapt.

2013-01-11  Murray Cumming  <murrayc@murrayc.com>

	MySQL: Use double instead of DECIMAL for numeric values.

	* glom/libglom/db_utils.cc: create_table():
	Do not use DECIMAL with no parameters because that means
	0 decimal points, so we lose data when reading values
	back.

2013-01-11  Murray Cumming  <murrayc@murrayc.com>

	tests: Add try/catch around all calls of the test functions.

	* tests/test_selfhosting_utils.[h|cc]:
	Check for uncaught exceptions.

2013-01-11  Murray Cumming  <murrayc@murrayc.com>

	tests: Add: test_selfhosting_new_from_example_float.cc

	* Makefile_tests.am:
	* tests/test_selfhosting_utils.[h|cc]:
	Add test_check_numeric_value_type().
	* tests/test_selfhosting_new_from_example_float.cc: Add
	this simple test that gets a float value, to check that
	we do not lose precision. It seems to fail with MySQL.
	It also seems to cause a crash or hang with PostgreSQL
	during cleanup.

2013-01-11  Murray Cumming  <murrayc@murrayc.com>

	MySQL: Avoid testing changing columns

2013-01-11  Murray Cumming  <murrayc@murrayc.com>

	MySQL: Do not try to insert image examples.

2013-01-11  Murray Cumming  <murrayc@murrayc.com>

	Added some std::cerr hints

2013-01-11  Murray Cumming  <murrayc@murrayc.com>

	MySQL: Fix count_rows_returned_by().

2013-01-11  Murray Cumming  <murrayc@murrayc.com>

	MySQL: Some fixes

2013-01-11  Murray Cumming  <murrayc@murrayc.com>

	tests: Avoid some copy/pasting.

	* tests/test_selfhosting_utils.[h|cc]:
	Add test_all_hosting_modes().
	* tests/test_selfhosting_new_empty.cc:
	* tests/test_selfhosting_new_empty_change_sysprefs.cc:
	* tests/test_selfhosting_new_empty_then_users.cc:
	* tests/test_selfhosting_new_from_example.cc:
	* tests/test_selfhosting_new_from_example_operator.cc:
	* tests/test_selfhosting_new_from_example_strangepath.cc:
	* tests/test_selfhosting_new_then_alter_table.cc:
	* tests/test_selfhosting_new_then_change_columns.cc:
	* tests/test_selfhosting_new_then_choices.cc:
	* tests/test_selfhosting_new_then_image.cc:
	* tests/test_selfhosting_new_then_lookup.cc:
	* tests/test_selfhosting_new_then_report.cc:
	* tests/test_selfhosting_non_numeric_primary_keys.cc:
	* tests/test_selfhosting_sqlinjection.cc: Use this,
	passing a callback slot, instead of having the same repeated
	code in each file.

2013-01-11  Murray Cumming  <murrayc@murrayc.com>

	MySQL: Use the new PROTOCOL connection parameter with libgda.

	* glom/libglom/connectionpool_backends/mysql.cc: attempt_connect():
	We must specify the TCP protocol when using MySQL on a non-standard
	port. See libgda bug #691069

2013-01-11  Murray Cumming  <murrayc@murrayc.com>

	Privs::get_default_developer_user_name(): Take hosting_mode parameters.

	* glom/libglom/privs.[h|cc]:
	get_default_developer_user_name(): Take the hosting_mode as a parameter
	so we can use a shortened username for MySQL without changing it
	for PostgreSQL.
	* glom/appwindow.cc:
	* glom/frame_glom.cc:
	* glom/glom_create_from_example.cc:
	* tests/test_selfhosting_utils.cc: Adapted.

2013-01-11  Murray Cumming  <murrayc@murrayc.com>

	Initial MySQL support

2013-01-10  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2013-01-10  Мирослав Николић  <miroslavnikolic@rocketmail.com>

	Added Serbian translation

2013-01-10  Мирослав Николић  <miroslavnikolic@rocketmail.com>

	Added Serbian translation

2013-01-09  Мирослав Николић  <miroslavnikolic@rocketmail.com>

	Added Serbian translation

2013-01-09  Мирослав Николић  <miroslavnikolic@rocketmail.com>

	Added Serbian translation

2013-01-09  Мирослав Николић  <miroslavnikolic@rocketmail.com>

	Added Serbian translation

2013-01-09  Мирослав Николић  <miroslavnikolic@rocketmail.com>

	Added Serbian translation

2013-01-06  Murray Cumming  <murrayc@murrayc.com>

	Add missing declaration

2013-01-06  Murray Cumming  <murrayc@murrayc.com>

	tests: Add: test_selfhosting_new_from_example_float.cc

	* Makefile_tests.am:
	* tests/test_selfhosting_utils.[h|cc]:
	Add test_check_numeric_value_type().
	* tests/test_selfhosting_new_from_example_float.cc: Add
	this simple test that gets a float value, to check that
	we do not lose precision. It seems to fail with MySQL.
	It also seems to cause a crash or hang with PostgreSQL
	during cleanup.

2013-01-05  Balázs Úr  <urbalazs@src.gnome.org>

	Updated Hungarian translation

2013-01-04  Murray Cumming  <murrayc@murrayc.com>

	tests: Avoid some copy/pasting.

	* tests/test_selfhosting_utils.[h|cc]:
	Add test_all_hosting_modes().
	* tests/test_selfhosting_new_empty.cc:
	* tests/test_selfhosting_new_empty_change_sysprefs.cc:
	* tests/test_selfhosting_new_empty_then_users.cc:
	* tests/test_selfhosting_new_from_example.cc:
	* tests/test_selfhosting_new_from_example_operator.cc:
	* tests/test_selfhosting_new_from_example_strangepath.cc:
	* tests/test_selfhosting_new_then_alter_table.cc:
	* tests/test_selfhosting_new_then_change_columns.cc:
	* tests/test_selfhosting_new_then_choices.cc:
	* tests/test_selfhosting_new_then_image.cc:
	* tests/test_selfhosting_new_then_lookup.cc:
	* tests/test_selfhosting_new_then_report.cc:
	* tests/test_selfhosting_non_numeric_primary_keys.cc:
	* tests/test_selfhosting_sqlinjection.cc: Use this,
	passing a callback slot, instead of having the same repeated
	code in each file.

	Conflicts:
	ChangeLog
	tests/test_selfhosting_new_empty.cc

2012-12-25  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2012-12-20  Murray Cumming  <murrayc@murrayc.com>

	Added anothe OnlineGlom translatable string.

2012-12-19  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-12-16  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2012-12-12  Murray Cumming  <murrayc@murrayc.com>

	Added more strings that need translations for gwt-glom.

	* glom/onlineglom_strings.cc: Added strings used by
	the login page.

2012-12-10  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-12-06  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2012-12-06  Murray Cumming  <murrayc@murrayc.com>

	Added some strings that need translations for gwt-glom.

	* glom/onlineglom_strings.cc: Added strings used by
	the login page.

2012-11-27  Andika Triwidada  <andika@gmail.com>

	Updated Indonesian translation

2012-11-27  Andika Triwidada  <andika@gmail.com>

	Updated Indonesian translation of app example film manager

2012-11-23  Murray Cumming  <murrayc@murrayc.com>

	Fix the ChangeLog

2012-11-23  Murray Cumming  <murrayc@murrayc.com>

	tests: Test the use of a relationship to get data.         * tests/test_selfhosting_utils.cc: 	test_example_musiccollection_data(): Also get the value 	of a related field, to test value comparison with both 	numeric and text fields (this is used by at least two tests).

2012-11-23  Murray Cumming  <murrayc@murrayc.com>

	tests: Add a test that uses an example with text primary keys.

	* Makefile_tests.am:
	* tests/test_example_music_collection_text_pk_fields.glom:
	* tests/test_selfhosting_non_numeric_primary_keys.cc: Added a test
	that uses a test-only .glom file that has had all its primary keys
	changed to text fields.

2012-11-23  Murray Cumming  <murrayc@murrayc.com>

	1.23.2

2012-11-22  Murray Cumming  <murrayc@murrayc.com>

	Tests: Use the locally-built glom.

	* configure.ac:
	* Makefile_tests.am:
	* tests/tests_glom_date_in_locales.sh.in:
	Generate tests/tests_glom_date_in_locales.sh from
	tests/tests_glom_date_in_locales.sh.in, so it can
	include the path to the locally-built glom
	executable.

2012-11-22  Murray Cumming  <murrayc@murrayc.com>

	Tests: Use the locally-built python module.

	* Makefile_tests.am: Set the PYTHONPATH in
	automake's TESTS_ENVIRONMENT variable
	to fix make check before make install has run,
	and generally to be a correct check.

2012-11-19  Murray Cumming  <murrayc@murrayc.com>

	Examples: Remove unused list_related_* layouts.

	* examples/example_film_manager.glom:
	* examples/example_smallbusiness.glom:
	* glom/mode_data/box_data_calendar_related.cc:
	* glom/mode_data/box_data_list_related.cc:
	* ldtp/database-templates/PostgresCentral/Test.glom:
	* ldtp/database-templates/SQLite/Test.glom: These were
	saved by very old versions of Glom and not automatically
	removed by newer versions.

2012-11-19  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-11-19  Murray Cumming  <murrayc@murrayc.com>

	1.23.1

2012-11-19  Murray Cumming  <murrayc@murrayc.com>

	Imported the example translations.

2012-11-17  Kjartan Maraas  <kmaraas@gnome.org>

	Updated Norwegian bokmål translation

2012-11-15  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-11-15  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-11-15  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-11-15  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2012-11-15  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2012-11-15  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2012-11-14  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-11-14  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2012-11-14  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2012-11-13  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2012-11-12  Murray Cumming  <murrayc@murrayc.com>

	Resave the examples.

	* examples/example_project_manager.glom:
	Using make examples_import_po.

2012-11-12  Murray Cumming  <murrayc@murrayc.com>

	Document: Save static image data as a child text node, not an attribute.

	* glom/libglom/document/document.cc: load_after_layout_group(),
	save_before_layout_group(): Save LayoutItem_Image data as
	a child text node of a <value> node, instead of as an attribute,
	because this is generally better for large chunks of arbitrary text,
	and because this lets us specify the format using the existing code.
	* glom/glom_document.dtd: Update appropriately.

2012-11-12  Murray Cumming  <murrayc@murrayc.com>

	Regenerate .po files for examples, adding Print Layout items.

	* examples/po_files/:
	Using make example_export_po, and only committing the
	relevant changes.

2012-11-12  Murray Cumming  <murrayc@murrayc.com>

	Export to po files: Avoid duplicates.

	* glom/libglom/document/document.cc: Use a std::find_if()
	predicate to avoid adding a duplicate item/hint pair,
	which would result in a msgfmt -C error.

2012-11-12  Murray Cumming  <murrayc@murrayc.com>

	Export to po files: Also export text items from Print Layouts.

	* glom/libglom/data_structure/layout/static_text.[h|cc]:
	A new derived TranslatableItem, just so we can identify its
	purpose polymorphically.
	* glom/libglom/filelist.am: Mention the new files.
	* glom/libglom/data_structure/layout/layoutitem_text.[h|cc]:
	Use StaticText instead of TranslatableItem for m_text.
	* glom/libglom/data_structure/translatable_item.[h|cc]:
	Add an enum for the new derived type, and return its name
	from the get_translatable_type*() methods.
	These are used of in PrintLayouts.
	* glom/libglom/document/document.[h|cc]:
	load_after_layout_group(): Adapt.
	Add get_translatable_print_layout_items() and use it in
	get_translatable_items().
	* tests/test_document_load_translations.cc: Check that
	get_translatable_items() returns some PrintLayouts.

2012-11-12  Murray Cumming  <murrayc@murrayc.com>

	Update tests/.gitignore

2012-11-11  Murray Cumming  <murrayc@murrayc.com>

	Export to .po files: Make sure we export static text items.

	* glom/libglom/document/document.cc: fill_translatable_layout_items():
	Add the member text (a translatable item) of LayoutItem_Text items.
	Also add LayoutItem_Images items, which may have titles.
	* tests/test_document_load_translations.cc: Check that a LayoutItem_Text
	is present.
	* glom/glom_document.dtd: Improve this for these items.

2012-11-11  Murray Cumming  <murrayc@murrayc.com>

	Tests: Add pixbuf-loading tests in more places.

	* tests/test_document_load_image.cc:
	* Makefile_tests.am:
	* tests/test_utils_images.[h|cc]: Move the use of GdkPixbufLoader
	into a check_value_is_an_image() utility function.
	* tests/test_field_file_format.cc:
	* tests/test_selfhosting_new_then_image.cc: Use it here too.

2012-11-11  Murray Cumming  <murrayc@murrayc.com>

	examples: Add a static image item to the Project Manager example.

	* examples/example_project_manager.glom: This is just so we
	use this layout item somewhere, so we can test it.
	* glom/glom_document.dtd: Mention the layout_item_image tag.
	* configure.ac:
	* Makefile_tests.am:
	* tests/test_document_load_image.cc: Add a new test for this
	feature, using GdkPixbufLoader to check that we can interpret
	the data as an image.

2012-11-11  Murray Cumming  <murrayc@murrayc.com>

	Update tests/.gitignore

2012-11-11  Murray Cumming  <murrayc@murrayc.com>

	Resave all the examples in the latest file format.

	* examples/example_film_manager.glom:
	* examples/example_lesson_planner.glom:
	* examples/example_music_collection.glom:
	* examples/example_project_manager.glom:
	* examples/example_smallbusiness.glom:
	Using make examples_import_po

2012-11-11  Murray Cumming  <murrayc@murrayc.com>

	Document: Save image data in base64 format rather than GDA format.

	* glom/libglom/document/document.cc: Increase the file format
	version.
	* glom/libglom/data_structure/field.[h|cc]:
	to_file_format(): Save the data in the XML as base64 instead
	of using gda_binary_to_string().
	from_file_format(): Optionally interpret image data as the old
	GDA image format. Otherwise, use base64.
	* glom/libglom/xml_utils.cc: set_node_text_child_as_value():
	Set the attribute format=base64 for image data.
	get_node_attribute_value_as_value(): Check for the format
	attribute and optionally ask from_file_format() to use the old
	format.
	* glom/glom_document.dtd: value: Mention the format attribute.

2012-11-11  Murray Cumming  <murrayc@murrayc.com>

	Update a test for the newer translations.

	* tests/test_document_load_translations.cc: Increase the number
	of expected translation locales and adapt to us having a
	(mostly useless) en_GB translation.

2012-11-08  Murray Cumming  <murrayc@murrayc.com>

	Import example .po translations into the examples.

	* examples/example_film_manager.glom:
	* examples/example_lesson_planner.glom:
	* examples/example_music_collection.glom:
	* examples/example_project_manager.glom:
	* examples/example_smallbusiness.glom:
	There are some new translations for el, id, lv and en_GB,
	though only a few of the en_GB translated strings are different.

2012-11-07  Murray Cumming  <murrayc@murrayc.com>

	1.22.1

2012-11-02  Murray Cumming  <murrayc@murrayc.com>

	Move a test out the ui tests.

	* Because it uses the glom executable, which needs an
	X display, even when parsing the command line parameters.
	I blame GtkApplication.

2012-11-02  Murray Cumming  <murrayc@murrayc.com>

	Add --enable-ui-tests.

	* configure.ac, Makefile_tests.am:
	Allow the tests that actually instantiate windows to
	be disabled, for running under headless continuous
	integration systems.

2012-11-02  Murray Cumming  <murrayc@murrayc.com>

	fix

2012-11-02  Murray Cumming  <murrayc@murrayc.com>

	Self hosting: Do not allow ident authorization.

	* glom/libglom/connectionpool_backends/postgres_self.cc:
	Remove the ident lines from pg_hba.conf. We use trust already,
	so we do not need both.

2012-10-30  Murray Cumming  <murrayc@murrayc.com>

	Fix another typo

2012-10-30  Murray Cumming  <murrayc@murrayc.com>

	Fix a typo.

2012-10-29  Murray Cumming  <murrayc@murrayc.com>

	Revert "Self hosting: Avoid use of unix-domain sockets."

	This reverts commit 145bc61b7fde6048884a8e94174ba9b412d3e24e.

	Conflicts:
	ChangeLog
	glom/libglom/connectionpool_backends/postgres_self.cc

	Bring back unix-domain sockets because TCP connections with trust
	are not specific to a single user on multiuser systems.

2012-10-29  Murray Cumming  <murrayc@murrayc.com>

	Revert "SelfHosting: Do not generate and specify pg_ident.conf"

	This reverts commit f39fa95fc4881871c2c162dffc63c2d8e45e55f7.

	Because we probably do need this with unix-socket domains, which
	I am bringing back.

2012-10-25  Murray Cumming  <murrayc@murrayc.com>

	SelfHosting: Do not generate and specify pg_ident.conf

	* glom/libglom/connectionpool_backends/postgres_self.cc:
	Do not bother creating and using the pg_ident.conf file because
	we do not use ident authentication.

2012-10-25  Murray Cumming  <murrayc@murrayc.com>

	Self hosting: Only allow attempts from localhost when not shared.

	* glom/libglom/connectionpool_backends/postgres_self.cc:
	When the Glom system should not be shared on the network (the
	default for new files), do not even allow connection attempts
	from non-localhost. This also removes the use of the deprecated
	postgres -i option.

2012-10-25  Murray Cumming  <murrayc@murrayc.com>

	Self hosting: Avoid use of unix-domain sockets.

	* glom/libglom/connectionpool_backends/postgres_self.cc:
	Use -k '' with the postgres executable, and remove any local lines in
	pg_hba.conf, to (hopefully, presumably) allow only TCP connections
	and no unix-domain socket connections.
	This avoids the new restricitons on the characters allowed in the
	path given to -k (unix_socket_directory or unix_socket_directories
	in postgresql.conf).
	Therefore, this fixes the tests on Fedora 17.

2012-10-20  Andika Triwidada  <andika@gmail.com>

	Added Indonesian translation of examples

2012-10-06  Andika Triwidada  <andika@gmail.com>

	Added Indonesian translation

2012-09-14  Chris Leonard  <cjl@laptop.org>

	Updated British English translation

2012-09-02  Christian Kirbach  <Christian.Kirbach@googlemail.com>

	Updated German translation

2012-09-01  Murray Cumming  <murrayc@murrayc.com>

	Catch exceptions when updating the libgda metastore.

	* glom/libglom/connectionpool.cc:
	* glom/libglom/db_utils.cc: Put try/catch around
	uses of Gda::Connection::update_meta_store_for_table()
	because it is currently failing in test_selfhosting_new_then_change_columns
	on my Fedora 17.

2012-08-31  Rūdolfs Mazurs  <rudolfsm@src.gnome.org>

	Fixing build break by adding some Latvian translations

2012-08-10  Arvis Lacis  <arvis.lacis@gmail.com>

	Updated Latvian translation

2012-08-09  Arvis Lacis  <arvis.lacis@gmail.com>

	Added Latvian translation

2012-08-07  Christian Kirbach  <Christian.Kirbach@googlemail.com>

	Updated German translation

2012-07-22  Tom Tryfonidis  <tomtryf@gmail.com>

	Added Greek translation

2012-06-20  Tom Tryfonidis  <tomtryf@gmail.com>

	Added greek language to LINGUAS

2012-06-20  Tom Tryfonidis  <tomtryf@gmail.com>

	Updated Greek translation

2012-05-31  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2012-05-31  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2012-05-22  Murray Cumming  <murrayc@murrayc.com>

	Tiny whitespace fix.

2012-04-24  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2012-04-22  Bruno Brouard  <annoa.b@gmail.com>

	Updated French translation

2012-04-21  Joe Hansen  <joedalton2@yahoo.dk>

	Updated Danish translation

2012-04-21  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-04-19  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2012-04-19  Murray Cumming  <murrayc@murrayc.com>

	Add some translatable strings for Online Glom

	* glom/onlineglom_strings.cc: Add some strings needed by
	the new reports feature in gwt-glom.

2012-04-19  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2012-04-16  Murray Cumming  <murrayc@murrayc.com>

	Fix make check.

	* tests/test_document_load_translations.cc: Update the
	number of translations.

2012-04-14  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-04-13  Murray Cumming  <murrayc@murrayc.com>

	Film Manager example: Correct the Contacts reports.

	* examples/example_film_manager.glom: Copy them
	from the Small Business example. They were missing
	the Group By fields.

2012-04-13  Murray Cumming  <murrayc@murrayc.com>

	Windows build: Fix some typos.

	* glom/glom_create_from_example.cc:
	* glom/glom_test_connection.cc: Add closing
	).
	Bug #674009 (alien)

2012-04-12  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2012-04-12  Malcolm Lewis  <malcolmlewis@opensuse.org>

	Update the FSF address in comment blocks.

	Bug #673881

2012-04-12  Antoine Jacoutot  <ajacoutot@gnome.org>

	build: std:cerr needs <iostream>

	This is necessary on OpenBSD.
	Bug #673914

2012-04-11  Murray Cumming  <murrayc@murrayc.com>

	1.22.0

2012-04-11  Murray Cumming  <murrayc@murrayc.com>

	Export all examples .po files.

2012-04-11  Murray Cumming  <murrayc@murrayc.com>

	Fix make check.

	* tests/test_document_load_translations.cc: Increase the number of
	expected translations.
	* examples/example_film_manager.glom: Fix an inconsistency in the
	German translation.

2012-04-11  Murray Cumming  <murrayc@murrayc.com>

	Windows build: ifdef out the use of getpass().

	* glom/glom_create_from_example.cc:
	* glom/glom_test_connection.cc: And show a warning
	on stderr. This is better than disabling all the functionality
	in this file, and lets us fix it easily if we ever have a
	getpass() function on Windows.
	Bug #672881 (alien)

2012-04-11  Murray Cumming  <murrayc@murrayc.com>

	Windows build: Add some includes.

	* glom/dialog_existing_or_new.cc: As suggested by
	alien in bug #673093

2012-04-11  Murray Cumming  <murrayc@murrayc.com>

	Windows build: Add a windows.h include.

	* glom/utility_widgets/imageglom.cc: As suggested by
	alien in bug #673096

2012-04-10  Murray Cumming  <murrayc@murrayc.com>

	Examples: Import the .po files.

2012-04-09  Rogério Fernandes Pereira  <rogeriofox.gnome@gmail.com>

	Added Brazilian Portuguese translation for example_smallbusiness

2012-04-09  Rogério Fernandes Pereira  <rogeriofox.gnome@gmail.com>

	Added Brazilian Portuguese translation for example_project_manager

2012-04-05  Rogério Fernandes Pereira  <rogeriofox.gnome@gmail.com>

	Added Brazilian Portuguese translation

2012-04-04  Rogério Fernandes Pereira  <rogeriofox.gnome@gmail.com>

	Added Brazilian Portuguese translation

2012-04-04  Rogério Fernandes Pereira  <rogeriofox.gnome@gmail.com>

	Added Brazilian Portuguese translation

2012-03-29  Murray Cumming  <murrayc@murrayc.com>

	Fixed some simple warnings found by scan-build.

	* glom/libglom/report_builder.cc:
	* glom/mode_data/box_data_list_related.cc:
	* glom/mode_design/fields/box_db_table_definition.cc:
	* glom/python_embed/glom_python.cc: Mostly variables that were
	set but then not used.

2012-03-29  Murray Cumming  <murrayc@murrayc.com>

	Minor changes.

2012-03-29  Murray Cumming  <murrayc@murrayc.com>

	Field: Remove get_holder().

	* glom/libglom/data_structure/field.[h|cc]:
	* glom/libglom/python_embed/py_glom_record.cc:
	* glom/mode_data/datawidget/treemodel_db.cc: Replace or remove use
	of Field::get_holder().

2012-03-29  Murray Cumming  <murrayc@murrayc.com>

	ConnectionPool: create_database(): Take a progress slot.

	* glom/libglom/connectionpool.[h|cc]::
	* glom/libglom/connectionpool_backends/backend.h: create_database():
	Add a progress_slot parameter, to be emitted.
	* glom/libglom/connectionpool_backends/postgres.[h|cc]:
	* glom/libglom/connectionpool_backends/postgres_central.[h|cc]:
	* glom/libglom/connectionpool_backends/postgres_self.[h|cc]:
	* glom/libglom/connectionpool_backends/sqlite.[h|cc]:
	* glom/libglom/db_utils.cc:
	* glom/appwindow.[h|cc]: Adapt.

2012-03-29  Murray Cumming  <murrayc@murrayc.com>

	Rename FieldFormatting to Formatting

2012-03-28  Murray Cumming  <murrayc@murrayc.com>

	1.21.8

2012-03-28  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with the latest gtkmm, with --enable-warnings=fatal.

	* glom/mode_data/box_data.[h|cc]: on_Button_Find(): Let the signal
	handler do the check and warning about no criteria.
	* glom/frame_glom.cc: on_notebook_find_criteria(): Check for quickfind
	criteria here too, so we can use this to do quick finds too, which lets
	use just use the existing Find button (the window's default activate widget),
	instead of trying to make the separate quickfind Find button be the default
	for the entry, but not for other widgets.
	on_button_quickfind(): Just call on_notebook_find_criteria(), letting it do
	all the work.
	Constructor: Call set_activates_default() on the quickfind entry so that the
	regular Find button will be activated when enter is pressed.

2012-03-28  Murray Cumming  <murrayc@murrayc.com>

	Slight code improvement.

	* glom/mode_find/box_data_details_find.cc:
	* glom/mode_find/box_data_list_find.cc: Use C++ instead of C
	to set can_default.

2012-03-28  Murray Cumming  <murrayc@murrayc.com>

	Slight code style change.

2012-03-27  Murray Cumming  <murrayc@murrayc.com>

	Dialog_Choose_ID: Remove use of a deprecated signal.

	* glom/mode_data/datawidget/dialog_choose_id.cc:
	Do not connect to Gtk::Entry::signal_activate(),
	which is deprecated. It is unnecessary anyway,
	because the entry already activates the button
	via the activates-default and can/has-default properties.

2012-03-26  Murray Cumming  <murrayc@murrayc.com>

	Dialog_Import_CSV_Progress: Fix a typo.

	* glom/import_csv/dialog_import_csv_progress.cc: Call get_parser_state()
	instead of get_state(). It was calling Widget::get_state() and the
	compiler did not complain that we did not get the enum type that we
	expected.

2012-03-25  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2012-03-25  Fran Diéguez  <fran.dieguez@mabishu.com>

	Added Galician translations for example_music_collection, example_project_manager and example_smallbusiness

	Signed-off-by: Fran Diéguez <fran.dieguez@mabishu.com>
2012-03-24  Bruno Brouard  <annoa.b@gmail.com>

	Updated French translation

2012-03-22  Murray Cumming  <murrayc@murrayc.com>

	Tests: Set LC_TIME too.

	* tests/test_glom_date_in_locales.sh:
	* tests/test_selfhosting_new_from_example_in_locales.sh:
	This seems to be necessary in Ubuntu Precise.

2012-03-22  Murray Cumming  <murrayc@murrayc.com>

	Improve the command-line parse/print locale warnings.

	* glom/libglom/data_structure/glomconversions.cc:
	Mention the locale details when complaining that
	date parsing or rendering is not working correctly for
	a locale.

2012-03-16  Murray Cumming  <murrayc@murrayc.com>

	Update GimpRuler from the Gimp source code.

	With the same changes to make it build in Glom.

2012-03-16  Murray Cumming  <murrayc@murrayc.com>

	Remove some commented-out includes

2012-03-14  Murray Cumming  <murrayc@murrayc.com>

	1.21.7

2012-03-14  Murray Cumming  <murrayc@murrayc.com>

	Fixed the tests build.

2012-03-14  Murray Cumming  <murrayc@murrayc.com>

	set_document(), init() methods: Avoid the appearance that these are virtual.

	* glom/application.cc:
	* glom/appwindow.[h|cc]:
	* glom/base_db.h:
	* glom/base_db_table.h:
	* glom/import_csv/dialog_import_csv_progress.h:
	* glom/mode_data/box_data.h:
	* glom/mode_data/box_data_calendar_related.cc:
	* glom/mode_data/box_data_details.[h|cc]:
	* glom/mode_data/box_data_list.cc:
	* glom/mode_data/box_data_list_related.cc:
	* glom/mode_data/datawidget/dialog_choose_id.h:
	* glom/mode_data/datawidget/dialog_new_record.h:
	* glom/mode_design/layout/dialog_layout.[h|cc]:
	* glom/mode_design/layout/dialog_layout_calendar_related.[h|cc]:
	* glom/mode_design/layout/dialog_layout_details.[h|cc]:
	* glom/mode_design/layout/dialog_layout_list_related.[h|cc]:
	* glom/mode_find/box_data_details_find.h:
	* glom/print_layout/canvas_print_layout.cc:
	This fixes warnings found by clang++.

2012-03-14  Murray Cumming  <murrayc@murrayc.com>

	FlowTable::add(): Rename to add_widgets().

	* glom/mode_data/flowtablewithfields.cc:
	* glom/utility_widgets/flowtable.[h|cc]: This avoids a clash with
	Gtk::Widget::add(), which is virtual, but takes different parameters.
	This fixes warnings found by clang++.

2012-03-14  Murray Cumming  <murrayc@murrayc.com>

	Dialog_ImportCSVProgress: rename a signal handler.

	* glom/import_csv/dialog_import_csv_progress[h|cc]: Avoid a clash with
	a virtual method of the same name in Gtk::Widget.

2012-03-14  Murray Cumming  <murrayc@murrayc.com>

	Make sure that get_appwindow() overrides are const.

	* glom/mode_data/buttonglom.[h|cc]:
	* glom/mode_data/datawidget/checkbutton.[h|cc]:
	* glom/mode_data/datawidget/combo.[h|cc]:
	* glom/mode_data/datawidget/combo_as_radio_buttons.[h|cc]:
	* glom/mode_data/datawidget/datawidget.[h|cc]:
	* glom/mode_data/datawidget/entry.[h|cc]:
	* glom/mode_data/datawidget/label.[h|cc]:
	* glom/mode_data/datawidget/textview.[h|cc]:
	* glom/utility_widgets/imageglom.[h|cc]:
	* glom/utility_widgets/notebookglom.[h|cc]: get_appwindow(): This should
	be const because the pure virtual function (that it is meant to override)
	is const.
	This fixes warnings found by clang++.

2012-03-14  Murray Cumming  <murrayc@murrayc.com>

	Fix some simple warnings found by clang++

	* glom/appwindow.cc:
	* glom/dialog_existing_or_new.cc:
	* glom/frame_glom.cc:
	* glom/glom_import_po_all.cc:
	* glom/libglom/data_structure/layout/layoutitem_field.cc:
	* glom/mode_data/db_adddel/db_adddel.cc:
	* glom/mode_design/fields/box_db_table_definition.cc:
	* glom/mode_design/layout/layout_item_dialogs/box_formatting.cc:
	* glom/utility_widgets/adddel/adddel.cc:
	I just did export CXX=clang++ before running autogen.sh.

2012-03-12  Murray Cumming  <murrayc@murrayc.com>

	More signal reemitting simplification.

2012-03-12  Murray Cumming  <murrayc@murrayc.com>

	Simplify code that just re-emits signals.

2012-03-12  Murray Cumming  <murrayc@murrayc.com>

	Reduce use of the derived ComboBoxText.

2012-03-12  Murray Cumming  <murrayc@murrayc.com>

	Adjust some comments

2012-03-12  Murray Cumming  <murrayc@murrayc.com>

	Remove some unused member variables.

	* glom/mode_data/box_data_list.[h|cc]:
	* glom/mode_data/box_data_manyrecords.[h|cc]:
	Remove m_has_one_or_more_records.
	* glom/mode_data/box_data_list_related.cc:
	Adapted.

2012-03-12  Murray Cumming  <murrayc@murrayc.com>

	Remove some virtual keywords

2012-03-12  Murray Cumming  <murrayc@murrayc.com>

	Document: Move XML utilities into a new file.

	* glom/libglom/document/document.[h|cc]: Move the static
	XML utility methods into:
	* glom/libglom/fileslist.am:
	* glom/libglom/xml_utils.[h|cc]: New file.
	* glom/libglom/report_builder.cc: Adapted, removing the
	need for the friend declaration in Document.

2012-03-12  Murray Cumming  <murrayc@murrayc.com>

	Field: Removed deprecated methods.

	* glom/libglom/data_structure/field.[h.cc]: Removed the sql()
	overload that takes no connection. sql_find(): Add a connection
	parameter.
	* glom/libglom/data_structure/layout/layoutgroup.h:
	* glom/libglom/utils.cc:
	* glom/mode_data/box_data.cc: Adapted.

2012-03-12  Murray Cumming  <murrayc@murrayc.com>

	LayoutItem_GroupBy: Add get and set methods for members.

	* glom/libglom/data_structure/layout/report_parts/layoutitem_groupby.[h|cc]:
	Make the members private, adding getters. With smartpointers, the direct
	access is not necessary for performance.
	* glom/libglom/document/document.cc:
	* glom/libglom/report_builder.cc:
	* glom/mode_design/layout/layout_item_dialogs/dialog_group_by.cc: Adapted.

2012-03-12  Murray Cumming  <murrayc@murrayc.com>

	libglom: LayoutGroup: Remove deprecated remove_field() and has_field().

	* glom/libglom/data_structure/layout/layoutgroup.[h|cc]: Remove
	deprecated method overloads.

2012-03-06  Murray Cumming  <murrayc@murrayc.com>

	1.21.6

2012-03-05  Murray Cumming  <murrayc@murrayc.com>

	Utils::get_find_where_clause_quick(): Handle an empty value properly.

	* glom/libglom/utils.cc: get_find_where_clause_quick():
	Handle an empty quick_search value properly, returning an empty
	where clause.

2012-03-03  Ben Konrath  <ben@bagu.org>

	Remove empty group in the Lesson Planner example file.

	The empty group was at the bottome of the Rooms table details view.

	https://bugzilla.gnome.org/show_bug.cgi?id=671263

	* examples/example_lesson_planner.glom:

2012-03-03  Murray Cumming  <murrayc@murrayc.com>

	Remove remaining uses of deprecated Gtk::Main API.

2012-03-02  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2012-03-01  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-03-01  Murray Cumming  <murrayc@murrayc.com>

	Add a unistd.h include to fix the mingw MS Windows build.

	* glom/glom_create_from_example.cc: include unistd.h for getpass().
	Bug #671120 (alien)

2012-03-01  Mario Blättermann  <mario.blaettermann@gmail.com>

	[l10n] Updated German translation

2012-03-01  Murray Cumming  <murrayc@murrayc.com>

	DbUtils: Update some comments

2012-03-01  Murray Cumming  <murrayc@murrayc.com>

	Make auto-increment fields work even if they are not primary keys.

	* glom/libglom/db_utils.h: get_next_auto_increment_value(): Document that
	this also increments the value ready for the next call.
	* glom/base_db_table_data.cc: record_new(): Decide auto-increment values
	as well as just default values and calculated values. And do this while
	building the SQL, instead of first setting it in the widget, because we
	do not always want to use the entered data, so we would then ignore those
	automatic values accidentally.
	Bug #661702

2012-03-01  Murray Cumming  <murrayc@murrayc.com>

	Make the --debug_sql option work again.

	* glom/appwindow.cc: set_show_sql_debug(): Set it in the ConnectionPool
	too. This was broken since the change to Gtk::Application.

2012-03-01  Murray Cumming  <murrayc@murrayc.com>

	ConnectionPool::change_columns(): Add/Remove autoincement rows here.

	* glom/libglom/connectionpool.cc: change_columns(): Add or remove the
	auto-increment row from the database preferences table. This would
	be added automatically anyway but this makes sure that it is there
	for editing as soon as the field is added, and makes sure that it is
	removed.
	* tests/test_selfhosting_new_then_change_columns.cc: Try setting a
	field as auto-increment.

2012-03-01  Murray Cumming  <murrayc@murrayc.com>

	Tests: Update the expected number of locales.

	* tests/test_document_load_translations.cc: There are now 7 locales in the
	example document.

2012-03-01  Murray Cumming  <murrayc@murrayc.com>

	More windows build fixes.

	* glom/libglom/connectionpool_backends/postgres.cc: Add an include and change
	the ifdefed code slightly to fix the mingw build on Windows.
	Bug #670903 (alien)

2012-03-01  Murray Cumming  <murrayc@murrayc.com>

	Add a fcntl.h include.

	* glom/libglom/utils.cc: Include fcntl.h to fix the mingw build
	on Windows.
	Bug #670903 (alien)

2012-03-01  Murray Cumming  <murrayc@murrayc.com>

	Use Gtk::ApplicationWindow.

	* glom/bakery/appwindow_withdoc_gtk.[h|cc]: Use Gtk::ApplicationWindow
	instead of Gtk::Window.

2012-03-01  Murray Cumming  <murrayc@murrayc.com>

	Remove now-unnecessary call to init_gtkmm.

	* glom/application.cc: The latest gtkmm code in git master makes this
	unnecessary.

2012-03-01  Murray Cumming  <murrayc@murrayc.com>

	Application: Do not load documents twice.

	* glom/application.cc: on_open(): Correct the call to the
	base class method, to avoid a second attempt to open the same
	document.

2012-03-01  Murray Cumming  <murrayc@murrayc.com>

	Remove use of Gtk::Main functions.

	* glom/bakery/busy_cursor.cc:
	* glom/import_csv/dialog_import_csv_progress.cc: Use the C API for
	events_pending/iteration to avoid a crash.

2012-03-01  Murray Cumming  <murrayc@murrayc.com>

	AppWindow: Rename get_application() to get_appwindow().

2012-03-01  Murray Cumming  <murrayc@murrayc.com>

	Do not use Gtk::Main.

	* glom/application.cc: create(): Call the new init_gtkmm method.
	* glom/main.cc: Remove the use of Gtk::Main because it is no unnecessary.

2012-03-01  Murray Cumming  <murrayc@murrayc.com>

	--debug-date-check: Do not show the window.

	* glom/main_local_options.[h|cc]: Make the handler function a class method,
	and make the variables private. Add a get_debug_date_check_result() method.
	* glom/application.cc: Stop the application, before showing the window,
	if the --debug-date-check option was given, as before we used GApplication.

2012-03-01  Murray Cumming  <murrayc@murrayc.com>

	Move all command-line handling into the remote Application.

	* glom/main.cc:
	* glom/application.cc:
	* glom/main_local_options.[h|cc]:
	* glom/main_remote_options.[h|cc]: Split the command-line options into
	two OptionGroups, in their own files, even putting local option handling in
	its separate file. This lets us handle them properly, despite the lack of
	GApplication support for separate local/remote GOption handling.
	( See https://bugzilla.gnome.org/show_bug.cgi?id=634990#c6 )
	thanks to our use of G_APPLICATION_NON_UNIQUE.
	Having them separate should make it easier to really do it properly if
	GApplication ever allows it.

2012-03-01  Murray Cumming  <murrayc@murrayc.com>

	Use G_APPLICATION_NON_UNIQUE.

	* glom/application.cc: This is necessary because we use singletons that
	are really per-AppWindow, to simplify our code.

2012-03-01  Murray Cumming  <murrayc@murrayc.com>

	Add a Gtk::Application subclass, used by main().

	* Makefile.am:
	* main.cc:
	* glom/application.[h|cc]: Use a derived Gtk::Application which instantiates
	the Glom::AppWindow via its on_open(). Some command-line option handling is
	temporarily commented out.

2012-02-29  Mario Blättermann  <mario.blaettermann@gmail.com>

	[l10n] Updated German translation

2012-02-29  Mario Blättermann  <mario.blaettermann@gmail.com>

	[l10n] Updated German translation

2012-02-29  Mario Blättermann  <mario.blaettermann@gmail.com>

	[l10n] Updated German translation

2012-02-29  Bruno Brouard  <annoa.b@gmail.com>

	Updated French doc translation

2012-02-29  Murray Cumming  <murrayc@murrayc.com>

	Examples: .pot/.po files: Slight change of report title.

2012-02-29  Murray Cumming  <murrayc@murrayc.com>

	Examples: Import from .po files, adding French.

2012-02-28  Bruno Brouard  <annoa.b@gmail.com>

	New French translation : example app

2012-02-24  Murray Cumming  <murrayc@murrayc.com>

	Fix a warning

2012-02-24  Murray Cumming  <murrayc@murrayc.com>

	Fix a typo in the previous commit.

	* glom/mode_data/box_data_list_related.cc: Do not use m_found_set where
	we really mean found_set.

2012-02-24  Murray Cumming  <murrayc@murrayc.com>

	Prevent SQL SELECT errors when the user does not have view (SELECT) rights.

	* glom/libglom/privs.cc: get_current_privs(): Check for an empty table
	name to avoid SQL errors.
	* glom/frame_glom.cc: show_table_allow_empty():
	* glom/mode_data/box_data_list.cc: fill_from_database(), create_layout(),
	* glom/mode_data/box_data_list_related.cc: init_db_detail(), create_layout():
	* glom/mode_data/datawidget/combochoiceswithtreemodel.cc:
	set_choices_related(): Set DbAddDel::set_allow_view(), with the
	discovered view privileges for the current user, to avoid SQL errors when the
	user does not have SELECT rights.

2012-02-24  Murray Cumming  <murrayc@murrayc.com>

	More not hiding the database structure if the user does not have view rights.

	* glom/mode_data/box_data_list_related.cc: Do not check if the field really
	exists, because that will fail if the user does not have view (SELECT) rights.

2012-02-23  Murray Cumming  <murrayc@murrayc.com>

	Added some TODOs about users without view rights.

2012-02-23  Murray Cumming  <murrayc@murrayc.com>

	Do not hide the database structure if the user does not have view rights.

	* glom/frame_glom.cc: update_table_in_document_from_database(): Warn if we cannot
	get the fields list from the database and do not then assume that there are no fields.
	* glom/libglom/db_utils.cc: get_fields_for_table(): Do not get the fields from the
	database because it is inefficient and we should already have updated the document.
	* glom/mode_data/box_data_list.cc: create_layout(): Do not (incredibly inefficiently)
	check that each field exists in the database. We should already have updated the
	document.

	This should make the UI faster too.
	Bug #669299

2012-02-23  Murray Cumming  <murrayc@murrayc.com>

	Convert another g_warning() to std::err.

2012-02-23  Murray Cumming  <murrayc@murrayc.com>

	Change lots of g_warnings() to std::cerr.

2012-02-23  Murray Cumming  <murrayc@murrayc.com>

	FieldTypes: Add defaults.

	* glom/libglom/data_structure/fieldtypes.[h|cc]: Fallback to a hard-coded map of
	database types to GType types, for the (so far unexplained) cases where
	CONNECTION_META_TYPES gives us no rows.

2012-02-22  Murray Cumming  <murrayc@murrayc.com>

	List View: Make print layouts grayed-out if no record is selected.

	* glom/mode_data/db_adddel/db_adddel.[h|cc]:
	Add signal_record_selection_changed and emit it when the TreeView's selection
	changes:
	* glom/mode_data/db_adddel/db_adddel_withbuttons.cc: Make sure that we call
	the base class.
	* glom/mode_data/box_data_manyrecords.[h|cc]:
	Added signal_record_selection_changed.
	* glom/mode_data/box_data_list.[h|cc]: Handle the AddDel_DB's
	signal_record_selection_changed, emitting our own
	signal_record_selection_changed.
	* glom/mode_data/notebook_data.[h|cc]: Handle the Box_Data_List's
	signal_record_selection_changed, emitting our own
	signal_record_selection_changed.
	I still do not like the repetition that is required here, and elsewhere,
	when a child widget needs to signal all the way up an ownership hierarchy.

	* glom/appwindow.[h|cc]: Add enable_menu_print_layouts_details().
	* glom/frame_glom.[h|cc]: Handle the Notebook_Data's
	signal_record_selection_changed(), calling the AppWindow's
	enable_menu_print_layouts_details().

2012-02-22  Murray Cumming  <murrayc@murrayc.com>

	Fix typo in comment.

2012-02-22  Murray Cumming  <murrayc@murrayc.com>

	Allow printing of print layouts from the list view.

	* glom/appwindow.cc: fill_menu_print_layouts(): Show the print layouts
	even if the list view is visible.
	* glom/mode_data/notebook_data.[h|cc]:
	get_found_set_details(): Replace with get_found_set_selected()
	which checks the selected record in the list view, if the list
	view is visible, instead of just the details view.
	* glom/frame_glom.[h|cc]: Remove get_viewing_details().
	do_print_layout(): Use get_found_set_selected() so we can print the
	print layout for the selected record.

	This avoids some confusion caused by the print layouts not being available
	when viewing the list instead of the details.
	Bug #670462 (alien)

2012-02-19  Kristjan SCHMIDT  <kristjan.schmidt@googlemail.com>

	Updated Esperanto translation

2012-02-19  Kristjan SCHMIDT  <kristjan.schmidt@googlemail.com>

	Add Esperanto translation

2012-02-19  Kristjan SCHMIDT  <kristjan.schmidt@googlemail.com>

	Add Esperanto translation

2012-02-17  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-02-16  Martin Srebotnjak  <miles@filmsi.net>

	Updated Slovenian translation

2012-02-16  Mario Blättermann  <mario.blaettermann@gmail.com>

	[l10n] Updated German translation

2012-02-16  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2012-02-13  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2012-02-13  Murray Cumming  <murrayc@murrayc.com>

	Users: Warn if we cannot get the list of users.

	* glom/libglom/privs.[h|cc]: get_database_users(): Add documentation
	about the case that the result is empty.
	* glom/mode_design/users/dialog_users_list.cc: on_button_user_add():
	If the users list is empty then warn that something is probably wrong
	with the permissions. I would like to warn much earlier if the user is
	not a superuser, but I do not know how.
	Bug #669178 (alien)

2012-02-13  Murray Cumming  <murrayc@murrayc.com>

	Add missing files

2012-02-13  Murray Cumming  <murrayc@murrayc.com>

	AppWindow: Rename get_application() to get_appwindow().

2012-02-13  Murray Cumming  <murrayc@murrayc.com>

	Rename Application to AppWindow.

	Rename Application to AppWindow and rename the Bakery::App* classes
	appropriately too. This is a preparation for using Gtk::Application.

2012-02-09  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Print Preview: Avoid warnings when there are no records yet.

	* glom/print_layout/canvas_print_layout.cc: fill_with_data(): Do nothing,
	and hint on stdout, if there are no records yet. This avoids several
	real warnings later.

2012-02-08  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-02-08  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Avoid sometimes over-scaled images.

	* glom/print_layout/canvas_layout_item.[h|cc]: Remove the constructor and
	create() that take a LayoutItem, because we should put the CanvasItem in a
	canvas (even indirectly) before creating the child item, to avoid this
	goocanvas bug: https://bugzilla.gnome.org/show_bug.cgi?id=657592#c16
	* glom/mode_design/print_layouts/window_print_layout_edit.[h|cc]:
	* glom/print_layout/canvas_print_layout.[h|cc]:
	Add and use create_canvas_layout_item_and_add() methods which put the new
	canvas item in the canvas before creating its child items based on the
	LayoutItem.

	This fixes bug #668901 (alien)

2012-02-06  Mario Blättermann  <mario.blaettermann@gmail.com>

	[l10n] Updated German translation

2012-02-05  Murray Cumming  <murrayc@murrayc.com>

	Button scripts and Field Calculations: Test button: Check for pygtk2.

	* glom/mode_data/box_data.cc: :execute_button_script(): Move the
	warning UI into
	* glom/utils_ui.[h|cc]: a new script_check_for_pygtk2_with_warning()
	method.
	* glom/mode_design/fields/dialog_fieldcalculation.cc: on_button_test():
	* glom/mode_design/layout/layout_item_dialogs/dialog_buttonscript.cc:
	on_button_test_script(): Use the new function here.

2012-02-03  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2012-02-03  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2012-02-03  Murray Cumming  <murrayc@murrayc.com>

	Button scripts: Check and warn about pygtk2 instead of crashing.

	* glom/libglom/utils.[h|cc]: Add script_check_for_pygtk().
	* Makefile_tests.am:
	* tests/test_script_check_for_problems.cc: Add a test for the check
	function.
	* glom/mode_data/box_data.cc: execute_button_script(): Show a
	warning dialog, and do not run the script, if it seems to use pygtk.
	This should help with but #669196 (alien) and ##661766 (Andre Klapper) .

2012-02-03  Murray Cumming  <murrayc@murrayc.com>

	Minor formatting changes

2012-02-03  Murray Cumming  <murrayc@murrayc.com>

	ReportBuilder: Add error checking.

	* glom/libglom/report_builder.[h|cc]: Return bool
	from the private methods and check those results.

2012-02-03  Murray Cumming  <murrayc@murrayc.com>

	Reports: Make summary fields work again.

	* glom/libglom/report_builder.cc: report_build_summary():
	Remove any sort clause (ORDER BY) from the FoundSet because that makes
	no sense for a single row with summary fields. It looks like recent versions
	of PostgreSQL have become more strict about this, producing this error, for
	instance:
	column invoices.invoice_id must appear in the GROUP BY clause or be used in an aggregate function
	* Makefile_tests.am:
	* tests/test_selfhosting_new_then_report_summary.cc: Add a test for this.
	This fixes bug #669281 (alien)

2012-02-03  Murray Cumming  <murrayc@murrayc.com>

	Remove debug output.

2012-02-03  Murray Cumming  <murrayc@murrayc.com>

	Fix more group privileges

2012-02-03  Murray Cumming  <murrayc@murrayc.com>

	Document: Really load the table privileges.

	* glom/libglom/db_utils.[h|cc]: add_group(): Take a bool superuser
	parameter.
	add_groups_from_document(): Use add_group() instead of executing
	the ADD GROUP query directly, to make sure that we also start
	with some sane table privileges defaults, in case nothing else
	sets the privielges.
	* glom/libglom/document/document.cc: load_after(): Fix a typo
	so that the group privileges are really loaded (and then
	saved again instead of being lost).
	* examples/example_film_manager.glom:
	* examples/example_smallbusiness.glom: Save these with
	useful group privileges, so the groups will be allowed to
	see tables.
	* tests/test_document_load.cc: Test the loading of the group
	privileges.
	Previously the examples were created with groups that could not
	even view the tables, which meant that they could not even
	find out about their existence.
	This deals with the problem found here:
	https://bugzilla.gnome.org/show_bug.cgi?id=669043#c2
	But I would like to show the existence (and structure) of tables
	even if their data cannot be viewed, so there is more work to do.

2012-02-03  Murray Cumming  <murrayc@murrayc.com>

	test_selfhosting_new_empty_then_users: Slight improvement.

	* tests/test_selfhosting_new_from_example_operator.cc: Check
	that the group exists before adding a user to it.

2012-02-03  Murray Cumming  <murrayc@murrayc.com>

	Add some runtime warnings.

	* glom/libglom/db_utils.cc: get_table_names_from_database():
	Slightly improved error checking.
	* glom/libglom/privs.cc: set_table_privileges():
	Warn if a GRANT fails.

2012-02-03  Kjartan Maraas  <kmaraas@gnome.org>

	Updated Norwegian bokmål translation

2012-02-02  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-02-02  Murray Cumming  <murrayc@murrayc.com>

	Examples: Import .po files

2012-02-02  Murray Cumming  <murrayc@murrayc.com>

	Share on Network: Add reassuring message when user removal fails.

	* glom/frame_glom.cc: Add a stdout message saying the the
	default user has been disabled, because the existing message
	about the failure to remove the user looks at first like
	a security problem.
	I still do not know why removal fails, even though we do
	change the ownership of the database.

2012-02-02  Murray Cumming  <murrayc@murrayc.com>

	test_selfhosting_new_empty_then_users: Test user removal.

	* glom/base_db.[h|cc]: Move remove_user() and
	remove_user_from_group() to
	* glom/libglom/db_utils.[h|cc].
	* glom/frame_glom.cc:
	* glom/mode_design/users/dialog_users_list.cc: Adapted.
	* tests/test_selfhosting_new_empty_then_users.cc: Test these
	functions.

2012-02-02  Murray Cumming  <murrayc@murrayc.com>

	Fix the build.

2012-02-02  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2012-02-02  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2012-02-02  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2012-02-02  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2012-02-02  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2012-02-02  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2012-02-02  Murray Cumming  <murrayc@murrayc.com>

	Really prevent changing to developer mode for non-developers.

	* glom/frame_glom.cc: on_menu_developer_developer(): Actually use the
	result of Privs::get_user_is_in_group().
	* tests/test_selfhosting_new_from_example_operator.cc: Test this
	same function here, though this test currently fails anyway.
	Really prevent changing to developer mode for non-developers.
	This fixes bug #669043 (alien)

2012-02-01  Murray Cumming  <murrayc@murrayc.com>

	Allow user and group names to have spaces and other special characters.

	* glom/libglom/privs.cc: get_table_privileges(): Instead of parsing the
	relacl.pg_class field, use the PostgreSQL has_table_privilege()
	function, though it needs some strange quoting (see comments).
	This code is much simpler now.
	* tests/test_selfhosting_new_empty_then_users.cc: Add various other
	table, group, and user names, to excercise the code.
	This now passes.

2012-02-01  Murray Cumming  <murrayc@murrayc.com>

	Fix the build.

	* glom/mode_design/users/dialog_new_group.cc:
	* glom/mode_design/users/dialog_user.cc: Add includes to fix the build.

2012-02-01  Murray Cumming  <murrayc@murrayc.com>

	test_selfhosting_new_empty_then_users: Show the problem with spaces.

	* tests/test_selfhosting_new_empty_then_users.cc:
	Privs::get_table_privileges() must parse a strange format. This test
	shows that it fails if the group name contains spaces.

2012-02-01  Murray Cumming  <murrayc@murrayc.com>

	Fix typos

2012-02-01  Murray Cumming  <murrayc@murrayc.com>

	Limit user and group name lengths.

	* glom/libglom/privs.[h|cc]: Add a MAX_ROLE_SIZE enum constants.
	I cannot find any PostgreSQL documentation of this 63 character limit.
	* glom/mode_design/users/dialog_new_group.cc:
	* glom/mode_design/users/dialog_user.cc: Use it to set maximum characters
	for the entry boxes.
	* tests/test_selfhosting_new_empty_then_users.cc: Show that the problem
	found so far was caused by too-long names, not spaces.
	I still need to check parsing of table permissions.

2012-02-01  Murray Cumming  <murrayc@murrayc.com>

	Fix typo

2012-02-01  Murray Cumming  <murrayc@murrayc.com>

	test_selfhosting_new_empty_then_users: Test user adding with all group names.

	* tests/test_selfhosting_new_empty_then_users.cc: Use for loops to
	simplify the code and to make sure that we test adding of users with
	all the group types.
	This shows a problem:
	Privs::get_database_groups() does not contain the expected user:
	group: somegroup with space characters1
	user: someuser with space characters1for_somegroup with space characters1

2012-02-01  Murray Cumming  <murrayc@murrayc.com>

	test_selfhosting_new_empty_then_users: Improvements.

	* tests/test_selfhosting_new_empty_then_users.cc:
	Add tables that will be affected.
	Test strange characters in group and user names.

2012-02-01  Murray Cumming  <murrayc@murrayc.com>

	Add test_selfhosting_new_empty_then_users

	* glom/mode_design/users/dialog_groups_list.cc: on_button_group_new():
	Move the group creation code to:
	* glom/libglom/db_utils.[h|cc]:

	* glom/libglom/privs.[h|cc]: set_table_privileges():
	Return a bool to report failures.
	* Makefile_tests.am:
	* tests/test_selfhosting_new_empty_then_users.cc: Add this test to
	test simple creation of a group and a user.

2012-02-01  Murray Cumming  <murrayc@murrayc.com>

	Add test_selfhosting_new_from_example_operator.

	* glom/base_db.[h|cc]: Move add_user() to
	* glom/libglom/db_utils.[h|cc]:
	* glom/frame_glom.cc:
	* glom/mode_design/users/dialog_users_list.cc: Adapted.

	* glom/libglom/connectionpool.cc: invalidate_connection():
	Also clear m_pFieldTypes to make sure that we refill it when making
	a new connection.

	* glom/libglom/data_structure/fieldtypes.[h|cc]: Add get_types_count().
	* tests/test_selfhosting_utils.[h|cc]: Add test_selfhost() to
	start an already-existing .glom system.
	* Makefile_tests.am:
	* tests/test_selfhosting_new_from_example_operator.cc:
	Add this new test which attempts to re-open a .glom system as
	a non-developer user. This currently fails to get the list of
	tables from the database. I must investigate that.

2012-01-30  Murray Cumming  <murrayc@murrayc.com>

	Add test_selfhosting_new_empty_change_sysprefs.

	* Makefile_tests.am:
	* tests/test_selfhosting_new_empty_change_sysprefs.cc: Add this
	test to check that the writing and reading of System Preferences works.

2012-01-30  Murray Cumming  <murrayc@murrayc.com>

	test_selfhosting_new_empty: Move some code into test_selfhosting_utils

	* tests/test_selfhosting_utils.[h|cc]: Add functions for self-hosting
	of an empty new database, used by the existing code too.
	* Makefile_tests.am:
	* tests/test_selfhosting_new_empty.cc: Use test_selfhosting_utils to
	simplify this code, making it easier to create variations of this test.

2012-01-30  Murray Cumming  <murrayc@murrayc.com>

	test_selfhosting_new_empty: Simplify the cleanup code.

	* tests/test_selfhosting_new_empty.cc: Call cleanup if test() returns
	false, like we in the other tests, to avoid calling it in too many
	places.

2012-01-30  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2012-01-30  Murray Cumming  <murrayc@murrayc.com>

	Require the latest goocanvas because it has fixes that PrintLayout needs.

	* configure.ac: Require goocanvas 2.0.1.

2012-01-30  Murray Cumming  <murrayc@murrayc.com>

	Add translatable strings from OnlineGlom

	* glom/onlineglom_strings.cc:
	* Makefile.am:
	* po/POTFILES.in: Mention the new file.
	These strings are actually used here:
	http://gitorious.org/online-glom/gwt-glom/trees/master/src/main/resources/org/glom/web/client/ui
	and I must manually copy the translations across until I find a better way.

2012-01-30  Murray Cumming  <murrayc@murrayc.com>

	Translatable: Remove unimplemented get_title_or_name_original().

	* glom/libglom/data_structure/translatable_item.h: This
	method is not used, of course.

2012-01-29  Murray Cumming  <murrayc@murrayc.com>

	TableInfo, Report, PrintLayout: Make member variables private.

	* glom/libglom/data_structure/print_layout.[h|cc]:
	* glom/libglom/data_structure/report.[h|cc]:
	* glom/libglom/data_structure/tableinfo.[h|cc]: Hide the member
	variables behind getters and setters.
	* glom/application.cc:
	* glom/base_db.cc:
	* glom/libglom/db_utils.cc:
	* glom/libglom/document/document.cc:
	* glom/libglom/report_builder.cc:
	* glom/mode_design/print_layouts/window_print_layout_edit.cc:
	* glom/mode_design/report_layout/dialog_layout_report.cc:
	* glom/navigation/box_tables.cc:
	* glom/print_layout/canvas_print_layout.[h|cc]:
	* glom/print_layout/print_layout_utils.cc:
	* tests/test_document_load.cc: Adapt.
	This avoids java-libglom from generating getM_*() and setM_*() methods,
	as well as being generally correct.

2012-01-29  Murray Cumming  <murrayc@murrayc.com>

	Database Preferences: Really store the organization name in the database.

	* glom/libglom/db_utils.cc: set_database_preferences(): Also UPDATE
	the organization name.

	This fixes bug #668836 (alien)

2012-01-29  Murray Cumming  <murrayc@murrayc.com>

	Field Formatting: Related Choices: Default to showing the primary key.

	* glom/mode_design/layout/layout_item_dialogs/box_formatting.cc:
	on_combo_choices_relationship_changed(): By default, automatically
	choose the related table's primary key as the field to show in the
	choices. Other fields should then be shown (or looked up) based on the
	chosen ID.
	This avoids the confusion noticed here: https://bugzilla.gnome.org/show_bug.cgi?id=668759#c21

2012-01-29  Murray Cumming  <murrayc@murrayc.com>

	CellRendererDbList: Do not crash if one of the fields is hidden.

	* glom/mode_data/datawidget/cellrenderer_dblist.cc:
	repack_cells_related(): Do not crash if create_cell() returns 0,
	and add a comment explaining that that is OK.
	* glom/mode_data/datawidget/cellcreation.cc: Add explanatory comments.

	This fixes the second crash mentioned in #668759 (alien).

2012-01-29  Murray Cumming  <murrayc@murrayc.com>

	Choices: Allow the field to be be other than the primary key.

	* glom/mode_data/datawidget/treemodel_db.h: Make most methods and
	members private again, documentation what they *key methods and members
	really mean.
	* glom/mode_data/datawidget/treemodel_db_withextratext.[h|cc]: Add
	m_column_index_first and m_item_first members.
	Constructor: Set these by looking for the first LayoutItem_Field,
	because that is what we will want to show in the first cell of
	a combobox, which is where this model is used.
	Use these instead of the *key members, which were actually the primary
	key. We had previously assumed that the first field would always be
	the primary key, but we should not enforce that.
	This fixes crashing bug #668759 (alien).

2012-01-28  Murray Cumming  <murrayc@murrayc.com>

	ComboChoicesWithTreeModel: Make sure the model always has the primary key.

	* glom/libglom/data_structure/layout/layoutitem_field.h:
	predicate_LayoutItem_Field_IsSameField: Let this be used with containers of
	LayoutItems as well as just LayoutItem_Fields.
	* glom/libglom/utils.[h|cc]: Add get_layout_items_plus_primary_key().
	* glom/mode_data/box_data_list.cc: create_layout(): Simplify code by using
	get_layout_items_plus_primary_key().
	* glom/mode_data/datawidget/combochoiceswithtreemodel.cc:
	set_choices_related(): Use get_layout_items_plus_primary_key() so the
	model has the primary key, avoiding a warning and a later crash.

2012-01-27  Murray Cumming  <murrayc@murrayc.com>

	Test creation from examples in non-English locales.

	* Makefile_tests.am:
	* tests/test_selfhosting_new_from_example_in_locales.sh:
	Run the test_selfhosting_new_from_example example in various
	locales, to make sure that the libgda problem (see bug #668346),
	or something like it, does not come back.
	* tests/test_selfhosting_new_from_example.cc: Call setlocale().

2012-01-26  Murray Cumming  <murrayc@murrayc.com>

	Examples: Import po files

2012-01-25  Mario Blättermann  <mariobl@gnome.org>

	[l10n] Updated German translation

2012-01-25  Mario Blättermann  <mariobl@gnome.org>

	[l10n] Updated German translation

2012-01-25  Murray Cumming  <murrayc@murrayc.com>

	Document: Avoid accumulating old nodes in the XML.

	* glom/glom_document.dtd: <connection>: Port and server should be
	optional because the document can specify a SQLite file instead.
	* glom/libglom/document/document.cc: save_before(): Remove all
	children of the root node before recreating them, to avoid keeping
	old stuff.

2012-01-25  Murray Cumming  <murrayc@murrayc.com>

	Examples: Remove multiple trans_set nodes.

	* examples/example_film_manager.glom:
	* examples/example_lesson_planner.glom:
	* examples/example_music_collection.glom:
	* examples/example_project_manager.glom:
	* examples/example_smallbusiness.glom:

2012-01-25  Murray Cumming  <murrayc@murrayc.com>

	Examples: Imported .po files to the .glom files.

2012-01-25  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2012-01-25  Murray Cumming  <murrayc@murrayc.com>

	1.21.5

2012-01-25  Murray Cumming  <murrayc@murrayc.com>

	Fix typo.

2012-01-25  Murray Cumming  <murrayc@murrayc.com>

	Depend on libgda 5.0.3 because we need the GdaNumeric corrections.

	* configure.ac: This avoids errors when creating from examples, when
	using a non-English locale.
	This fixes bug #668346 (Janne)

2012-01-24  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-01-24  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-01-24  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-01-24  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-01-24  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-01-24  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-01-24  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-01-24  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-01-24  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-01-24  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-01-24  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-01-24  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-01-24  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-01-24  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-01-24  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-01-24  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-01-24  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-01-24  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-01-24  Murray Cumming  <murrayc@murrayc.com>

	Examples: Import the new Slovenian translations

2012-01-24  Murray Cumming  <murrayc@murrayc.com>

	examples: Correct the slovenian translation

	The translations contained %s, but there was no %s in the original
	messages.

2012-01-24  Murray Cumming  <murrayc@murrayc.com>

	Examples: Re-export the .po and .pot files

2012-01-24  Murray Cumming  <murrayc@murrayc.com>

	Examples: Import the new Slovenian translations

2012-01-24  Murray Cumming  <murrayc@murrayc.com>

	2.21.4

2012-01-24  Murray Cumming  <murrayc@murrayc.com>

	Fix document loading, and make distcheck.

	* glom/glom_document.dtd: Mention that the database_title
	attribute is replaced by title.
	* glom/libglom/document/document.cc: load_after(): Deprecate the
	database_title attribute, but do load it if it is present and
	if title is not.
	get_latest_known_document_format_version(): Increase the version
	because the deprecated attribute will not be saved.

2012-01-24  Murray Cumming  <murrayc@murrayc.com>

	Add missing files.

2012-01-23  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2012-01-23  Murray Cumming  <murrayc@murrayc.com>

	libglom: Replace more std::lists with std::vector.

	* glom/libglom/connectionpool_backends/postgres_central.h:
	* glom/libglom/data_structure/field.h:
	* glom/libglom/data_structure/foundset.h:
	* glom/libglom/data_structure/layout/fieldformatting.h:
	* glom/libglom/data_structure/layout/layoutgroup.h:
	* glom/libglom/document/document.h:
	* glom/libglom/utils.h:
	* glom/libglom/xsl_utils.h:
	* glom/mode_data/datawidget/combo_as_radio_buttons.h:
	This is more consistent.

2012-01-23  Murray Cumming  <murrayc@murrayc.com>

	Document: Allow the database title to be translated.

	* glom/libglom/filelist.am:
	* glom/libglom/database_title.[h|cc]: Add this new TranslatableItem.
	* glom/libglom/document/document.[h|cc]: Use DatabaseTitle instead of just
	a string, and load/save it in the database.
	get_database_title(): Add a locale parameter and add
	get_database_title_original().
	* glom/application.cc:
	* glom/libglom/connectionpool.cc:
	* glom/libglom/data_structure/translatable_item.[h|cc]:
	* glom/libglom/db_utils.cc:
	* glom/libglom/example_document_load.cc:
	* glom/libglom/translations_po.cc:
	* tests/test_document_autosave.cc:
	* tests/test_document_change.cc:
	* tests/test_document_load.cc:
	* tests/test_document_load_translations.cc: Adapt.

2012-01-23  Murray Cumming  <murrayc@murrayc.com>

	Document: load_after_translation(), save_before_translation(): Use sharedptr.

	* glom/libglom/document/document.[h|cc]: load_after_translation(),
	save_before_translation(): Take the TranslatableItem parameter as a sharedptr.
	Any reason not to no longer applies.

2012-01-22  Murray Cumming  <murrayc@murrayc.com>

	Document: get_report_names(), get_print_layout_names(): Return a vector.

	* glom/libglom/document/document.[h|cc]: get_report_names(),
	get_print_layout_names(): Return a std::vector instead of a std::list,
	removing the typedefs, to be consistent with get_table_names().
	This also helps java-libglom, whose std::list wrapper seems to be useless.
	* glom/application.cc:
	* glom/box_reports.cc:
	* glom/mode_design/print_layouts/box_print_layouts.cc:
	* tests/test_document_load.cc: Adapted.

2012-01-20  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-01-20  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-01-20  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-01-20  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-01-20  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-01-18  Murray Cumming  <murrayc@murrayc.com>

	Default to en rather than en_US for the original locale.

	* glom/application.cc: get_original_locale(): Default to en rather than en_US.
	* examples/*.glom: Change the original locale from en_US to en.

2012-01-17  Murray Cumming  <murrayc@murrayc.com>

	1.21.3

2012-01-16  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2012-01-16  Kjartan Maraas  <kmaraas@gnome.org>

	Updated Norwegian bokmål translation

2012-01-16  Murray Cumming  <murrayc@murrayc.com>

	Avoid repetitive Application::get_current_locale() calls.

	* glom/application.[h|cc]: Added item_get_title() and item_get_title_or_name()
	outside of the class.
	* glom/libglom/data_structure/translatable_item.h: Removed unused
	glom_get_sharedptr_title_or_name().
	* glom/: Many files: Use the new functions to make the code slighly shorter.

2012-01-16  Murray Cumming  <murrayc@murrayc.com>

	TranslatableItems: Make less methods virtual.

	* glom/libglom/data_structure/translatable_item.[h|cc]:
	get_title_translation(), get_title_or_name_original():
	Make these non-virtual, because nothing needs to override them.
	* glom/libglom/data_structure/layout/layoutitem_field.[h|cc]:
	Remove useless get_title_original(), get_title_translation(), and
	get_title_or_name_original() overrides.
	Remove useless and unused private get_title_no_custom_original() method.
	* glom/libglom/document/document.[h|cc]: Add a
	fill_translatable_layout_items(LayoutItem_Field) method, and use it in
	fill_translatable_layout_items(LayoutGroup), instead of repeating code.
	Avoid calling get_title_original() and get_title_translation() on
	LayoutItem_Field because it does not have its own title.
	* glom/libglom/example_document_load.cc:
	* tests/test_document_load_translations.cc: Adapted.

2012-01-16  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2012-01-16  Murray Cumming  <murrayc@murrayc.com>

	TranslatableItem: Require the caller to provide the locale.

	* glom/libglom/data_structure/translatable_item.[h|cc]:
	get_current_locale(), set_current_locale(), set_original_locale(),
	get_current_locale_not_original(): Move to Glom::Application, out of
	libglom.
	get_title(), set_title(), get_title_or_name(): Add a ustring locale
	parameter.
	Added virtual get_title_original(), get_title_translation(),
	get_title_or_name_original(), get_title_or_name_translation().
	Added set_title_original() and set_title_translation(), though these
	are private and non-virtual.
	This let use discover the actual original text and its translations
	while still using get_title(locale) to just get the title that should
	be used. Before we could get the exact entered title for a locale just
	by setting the current locale.
	* libglom/data_structure/layout/layoutitem_field.[h|cc]: Override the
	new virtual methods.
	* Many other files: Adapt.

	This allows us to use different translatations from Online Glom, which
	only loads the library once for all Glom files. And this is generally
	cleaner, even if it requires more repetitive code.

2012-01-16  Murray Cumming  <murrayc@murrayc.com>

	translations change in progress

	More in progress

	More in progress 2

2012-01-16  Murray Cumming  <murrayc@murrayc.com>

	Update .gitignore files

2012-01-16  Murray Cumming  <murrayc@murrayc.com>

	Update the DTD, adding a trans_set.

2012-01-16  Murray Cumming  <murrayc@murrayc.com>

	test_document_load_translations: Test title_singular too.

	* examples/example_film_manager.glom: Scenes table: Add a German
	translation of the singular title.
	* tests/test_document_load_translations.cc: Test
	Document::get_table_title_singular() in the original and de locales.

2012-01-15  Funda Wang  <fundawang@gmail.com>

	Updated zh_CN translation.

2012-01-13  Murray Cumming  <murrayc@murrayc.com>

	Import .po translations into the .glom example files.

	* examples/example_film_manager.glom:
	* examples/example_lesson_planner.glom:
	* examples/example_music_collection.glom:
	* examples/example_project_manager.glom:
	* examples/example_smallbusiness.glom: Import some new German,
	Czech, and Spanish translations. This is wonderful.

2012-01-12  Marek Černocký  <marek@manet.cz>

	Czech translation

2012-01-11  Murray Cumming  <murrayc@murrayc.com>

	1.21.2

2012-01-11  Marek Černocký  <marek@manet.cz>

	Czech translation

2012-01-11  Marek Černocký  <marek@manet.cz>

	Czech translation

2012-01-11  Marek Černocký  <marek@manet.cz>

	Czech translation

2012-01-11  Marek Černocký  <marek@manet.cz>

	Czech translation

2012-01-11  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2012-01-11  Murray Cumming  <murrayc@murrayc.com>

	Fix make distcheck.

	* Makefile.am: Add messages.mo to CLEANFILES, though I would prefer
	to not generate it in the first place. This is apparently triggered by
	the presence of the .po files in examples/po_files/ though these are
	not part of the build.

2012-01-11  Murray Cumming  <murrayc@murrayc.com>

	Add missing file.

2012-01-10  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2012-01-10  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2012-01-10  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2012-01-10  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2012-01-10  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2012-01-10  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2012-01-10  Murray Cumming  <murrayc@murrayc.com>

	Allow creation of .pot files for .glom files.

	* glom/libglom/translations_po.[h|cc]: Added write_pot_file().
	* glom/glom_export_po.cc: Add a --template option to genereate
	.pot files.
	* Makefile.am: Use this new option to generate .pot files
	when exporting all .po files.
	* examples/po_files/*/*.pot: Add these generated files to git,
	to help translators to start new translations.

2012-01-10  Murray Cumming  <murrayc@murrayc.com>

	Add README about examples' .po files.

	* examples/po_files/README:

2012-01-09  Murray Cumming  <murrayc@murrayc.com>

	Export .po files for the example files.

	* examples/po_files/example_film_manager/de.po:
	* examples/po_files/example_lesson_planner/de.po:
	* examples/po_files/example_music_collection/de.po:
	* examples/po_files/example_project_manager/de.po:
	* examples/po_files/example_smallbusiness/de.po:
	Hopefully people will translate these and add more,
	for me to import back into the .glom files with
	$ make examples_import_po

2012-01-09  Murray Cumming  <murrayc@murrayc.com>

	examples: Remove translations for useless locale.

	* examples/example_lesson_planner.glom:
	* examples/example_project_manager.glom:
	* examples/example_smallbusiness.glom:
	* ldtp/database-templates/PostgresCentral/Test.glom:
	* ldtp/database-templates/SQLite/Test.glom: For some reason
	these had translations for de_BE, de_AT, en_GB, and en_US.

2012-01-09  Murray Cumming  <murrayc@murrayc.com>

	Remove unused file.

2012-01-09  Murray Cumming  <murrayc@murrayc.com>

	Translations: Prefer non-country-specific locales, such as de.

	* examples/example_film_manager.glom:
	* examples/example_lesson_planner.glom:
	* examples/example_music_collection.glom:
	* examples/example_project_manager.glom:
	* examples/example_smallbusiness.glom:
	* examples/sqlite/test_sqlite_music/test_sqlite_music.glom:
	* ldtp/database-templates/PostgresCentral/Test.glom:
	* ldtp/database-templates/SQLite/Test.glom:
	* tests/test_document_load_translations.cc:
	* tests/translations_po/test_document_export_po.cc:
	* tests/translations_po/test_document_import_po.cc:
	Replace de_DE with de.

2012-01-09  Murray Cumming  <murrayc@murrayc.com>

	Translations: Offer non-country-specific language locales too.

	* Makefile_tests.am:
	* glom/libglom/utils.cc: locale_language_id(): Parse language-only
	locale IDs too.
	* glom/mode_design/iso_codes.cc: get_locale_name(): Create non-country
	locale IDs too, though they are not in the iso-codes XML file.
	* glom/mode_design/translation/window_translations.cc: Show, for instance
	German (de) as well as the existing German (Germany), German (Austria),
	etc.

2012-01-09  Murray Cumming  <murrayc@murrayc.com>

	Add rules for batch .po import and export for the examples.

	* Makefile.am: Add examples_export_po and examples_import_po targets
	that must be run manually. For instance:
	$ make examples_export_po
	and
	$ make examples_import_po
	* glom/glom_import_po_all.cc: Improve the stdout message.

2012-01-09  Mario Blättermann  <mariobl@gnome.org>

	[l10n] Updated German translation

2012-01-09  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2012-01-09  Murray Cumming  <murrayc@murrayc.com>

	Exporting of .po files: Do not lose non-ASCII characters.

	* glom/libglom/translations_po.cc: write_translations_to_po_file():
	Write the file manually instead of using gettext-po.h and its po_file_write(),
	because that loses non-ASCII characters (see previous commit).
	make check now works.

2012-01-09  Murray Cumming  <murrayc@murrayc.com>

	test_document_export_po: Test a special character.

	* tests/translations_po/test_document_export_po.cc:
	Demonstrate that the po file export currently drops non-ASCII characters.
	Apparently there is no way to tell po_file_write() to use UTF-8 encoding,
	though that can be affected by code that uses the libgettext-po source code
	itself, by setting output_format_po.requires_utf8.

2012-01-09  Murray Cumming  <murrayc@murrayc.com>

	Add glom_import_po_all command-line utility.

	* glom/libglom/translations_po.cc: write_translations_to_po_file():
	Mark the document as modified so the changes will (or can be) saved.
	* Makefile_libglom.am:
	* glom/glom_import_po_all.cc: Add this command-line utility to read all
	.po files in a directory back into the .glom file.

2012-01-09  Murray Cumming  <murrayc@murrayc.com>

	Command-line utilities: Initialize gettext and the locale.

	* glom/glom_create_from_example.cc:
	* glom/glom_export_po.cc:
	* glom/glom_export_po_all.cc:
	* glom/glom_test_connection.cc: This should make the translations be used.

2012-01-09  Murray Cumming  <murrayc@murrayc.com>

	glom_export_po_all: Actually export the translations.

	* glom/glom_export_po_all.cc: Use the available locale_id,
	instead of an unset variable that should not be used.

2012-01-09  Murray Cumming  <murrayc@murrayc.com>

	export_po_all: Fix some typos.

	* glom/glom_export_po_all.cc: Fix some typos.

2012-01-09  Murray Cumming  <murrayc@murrayc.com>

	test_document_load_translations: Test more fallbacks.

	* examples/example_film_manager.glom: Remove the useless en_GB translations.
	* tests/test_document_load_translations.cc: Check that similar locales
	are used if there is no translation.

2012-01-09  Murray Cumming  <murrayc@murrayc.com>

	Added glom_export_po_all command-line too.

	* Makefile_libglom.am:
	* glom/glom_export_po_all.cc: This outputs all .po files to a directory.

2012-01-09  Murray Cumming  <murrayc@murrayc.com>

	whitespace corrections.

2012-01-08  Murray Cumming  <murrayc@murrayc.com>

	test_document_export_po: Use msgfmt -c to test the exported .po file.

	* configure.ac: Get the path for msgfmt.
	* tests/translations_po/test_document_export_po.cc: Use msgfmt -c to
	check the new .po file.

2012-01-08  Murray Cumming  <murrayc@murrayc.com>

	glom_export_po: Let the user choose the locale ID.

	* glom/glom_export_po.cc: Add, and use, a --locale-id (-l) option
	instead of just hard-coding de_DE.

2012-01-08  Murray Cumming  <murrayc@murrayc.com>

	Export to po file: Write a po file header.

	* glom/libglom/translations_po.[h|cc]: write_translations_to_po_file():
	Add an optional locale_name parameter. We cannot discover this inside
	the function because we only use iso-codes in glom, not libglom, and
	I would prefer not to move that static data into libglom.
	* glom/mode_design/translation/window_translations.cc:
	on_button_export():Pass the extra locale_name parameter.
	* tests/translations_po/data/test.po: Resave.

	This makes the written .po file pass validation by msgfmt -c on the
	command line.

2012-01-08  Murray Cumming  <murrayc@murrayc.com>

	Import of po files: Handle empty gettext strings.

	* glom/libglom/translations_po.cc: Handle empty msgid, msgstr and
	msgctxt.

2012-01-08  Murray Cumming  <murrayc@murrayc.com>

	Hack a gettext header into our test.po, to pass the git.gnome.org translators test. I will make sure they are generated correctly later.

2012-01-08  Murray Cumming  <murrayc@murrayc.com>

	Export to po file: Improve the msgtxt hints more.

	* glom/libglom/document/document.cc: fill_translatable_layout_items():
	Mention the parent groups in the hints, t omake them more unique.
	* tests/translations_po/data/test.po: Resaved.

2012-01-08  Murray Cumming  <murrayc@murrayc.com>

	Export to po file: Improve the msgtxt hints.

	* glom/libglom/data_structure/translatable_item.[h|cc]:
	get_translatable_item_type(): Make this const.
	* glom/libglom/document/document.[h|cc]: get_translatable_items():
	Now return a list of pairs, so each TranslatableItem also has a hint
	for the msgtxt for the po (gettext) file, so that each can be
	identified uniquely and so that the translator has some context.
	* glom/libglom/translations_po.[h|cc]: Adapt.
	* glom/mode_design/translation/window_translations.[h|cc]: Adapt,
	showing the actual hint instead of just the item type.
	* tests/test_document_load_translations.cc: Adapted.
	* tests/translations_po/data/test.po: Reexported.

2012-01-07  Murray Cumming  <murrayc@murrayc.com>

	Update .gitignore

2012-01-07  Murray Cumming  <murrayc@murrayc.com>

	Move po file (gettext) import and export into libglom and test it.

	* glom/mode_design/translation/window_translations.[h|cc]:
	load_from_document(), save_to_document(): Move the collecting of
	translatable items to:
	* glom/libglom/document/document.[h|cc]: get_translatable_items();
	Also move the gettext/po import/export to:
	* Makefile_libglom.am:
	* glom/libglom/filelist.am:
	* glom/libglom/translations_po.[h|cc]: write_translations_to_po_file()
	and import_translations_from_po_file().

	* Makefile_tests.am
	* tests/translations_po/data/test.po:
	* tests/translations_po/test_document_export_po.cc:
	* tests/translations_po/test_document_import_po.cc: Add tests of the new
	libglom functions.

	* Makefile_glom.am
	* glom/glom_export_po.cc: Added a new command-line tool that uses the
	new libglom API.

2012-01-07  Murray Cumming  <murrayc@murrayc.com>

	test_document_load: Fix a typo.

	* tests/test_document_load.cc: Check the correct variable.

2012-01-07  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-01-07  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2012-01-06  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2012-01-06  Murray Cumming  <murrayc@murrayc.com>

	whitespace change

2012-01-06  Murray Cumming  <murrayc@murrayc.com>

	Replace most uses of g_object_set() with C++ code.

	* glom/mode_data/datawidget/cellcreation.cc:
	* glom/mode_data/datawidget/combochoiceswithtreemodel.cc:
	* glom/mode_data/db_adddel/db_adddel.cc:
	* glom/mode_design/layout/dialog_layout_export.cc:
	* glom/utility_widgets/adddel/adddel.cc:
	Apart from some uses, due to GTK+ bug #667415 .

	These were probably using C code due to the reduced API on Maemo,
	but we remove the Maemo code a while ago.

2012-01-06  Murray Cumming  <murrayc@murrayc.com>

	List: Custom choices: Make them work here too.

	* glom/libglom/data_structure/layout/fieldformatting.[h|cc]:
	Added get_custom_choice_original_for_translated_text() and
	get_custom_choice_translated() to convert between original and
	translated choice text.
	* glom/libglom/data_structure/layout/layoutitem_field.[h|cc]:
	Add a get_formatting_used_has_translatable_choices() convenience method.
	* tests/test_document_load_translations.cc: Test these new methods.

	* glom/mode_data/datawidget/cellcreation.cc: create_cell():
	Pass the restricted bool to set_choices_restricted() so that the
	translations can be used.
	* glom/mode_data/db_adddel/db_adddel.cc:
	on_treeview_cell_edited(): store only the original (not translated)
	text in the database so that other locales can also show their own
	translations.
	treeviewcolumn_on_cell_data(): Show the translated text, not the
	original.

2012-01-05  Murray Cumming  <murrayc@murrayc.com>

	DTD: formatting: Mention choices_restricted to fix make check.

	* glom/glom_document.dtd: Note that this is not a new part of the
	file format. We just never used it in an example before.

2012-01-05  Murray Cumming  <murrayc@murrayc.com>

	Custom Choices: Allow these to be translated when used for text fields.

	* glom/libglom/filelist.am:
	* glom/libglom/data_structure/layout/choicevalue.[h|cc]: Add the
	ChoiceValue translatable item. The translations are only meaningful
	when this is used for a text field.
	* glom/libglom/data_structure/translatable_item.[h|cc]:
	Make get_title_original() virtual, so ChoiceValue can override it,
	to return a text representation of its Gnome::Gda::Value.
	Always use get_title_original() instead of the member variable,
	so that the method override is used when appropriate.
	* glom/libglom/data_structure/layout/fieldformatting.h:
	set/get_choices_custom(): Return a list of ChoiceValues instead of
	Gnome::Gda::Values.
	* glom/mode_data/datawidget/cellcreation.cc:
	* glom/mode_design/layout/layout_item_dialogs/box_formatting.cc: Adapt.

	* glom/libglom/document/document.[h|cc]:
	load_after_layout_item_formatting(), save_before_layout_item_formatting():
	Adapt and load/save the ChoiceValue translations too.
	fill_translatable_layout_items(): Return the ChoiceValue items too.
	Add a static fill_translatable_custom_choices() helper function.

	* glom/mode_data/datawidget/combochoices.h: set_choices_fixed():
	Add an optional restricted parameter, because the translations are
	only useful if the choices are restricted.
	* glom/mode_data/datawidget/cellrenderer_dblist.[h|cc]:
	* glom/mode_data/datawidget/combo_as_radio_buttons.[h|cc]:
	* glom/mode_data/datawidget/datawidget.cc:Adapted.
	* glom/mode_data/datawidget/combochoiceswithtreemodel.[h|cc]:
	set_choices_fixed(): Use get_title() if the choice could be translated.
	* glom/mode_data/datawidget/combo.[h|cc]: set_choices_fixed():
	Use the (translated) text value if the choice could be translated.

	* glom/mode_design/translation/window_translations.cc:
	load_from_document(): For text fields, handle the ChoiceValues too.

	* tests/test_document_load.cc: Adapt.
	* tests/test_document_load_translations.cc: Test ChoiceValue
	translations too.
	* examples/example_film_manager.glom: Add some translations for the
	Scene::Day/Night field's choices. Also make the choices for this
	field restricted, so the translations can be used.
	* glom/glom_document.dtd: custom_choice: Mention the new trans_set
	child tags.

	This fixes bug #666343

2012-01-04  Murray Cumming  <murrayc@murrayc.com>

	Add missing code from previous commit, lost during rebase.

2012-01-04  Murray Cumming  <murrayc@murrayc.com>

	Details： Make restricted choices work.

	* glom/mode_data/datawidget/combochoiceswithtreemode.[h|cc]:
	on_cell_data(): Move some code into set_cell_for_field_value().
	* glom/mode_data/datawidget/combo.[h|cc]: on_fixed_cell_data():
	Connect a cell_data slot that uses set_cell_for_field_value(),
	instead of trying to associate a Gnome::Gda::Value with a cell's text
	property.

	Without this, the choice combobox's rows were empty when the field's
	value should be restricted to the available custom (fixed) choices.

	Conflicts:

	ChangeLog
	glom/mode_data/datawidget/combo.cc

	Conflicts:

	glom/mode_data/datawidget/combo.cc

2012-01-04  Murray Cumming  <murrayc@murrayc.com>

	whitespace change

2011-12-30  Murray Cumming  <murrayc@murrayc.com>

	1.21.1

2011-12-30  Murray Cumming  <murrayc@murrayc.com>

	Dialog_NewRecord: Hide the layout toolbar.

	* glom/mode_data/datawidget/dialog_new_record.cc: setup(): The toolbar is
	useless here.

2011-12-30  Murray Cumming  <murrayc@murrayc.com>

	Update NEWS

2011-12-30  Murray Cumming  <murrayc@murrayc.com>

	Cut menu: Prevent cutting from non-editable GtkTextViews.

	* glom/bakery/app_withdoc_gtk.cc: on_menu_edit_cut_activate():
	Pass the extra parameter to cut_clipboard().

2011-12-30  Murray Cumming  <murrayc@murrayc.com>

	Details: Really make non-editable multiline text fields non-editable.

	* glom/mode_data/datawidget/textview.[h|cc]: Override set_read_only(),
	so that multiline text fields are really non-editable when the formatting
	specifies that.

2011-12-29  Murray Cumming  <murrayc@murrayc.com>

	App_WithDoc_Gtk: Simple clipboard menu handlers: Handle GtkTextView

	* glom/bakery/app_withdoc_gtk.cc: Add code to handle cut/copy/paste
	when GtkTextView is focused. This is tedious - see bug #667008 .

2011-12-29  Murray Cumming  <murrayc@murrayc.com>

	App_WithDoc_Gtk: Improve simple clipboard handlers.

	* glom/bakery/app_withdoc_gtk.cc: Do not use C code. And therefore do
	not use Glib::wrap() strangely.

2011-12-29  Murray Cumming  <murrayc@murrayc.com>

	Document::fill_layout_field_details(): Handle related choices sort fields.

	* glom/libglom/document/document.[h|cc]: fill_layout_field_details():
	Also fill the details of the sort fields for related choices, dealing
	with those TODO comments.

2011-12-29  Murray Cumming  <murrayc@murrayc.com>

	NEWS formatting corrections

2011-12-29  Murray Cumming  <murrayc@murrayc.com>

	ChangeLog formatting corrections

2011-12-29  Murray Cumming  <murrayc@murrayc.com>

	ChangeLog formatting corrections

2011-12-29  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2011-12-29  Murray Cumming  <murrayc@murrayc.com>

	Related Choices: Allow the user to specify a sort order.

	* glom/libglom/data_structure/layout/fieldformatting.[h|cc]:
	set/get_choices_related(): Added a sort_fields parameter.
	* glom/libglom/document/document.[h|cc]: fill_layout_field_details(),
	load_after_layout_item_formatting(), save_before_layout_item_formatting():
	Load and save the sort fields for related choices.
	* glom/libglom/utils.cc: get_choice_values(): Use the sort fields.
	Added get_list_of_sort_fields_for_display().

	* glom/mode_data/datawidget/cellcreation.cc:
	* glom/mode_data/datawidget/combo_as_radio_buttons.cc:
	* glom/mode_data/datawidget/combochoiceswithtreemodel.cc: Adapted.

	* Makefile.am, Makefile_glom.am:
	* glom/mode_design/layout/layout_item_dialogs/dialog_groupby_sortfields.[h|cc]:
	Rename to:
	glom/mode_design/layout/layout_item_dialogs/dialog_sortfields.[h|cc]:
	and rename the class to Dialog_SortFields.
	* ui/developer/dialog_groupby_sort_fields.glade: Rename to
	* ui/developer/dialog_sort_fields.glade

	* ui/developer/box_formatting.glade:
	* glom/mode_design/layout/layout_item_dialogs/box_formatting.cc: Add UI to
	specify the related choices sort order, using the new dialog, much like
	the existing extra-fields UI.

2011-12-29  Murray Cumming  <murrayc@murrayc.com>

	In progress sortby choices

2011-12-29  Murray Cumming  <murrayc@murrayc.com>

	Foreign key ID fields: Add a New Button next to the existing Find button.

	* glom/mode_data/datawidget/dialog_new_record.[h|cc]: A new dialog to
	quickly add a new related record.
	* ui/operator/dialog_new_record.glade: The UI layout for that dialog.

	* glom/mode_data/datawidget/datawidget: Constructor: Whenever we would
	add a Find or Open button, also add a New button, so the user does not
	need to manually go to the other table, add a record, and then come
	back to the right record. Add offer_related_record_id_new() to implement
	this.
	Added signal_choices_changed() which is emitted when this would result
	in the list of related choices changing.
	* glom/mode_data/box_data_details.cc: Constructor: Handle the
	field_choices_changed() signal, calling:
	* glom/mode_data/flowtablewithfields.cc: a new update_choices() method,
	to update all affected combo boxes.

	* tests/test_glade_derived_instantiation.cc: Test the new dialog.

	This will not quite work properly yet when the related choices should
	be restricted by an ID value.

2011-12-29  Murray Cumming  <murrayc@murrayc.com>

	Revert "New ID in progress"

	I did not mean to push this yet.

	This reverts commit e3231b2a09cfe2042296411a882e2fb0fd5d257d.

2011-12-28  Mario Blättermann  <mariobl@gnome.org>

	[l10n] Updated German translation

2011-12-27  David King  <davidk@openismus.com>

	Add simple clipboard handlers to App_WithDoc_Gtk

	* glom/bakery/app_withdoc_gtk.[cc|h]: Add simple clipboard handlers to
	fix bug 518315.

2011-12-26  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2011-12-24  Murray Cumming  <murrayc@murrayc.com>

	Choices: Make sure related choices are sorted.

	* glom/mode_data/datawidget/combochoiceswithtreemodel.cc:
	set_choices_related(): Add a sort clause, though it would be best if
	the developer could specify this.
	Note that Utils::get_choice_values(), used for other choices, already
	does this, and we should reduce the code duplication.

2011-12-24  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2011-12-23  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2011-12-23  Murray Cumming  <murrayc@murrayc.com>

	Document_XML: Remove an unimplemented method.

	* glom/libglom/document/bakery/document_xml.h:
	add_indenting_white_space() was never implemented or
	used.

2011-12-22  Murray Cumming  <murrayc@murrayc.com>

	New ID in progress

2011-12-21  Murray Cumming  <murrayc@murrayc.com>

	Dialog_ChooseID: Really show the quick find feature.

	* ui/operator/dialog_find_id.glade: Correct some widget names.
	We were removing a widget too high in the hierarchy, so we did not
	show the quick find. This was presumably broken by some conversion
	to a new version of Glade at some point.

2011-12-21  Murray Cumming  <murrayc@murrayc.com>

	Update some .gitignore files.

2011-12-21  Murray Cumming  <murrayc@murrayc.com>

	Add comments

2011-12-20  Murray Cumming  <murrayc@murrayc.com>

	TranslatableItem::get_title_translation(): Correct fallback code.

	* glom/libglom/data_structure/translatable_item.cc: This fixes make
	check, which was broken after the recent change to this class.

2011-12-20  Mario Blättermann  <mariobl@gnome.org>

	[l10n] Updated German translation

2011-12-20  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2011-12-20  Murray Cumming  <murrayc@murrayc.com>

	Make this (Glom 1.21/22) parallel installable with glom 1.20.

	* configure.ac: Increase version to 1.21.1.
	* docs/pyglom_reference/Makefile.am:
	* glom/libglom/init.h:
	* glom/python_embed/python_module/py_glom_module.cc: Change mention of
	1.20 or 1_20 to 1.22 or 1_20.

2011-12-20  Murray Cumming  <murrayc@murrayc.com>

	TranslatableItem: Improve the API slightly.

	* glom/libglom/data_structure/translatable_item.[h|cc]:
	Renamed set/get_translation() to set/get_title_translation() to make
	it clearer, and to match set/get_title_original(). Add an optional bool
	fallback parameter, so we can move the fallback code into this method,
	and simplify get_title(). This lets us easily get the title for a
	specified locale, with one method, even if that locale is the original/
	current locale.
	Removed get_title(locale), because it is hardly used, because any
	override of the other (virtual) get_title() method overload would make
	it hard to call this anyway. And it just forwarded to
	get_title_translation() anyway.
	Likewise for set_title(locale).
	* glom/libglom/document/document.cc:
	* glom/mode_design/translation/window_translations.cc: Adapted.
	* tests/test_document_load_translations.cc: Adapted and added some
	more test lines for get_title_translation()

2011-12-20  Murray Cumming  <murrayc@murrayc.com>

	PostgreSQL backend: Comment out the stdout exception information again.

	* glom/libglom/connectionpool_backends/postgres.cc: This was
	misleading when trying all ports, when we expect some failures.

2011-12-20  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2011-12-19  Murray Cumming  <murrayc@murrayc.com>

	List: Really store data when the primary key is not auto-incremented.

	* glom/mode_data/db_adddel/db_adddel.cc: user_added(): Do not use
	get_value_key_selected() to get the entered field data, because that
	is only useful after the key has been entered. Instead get the
	entered data from the cell where it was entered.

2011-12-19  Murray Cumming  <murrayc@murrayc.com>

	Update some debug output

2011-12-18  Murray Cumming  <murrayc@murrayc.com>

	PostgreSQL: Print stderr message when the connection fails completely.

	* glom/libglom/connectionpool_backends/postgres.cc: This can provide
	a clue, for instance when the hostname cannot be resolved.

2011-12-18  Murray Cumming  <murrayc@murrayc.com>

	Add the glom_test_connection command-line tool.

	* Makefile_libglom.am:
	* glom/glom_test_connection.cc: This is useful for sanity checking
	of the configuration of central PostgreSQL servers.

2011-12-16  Murray Cumming  <murrayc@murrayc.com>

	Film Manager example: Use English for Day/Night choices.

	* examples/example_film_manager.glom: Use English for the custom choice
	values. We need to allow these to be translated. See bug #666343

2011-12-14  Murray Cumming  <murrayc@murrayc.com>

	Document: Added get_translation_available_locales().

	* glom/libglom/document/document.[h|cc]: load_after(),
	load_after_translations(): Remember any new locales encountered, so
	that get_translation_available_locales() can later return the list.
	This could help with OnlineGlom bug #666165 .
	* tests/test_document_load_translations.cc: Test the new method.

2011-12-13  Murray Cumming  <murrayc@murrayc.com>

	Increase version.

2011-12-13  Murray Cumming  <murrayc@murrayc.com>

	Correct parsing of example data.

	* glom/libglom/data_structure/field.[h|cc]: to_file_format(),
	from_file_format() documentation: Mention that this uses CSV format.
	from_file_format(): Unescape double quotes, because we escape quotes
	as that in to_file_format().
	This avoids reading them as double quotes when opening an example file.
	This will also correct the interpretation of text default values.
	* Makefile_tests.am:
	* tests/test_field_file_format.cc: Add a test of this for text and image
	data, checking that what we write is what we read.

2011-12-13  Murray Cumming  <murrayc@murrayc.com>

	test_selfhosting_new_then_image: Move some code to test_utils.

	* Makefile_tests.am:
	* tests/test_selfhosting_new_then_image.cc: Move the test image-loading
	code to:
	* tests/test_utils.[h|cc]: get_value_for_image().

2011-12-13  Murray Cumming  <murrayc@murrayc.com>

	Minor correction to a comment.

2011-12-12  Murray Cumming  <murrayc@murrayc.com>

	LayoutGroup: Correct the get_items_recursive_with_groups() implementaiton.

	* glom/libglom/data_structure/layout/layoutgroup.cc: Call the correct
	method recursively. This fixes make check.

2011-12-12  Murray Cumming  <murrayc@murrayc.com>

	test_document_load: Test LayoutGroup::get_items_recursive().

	* tests/test_document_load.cc: And get_items_recursive_with_groups().

2011-12-12  Murray Cumming  <murrayc@murrayc.com>

	Small fix to epository_analyzer_begin_scan example script.

	* examples/example_scripts/repository_analyzer_begin_scan.py:
	Remove the global variables, used for debugging, because recent versions of
	Python do not seem to treat them as global when this script is used as
	a Button script in python. So it says they are undefined. They are, after
	all, inside the function that glom defines.
	Although they would still work in this standalone script, it is nice to
	have no difference between this file and the one used in this .glom file:
	https://gitorious.org/debian_repository_analyzer/debian_repository_analyzer

2011-12-12  Murray Cumming  <murrayc@murrayc.com>

	List view: Do not show columns twice.

	* glom/libglom/data_structure/layout/layoutgroup.[h|cc]:
	Revert the recent change to get_items_recursive() so that it only returns
	no-groups items, as its documentation says.
	Add get_items_recursive_with_groups().
	* tests/test_document_load.cc: Use the new method.

	This problem was caused by commit e51bf19e8a595dbc4e34c390ae2194293deb0236

2011-12-09  Murray Cumming  <murrayc@murrayc.com>

	Users/Groups UI: Avoid warning about an empty group name.

	* glom/mode_design/users/dialog_groups_list.cc:
	on_treeview_groups_selection_changed(): Do not respond if there is
	no selection, which can happen when clearing the model, just before
	filling it. When there are items, there is always a selection.

2011-12-09  Murray Cumming  <murrayc@murrayc.com>

	Combo_TextGlade: Work around GtkComboBoxText bug #612396.

	* glom/utility_widgets/combo_textglade.cc: Without setting
	entry-text-column, which GtkBuilder understandably does not do,
	and which GtkComboBoxText does not do in this case, the widget just
	does not work.
	This fixes the Users/Groups dialogs and the Script Library dialog.

2011-12-09  Murray Cumming  <murrayc@murrayc.com>

	Combo_TextGlade: Work around GtkComboBoxText bug #612396.

	* glom/utility_widgets/combo_textglade.cc: Without setting
	entry-text-column, which GtkBuilder understandably does not do,
	and which GtkComboBoxText does not do in this case, the widget just
	does not work.
	This fixes the Users/Groups dialogs and the Script Library dialog.

2011-12-09  Murray Cumming  <murrayc@murrayc.com>

	test_glade_derived_instantiation: Avoid warnings about no connection.

	* glom/mode_design/users/dialog_groups_list.cc: Constructor:
	Do not call fill_groups_list(). This happens already in load_from_document(),
	where we can expect more to have a connection.
	* glom/mode_design/users/dialog_users_list.[h|cc]: Make fill_list public
	and expect the caller of the constructor to call it.

2011-12-08  Murray Cumming  <murrayc@murrayc.com>

	tiny const changes.

2011-12-08  Murray Cumming  <murrayc@murrayc.com>

	test_fake_connection: Avoid unnecessary warnings about metadata.

	* glom/libglom/connectionpool.cc: Avoid printing exceptions to stderr
	about failed attempts to get types and tables metadata, because
	this is not used by fake connections, for instance by java-libglom.
	There will be a warning later if it is really used.
	* glom/libglom/db_utils.cc: Add some comments.

2011-12-08  Murray Cumming  <murrayc@murrayc.com>

	Document: Clarify that set_file_uri() does not trigger a save.

	* glom/libglom/document/document.[h|cc]: set_file_uri(): The check for
	a changed URI never actually worked here, so set_modified() was never
	called. That behaviour is actually correct, to avoid saving an empty file
	over a real file before calling load(), so document that behaviour.
	* glom/libglom/document/bakery/document_xml.cc: Remove the check for
	modified so that an explicit save() always saves the document, even if
	all values are the default. This does not seem to have prevented any
	unnecessary saves anyway, because we already check for changes before
	calling set_modified(), so we only trigger autosave when really necessary.

2011-12-07  Murray Cumming  <murrayc@murrayc.com>

	Updat .gitignore

2011-12-07  Murray Cumming  <murrayc@murrayc.com>

	Test for autosaves without URI and for explicit saves while using autosave.

	* glom/libglom/document/bakery/document.cc: write_to_disk():
	Warn if the URI has not been set, because the caller probably wants
	either autosave (meaning he should have set a URI first) or explicit
	save (meaning he should disable autosave).
	* glom/libglom/document/bakery/document_xml.cc: Warn about an attempt
	to save when nothing has been modified, because this is usually caused
	by a previous autosave, and the caller should probably be aware of that.
	* tests/test_document_autosave.cc:
	* tests/test_document_change.cc:
	* tests/test_selfhosting_new_empty.cc:
	* tests/test_selfhosting_new_then_backup_restore.cc:
	* tests/test_selfhosting_utils.cc: Disable autosave so we can use
	a simpler explicit save, avoiding these new warnings.

2011-12-07  Murray Cumming  <murrayc@murrayc.com>

	Add a test that resaves (temporarily) all examples and checks the result.

	* Makefile_tests.am:
	* tests/test_document_load_and_save.cc: Load a file and save it,
	then check the saved file against the DTD.
	* tests/test_document_load_and_save_all.sh: Run that test on all
	example files.
	* glom/glom_document.dtd: data_layout_notebook: Mention trans_set,
	so that this test succeeds.

2011-12-07  Murray Cumming  <murrayc@murrayc.com>

	Use EXIT_* instead of 0 and -1.

	* glom/test_pyembed.cc:
	* glom/test_pyembed_singleline.cc:
	* tests/glade_toplevels_instantiation.cc:
	* tests/test_parsing_time.cc: Use EXIT_SUCCESS and EXIT_FAILURE.

2011-12-07  Murray Cumming  <murrayc@murrayc.com>

	Document: Avoid useless autosave during constructor.

	* glom/libglom/document/document.cc: Constructor: Avoid triggering
	autosave during the constructor, though this is stopped anyway by the
	empty filepath.

2011-12-05  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2011-12-05  Murray Cumming  <murrayc@murrayc.com>

	Remove unused get_sql_format() methods.

	* glom/libglom/connectionpool.[h|cc]:
	* glom/libglom/connectionpool_backends/backend.h:
	* glom/libglom/connectionpool_backends/postgres.[h|cc]:
	* glom/libglom/connectionpool_backends/sqlite.[h|cc]: Remove the
	various unused get_sql_format() methods.

2011-12-05  Murray Cumming  <murrayc@murrayc.com>

	Field: Remove unused get_gda_holder_string().

	* glom/libglom/data_structure/field.[h|cc]: Remove this
	unused method.

2011-12-05  Murray Cumming  <murrayc@murrayc.com>

	test_selfhosting_new_then_change_columns: Add a column too.

	* tests/test_selfhosting_new_then_change_columns.cc:

2011-12-05  Murray Cumming  <murrayc@murrayc.com>

	Added a test of field choices.

	* Makefile_tests.am:
	* tests/test_selfhosting_new_then_choices.cc:
	Test Utils::get_choice_values_all().

2011-12-04  Murray Cumming  <murrayc@murrayc.com>

	Document DTD: adapt to the format we actually use.

	* examples/example_film_manager.glom: Resave this.
	* glom/glom_document.dtd: Change the sequence of child nodes for
	tables and print_layouts to match what we really write.
	We do not really care about this but the DTD format forces us to
	use a sequence.

2011-12-03  Murray Cumming  <murrayc@murrayc.com>

	test_document_load: Check reports too.

	* tests/test_document_load.cc: Check some report names.

2011-12-03  Murray Cumming  <murrayc@murrayc.com>

	test_document_load: Check a table title and its singular title.

	* tests/test_document_load.cc: Also test
	get_data_layout_groups_have_any_fields().

2011-12-03  Murray Cumming  <murrayc@murrayc.com>

	Add singular table titles to example

2011-12-03  Murray Cumming  <murrayc@murrayc.com>

	tests/test_document_load_and_change: Change a relationship name.

	* Makefile_tests.am: Use the test_utils.
	* tests/test_document_load_and_change.cc: Also rename a relationship
	and check that a layout item uses the new relationship name.

2011-12-03  Murray Cumming  <murrayc@murrayc.com>

	Tests: Add a shared get_field_on_layout() function.

	* tests/test_document_load.cc: Move get_field_on_layout() to
	* Makefile_tests.am:
	* tests/test_utils.[h|cc]: here.

2011-12-03  Murray Cumming  <murrayc@murrayc.com>

	Remove unnecessary stdcerr output.

2011-12-03  Murray Cumming  <murrayc@murrayc.com>

	Removed some debug output.

2011-12-02  Murray Cumming  <murrayc@murrayc.com>

	Fix the DTD

2011-12-02  Murray Cumming  <murrayc@murrayc.com>

	Added test_document_load_translations

	* tests/test_document_load_translations.cc: Test some translated
	titles.

2011-12-02  Murray Cumming  <murrayc@murrayc.com>

	DbUtils::recreate_database_from_document(): Set table privileges too.

	* glom/libglom/db_utils.cc: recreate_database_from_document():
	Also call set_table_privileges_groups_from_document().

2011-12-02  Murray Cumming  <murrayc@murrayc.com>

	DbUtils::recreate_database_from_document(): Create groups too.

	* glom/libglom/db_utils.[h|cc]: recreate_database_from_document():
	Also call add_groups_from_document().

2011-12-02  Murray Cumming  <murrayc@murrayc.com>

	test_document_load: Move changes into test_document_load_and_change.

	* tests/test_document_load.cc:
	* tests/test_document_load_and_change.cc:

2011-12-02  Murray Cumming  <murrayc@murrayc.com>

	test_document_load: Test Document's user groups functions too.

	* tests/test_document_load.cc: Check for expected group names and check
	that we can remove one.

2011-12-02  Murray Cumming  <murrayc@murrayc.com>

	test_document_load: Test some navigation utility functions.

	* glom/libglom/data_structure/layout/layoutgroup.cc: get_items_recursive():
	Return the child groups as well as their items.
	* tests/test_document_load.cc:
	Test DbUtils::layout_field_should_have_navigation() and
	LayoutItem_Portal::get_suitable_table_to_view_details().

2011-12-02  Murray Cumming  <murrayc@murrayc.com>

	test_selfhosting_new_empty(): Also test DbUtils::get_unused_database_name().

	* glom/libglom/db_utils.cc: get_unused_database_name(): Remove debug output.
	* tests/test_selfhosting_new_empty.cc: Excercise DbUtils::get_unused_database_name(),
	though we do not test it yet when the first choice already exists.

2011-12-02  Murray Cumming  <murrayc@murrayc.com>

	Make the version at least as high as the stable one.

2011-12-02  Murray Cumming  <murrayc@murrayc.com>

	test_selfhosting_new_empty(): Correct and expand.

	* tests/test_selfhosting_new_empty.cc: Fix a CENTRAL->SELF typo. This
	probably only appeared to work before because no database cluster was really
	being initialized. Also actually create a database in the database cluster
	and set its system preferences table's record.

2011-12-01  Murray Cumming  <murrayc@murrayc.com>

	test_selfhosting_new_then_lookup: Minor improvements.

	* tests/test_selfhosting_new_then_lookup.cc: Avoid some hard-coding.

2011-12-01  Murray Cumming  <murrayc@murrayc.com>

	Moved some lookup functions into DbUtils and added a test for them.

	* glom/libglom/db_utils.[h|cc]:
	* glom/base_db.[h|cc]: Moved get_fields_for_table(),
	get_fields_for_table_one_field(), get_lookup_fields(), and
	get_lookup_value() to the DbUtils namespace, taking an extra
	Document parameter.
	* glom/libglom/document/document.[h|cc]: Moved get_lookup_fields() to
	DbUtils too.

	* glom/base_db_table_data.cc
	* glom/mode_data/box_data.cc
	* glom/mode_data/box_data_calendar_related.cc
	* glom/mode_data/box_data_details.cc
	* glom/mode_data/box_data_list_related.cc
	* glom/mode_data/db_adddel/db_adddel.cc
	* glom/mode_design/box_db_table_relationships.cc
	* glom/mode_design/fields/box_db_table_definition.cc
	* glom/mode_design/fields/dialog_fielddefinition.cc
	* glom/mode_design/layout/dialog_layout_list_related.cc
	* glom/print_layout/canvas_print_layout.cc: Adapted. This shows how
	often we call this very inefficient function. It would be better to
	just make sure that the document has up-to-date information from the
	database and just use the Document's information.

	* Makefile_tests.am:
	* tests/test_selfhosting_new_then_lookup.cc: Added a new test of
	these functions, including retrieval of a lookup value.

2011-11-30  Murray Cumming  <murrayc@murrayc.com>

	Remove unused parameternamegenerator source file.

	* glom/libglom/filelist.am:
	* glom/libglom/data_structure/parameternamegenerator.[h|cc]: Remove this
	unused class.
	* glom/base_db.cc
	* glom/libglom/db_utils.cc: Do not include it.

2011-11-30  Murray Cumming  <murrayc@murrayc.com>

	test_document_load_and_change: Test renaming and removing of tables.

	* tests/test_document_load_and_change.cc: This also checks that relationships
	are update when a table is renamed.

2011-11-30  Murray Cumming  <murrayc@murrayc.com>

	test_document_load_and_change: Test print layout removal.

	* tests/test_document_load_and_change.cc:

2011-11-30  Murray Cumming  <murrayc@murrayc.com>

	Updated the Document DTD.

	* glom/glom_document.dtd: This fixes make check with the new save of
	examples/example_film_manager.glom.

2011-11-30  Murray Cumming  <murrayc@murrayc.com>

	self-hosting tests: Avoid some noisy stdout messages.

	* tests/test_selfhosting_utils.cc: Do not show PostgreSQL startup, etc,
	progress messages.

2011-11-30  Murray Cumming  <murrayc@murrayc.com>

	test_document_load: Test print layout functions.

	* examples/example_film_manager.glom: Add a contacts print layout and
	resave this.
	* tests/test_document_load.cc: Test the print layout data.

2011-11-30  Murray Cumming  <murrayc@murrayc.com>

	test_load_and_change(): Test removal of a relationship.

	* tests/test_document_load_and_change.cc: Test Document::remove_relationship().

2011-11-30  Murray Cumming  <murrayc@murrayc.com>

	test_document_load: Test field formatting.

	* tests/test_document_load.cc: Also use a different example, to
	widen the range of examples that we test.

2011-11-29  Murray Cumming  <murrayc@murrayc.com>

	Correct NEWS

2011-11-29  Murray Cumming  <murrayc@murrayc.com>

	Update NEWS

2011-11-29  Murray Cumming  <murrayc@murrayc.com>

	Update .gitignore

2011-11-29  Murray Cumming  <murrayc@murrayc.com>

	test_document_change: Test a little more API.

	* tests/test_document_change.cc: Add a table and test some API that uses it.
	We could do much more here.

2011-11-29  Murray Cumming  <murrayc@murrayc.com>

	test_document_load_and_change: Test Document::remove_field() too.

	* tests/test_document_load_and_change.cc: Exercise a little more of the API.

2011-11-29  Murray Cumming  <murrayc@murrayc.com>

	LayoutGroup: Add a more useful remove_field().

	* glom/libglom/data_structure/layout/layoutgroup.[h|cc]:
	Add a remove_field(parent_table_name, table_name, field_name) method overload,
	deprecating the existing method overloads.
	* glom/libglom/document/document.cc: Adapt.
	* tests/test_document_load_and_change.cc: Test a different example,
	so we can check for a related field on a layout.

2011-11-29  Murray Cumming  <murrayc@murrayc.com>

	LayoutGroup: Deprecate the old has_field() method and do not use it.

	* glom/libglom/data_structure/layout/layoutgroup.h:
	* glom/libglom/document/document.cc:
	* tests/test_document_load.cc: Adapt.

2011-11-29  Murray Cumming  <murrayc@murrayc.com>

	test_document_load: Check that a field is on a layout.

	* glom/libglom/data_structure/layout/layoutgroup.[h|cc]:
	Added has_field() that can find a related field.
	* tests/test_document_load.cc: Check that an expected field is found on
	the layout.

2011-11-29  Murray Cumming  <murrayc@murrayc.com>

	Add a test for changing of a field name.

	* tests/Makefile.am:
	* tests/test_document_load_and_change.cc: Change a field name and
	make sure that it has updated throughout the document.
	However, we still need to check lookups and related fields.

2011-11-28  Murray Cumming  <murrayc@murrayc.com>

	Field::set_field_info(): Avoid unnecessary checks (and warnings).

	* glom/libglom/data_structure/field.cc: If the type is not yet set,
	don't bother checking that everything else uses that type.
	This avoids a stderr warning about invalid types being used.

2011-11-28  Murray Cumming  <murrayc@murrayc.com>

	Field::set_field_info(): Slight code improvement.

	* glom/libglom/data_structure/field.cc: Move some duplicated code into
	a static helper function.

2011-11-28  Murray Cumming  <murrayc@murrayc.com>

	whitespace correction

2011-11-28  Murray Cumming  <murrayc@murrayc.com>

	Added an extra test for the Document class.

	* tests/test_document_change.cc: The beginnings of another test,
	to check that what we set is what we later get.

2011-11-28  Murray Cumming  <murrayc@murrayc.com>

	Remove debug output

2011-11-28  Murray Cumming  <murrayc@murrayc.com>

	SQLite: Avoid a warning about int types for summary fields.

	* glom/libglom/data_structure/glomconversions.cc:
	get_text_for_gda_value(): An int is normal for aggregate fields for
	SQLite.
	convert_value(): Make sure that we do a locale-independent conversion,
	otherwise the above fix will cause us to, for instance, have a
	comma in large numbers.

2011-11-28  Murray Cumming  <murrayc@murrayc.com>

	Minor const addition

2011-11-28  Murray Cumming  <murrayc@murrayc.com>

	Revert "SQLite: Avoid a warning about int types for summary fields."

	This reverts commit 803e2eb5225f7d8d0907e8320296e44deb970027
	because it makes make check fail.

2011-11-28  Murray Cumming  <murrayc@murrayc.com>

	gcov: Add a legend key to the lcov html.

	* Makefile.am: Pass --legend to genhtml.

2011-11-25  Murray Cumming  <murrayc@murrayc.com>

	Correct a query from UPDATE to SELECT.

	* glom/libglom/report_builder.cc: Correc the query to get system preferences
	values. This was apparently not tested yet.

2011-11-25  Murray Cumming  <murrayc@murrayc.com>

	SQLite: Avoid a warning about int types for summary fields.

	* glom/libglom/data_structure/glomconversions.cc:
	get_text_for_gda_value(): An int is normal for aggregate fields for
	SQLite.

2011-11-25  Murray Cumming  <murrayc@murrayc.com>

	Avoid an uninteresting stdcerr warning.

	* glom/libglom/connectionpool.cc: It is OK to not know
	the document sometimes.

2011-11-25  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2011-11-25  Murray Cumming  <murrayc@murrayc.com>

	gcov: Use lcov instead of my hacky bash script.

	* configure.ac: Check for lcov and genhtml.
	* Makefile.am: This generates a nice HTML report.

2011-11-25  Murray Cumming  <murrayc@murrayc.com>

	cov: Use AC_PATH_PROG().

	* configure.ac: Check for the path to gcov.
	* Makefile.am: Use it.

2011-11-25  Murray Cumming  <murrayc@murrayc.com>

	Added a "make gcov" target to get some test coverage statistics.

	* configure.ac: Add an --enable-gcov option which add gcc/g++ flags.
	* Makefile_glom.am:
	* Makefile_libglom.am:
	* Makefile.am: Add some cargo-culted and hacked-together bash scripted
	rules that generate the .gcov files and parse them to give some
	percentages on stdout.

2011-11-24  Murray Cumming  <murrayc@murrayc.com>

	Remove mention of a fixed libgda bug.

2011-11-24  Murray Cumming  <murrayc@murrayc.com>

	Fix typo in configure.ac

2011-11-23  Murray Cumming  <murrayc@murrayc.com>

	Avoid deprecated glibmm API (from glibmm/thread.h).

	* configure.ac: Depend on a recent unstable glibmm.
	* glom/libglom/spawn_with_feedback.cc: Use Glib::Threads::Cond and
	Glib::Threads::Mutex instead of deprecated Glib::Cond and Glib::Mutex.

2011-11-21  Murray Cumming  <murrayc@murrayc.com>

	libglom: Added DbUtils::set_fake_connection().

	* glom/libglom/db_utils.[h|cc]: Added DbUtils::set_fake_connection()
	because ConnectionPool is not public API.
	* tests/test_fake_connection.cc: Use this function instead of using
	ConnectionPool's API.

2011-11-21  Murray Cumming  <murrayc@murrayc.com>

	NEWS: Mention major 1.20 features.

2011-11-21  Murray Cumming  <murrayc@murrayc.com>

	Forgot to commit version change.

2011-11-20  Murray Cumming  <murrayc@murrayc.com>

	1.20.0

2011-11-20  Murray Cumming  <murrayc@murrayc.com>

	Details View: Left-align numbers when using automatic alignment.

	* glom/libglom/data_structure/layout/layoutitem_field.[h|cc]:
	* glom/libglom/data_structure/layout/layoutitem_withformatting.[h|cc]:
	get_formatting_used_horizontal_alignment(): Add a for_details_view()
	and return left-alignment for auto-alignment on a details view.
	* glom/mode_data/datawidget/entry.cc:
	* glom/utility_widgets/layoutwidgetbase.cc: Pass true to get that
	effect.

	Right-aligned numbers on the detailed view just look sillier now that
	the entry widgets are full width, and when there are no other numbers
	above or below them. Note that we probably did not purposefully
	change it show numbers with full width, but I would still want this
	alignment change.

2011-11-20  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2011-11-18  Murray Cumming  <murrayc@murrayc.com>

	Recognize GdaBlob as suitable for Image field types.

	* glom/libglom/data_structure/field.cc: Add to the map, to avoid
	a warning.

2011-11-18  Mario Blättermann  <mariobl@gnome.org>

	[l10n] Updated German translation

2011-11-18  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with latest GTK+ with --enable-warnings=fatal

	* glom/utility_widgets/eggspreadtable/eggspreadtablednd.c
	(set_drag_icon): Update from libegg to fix the build with deprecated GTK+
	API disabled.

2011-11-18  Murray Cumming  <murrayc@murrayc.com>

	Details: Move the checkbutton titles to the left.

	* glom/mode_data/datawidget/checkbutton.h: Contructor:
	Allow the title to be empty.
	* glom/mode_data/datawidget/datawidget.cc: Give the checkbutton a title
	at the left, like other widgets. This looks consistent.

2011-11-17  Murray Cumming  <murrayc@murrayc.com>

	Update an example screenshot.

	* docs/website/screenshots/glom_example_lessonplanner.png: Update this
	now that the calendar portal works again.
	* docs/website/screenshots/glom_select_field.png: Remove this because
	it is not used.

2011-11-17  Murray Cumming  <murrayc@murrayc.com>

	Remove debug output.

2011-11-17  Murray Cumming  <murrayc@murrayc.com>

	date test: Set LANGUAGE too, which seems to be necessary on Ubuntu.

	* tests/test_glom_date_in_locales.sh: Also add some locales that
	are available on Ubuntu.

2011-11-17  Murray Cumming  <murrayc@murrayc.com>

	Remove incorrect README

2011-11-17  Murray Cumming  <murrayc@murrayc.com>

	main: Break the date check into two possible error messages.

	* glom/main.cc: This simplifies debugging a bit.

2011-11-17  Murray Cumming  <murrayc@murrayc.com>

	locale test: Add apt-get hint

2011-11-16  Murray Cumming  <murrayc@murrayc.com>

	Enable the test for dates in various locales.

	* Makefile_tests.am:
	* tests/test_glom_date_in_locales.sh: I don't like requiring
	installation of these locales during make check, but I see no other
	way to stop the fixes from being lost by careless translators, at
	least of the major languages.

2011-11-16  Murray Cumming  <murrayc@murrayc.com>

	Correct the date format in the es_ES locale.

	* es.po: Added a translation for the date format, because the default
	does not show 4-digit years. This avoids the warning at startup, which
	asks the translator to deal with it.
	Note that I have made this correction before:
	http://git.gnome.org/browse/glom/commit/po/es.po?id=79636cd099b8330339502cebe95fb6e1583d1c20

2011-11-16  Murray Cumming  <murrayc@murrayc.com>

	Update NEWS

2011-11-16  Murray Cumming  <murrayc@murrayc.com>

	List view: Stop unnecessary saving of column widths.

	* glom/mode_data/db_adddel/db_adddel.[h|cc]: Do not handle changes
	of the GtkTreeView column width, because it happens during normal
	size allocation as well as when the user resizes columns.
	It is not essential anyway.

2011-11-16  Murray Cumming  <murrayc@murrayc.com>

	Make the Calendar portal work again.

	* glom/mode_data/box_data_calendar_related.[h|cc]: Override
	create_layout() as a place to call our get_fields_to_show(), like
	Box_Data_List_Related does. Then fill_from_database() can succeed.

2011-11-14  Murray Cumming  <murrayc@murrayc.com>

	Fake connection test: Test for a substring in the generated query.

	* tests/test_fake_connection.cc: This also fixes the build with
	-Werror.

2011-11-14  Murray Cumming  <murrayc@murrayc.com>

	Correct a comment.

2011-11-13  Murray Cumming  <murrayc@murrayc.com>

	Use the new Gnome::Gda::Numeric API.

	* glom/libglom/data_structure/glomconversions.cc:
	* glom/libglom/python_embed/pygdavalue_conversions.cc:
	* tests/python/test_python_execute_func_date.cc: GdaNumeric now has
	a real API so we can make our code simpler.

2011-11-11  Murray Cumming  <murrayc@murrayc.com>

	Fix typo to fix the build.

2011-11-11  Murray Cumming  <murrayc@murrayc.com>

	List view and Related Records: Disable buttons when appropriate.

	* glom/mode_data/db_adddel/db_adddel.[h|cc]: Handle the
	Gtk::TreeView::Selection::signal_changed() signal and call a
	new virtual on_selection_changed() method.
	* glom/mode_data/db_adddel/db_adddel_withbuttons.[h|cc]:
	Disable the Edit/Open and Delete buttons when there is no selection.
	Bug #663812 (André Klapper)

2011-11-10  Murray Cumming  <murrayc@murrayc.com>

	Correct an error in the previous commit.

	* glom/libglom/connectionpool.cc: Remove a nonsense line of code that
	stopped connections from working.

2011-11-10  Murray Cumming  <murrayc@murrayc.com>

	Added ConnectionPool::set_fake_connection().

	* glom/libglom/connectionpool_backends/backend.h: connect():
	* glom/libglom/connectionpool_backends/postgres.[h|cc]: connect(),
	attempt_connect():
	* glom/libglom/connectionpool_backends/postgres_central.[h|cc]: connect():
	* glom/libglom/connectionpool_backends/postgres_self.[h|cc]: connect():
	* glom/libglom/connectionpool_backends/sqlite.[h|cc]: connect():
	Add a bool fake_connection parameter and use Gnome::Gda::create_with_string()
	instead of open_with_string() if it is true.
	* glom/libglom/connectionpool.[h|cc]: Add set_fake_connection() to set
	that bool and other things needed to make it work.

	* Makefile_tests.am:
	* tests/test_fake_connection.cc: Added a test that uses this for the
	intended purpose of getting a suitable SQL query string without an open
	connection.
	However, it does not currently work as expected due to:
	http://mail.gnome.org/archives/gnome-db-list/2011-November/msg00007.html

2011-11-10  Murray Cumming  <murrayc@murrayc.com>

	Escape database connection details properly.

	* glom/libglom/db_utils.[h|cc]: Added gda_cnc_string_encode() for use
	with GdaConnection's cnc_string and auth_string, for instance to
	escape the database directory, name, username, and password.
	* glom/libglom/connectionpool_backends/postgres.cc:
	* glom/libglom/connectionpool_backends/postgres_self.cc:
	* glom/libglom/connectionpool_backends/sqlite.cc: Properly escape the
	cnc_string and auth_string key values.

	* tests/test_selfhosting_utils.cc: test_create_and_selfhost_from_example(),
	test_create_and_selfhost_from_uri(): Add an optional subdirectory parameter
	that we can use to force weird parts into the path.
	* Makefile_tests.am:
	* tests/test_selfhosting_new_from_example_strangepath.cc: Add a
	test case that uses a path with some weird characters. This now works
	thanks to the above changes.

2011-11-09  Murray Cumming  <murrayc@murrayc.com>

	Add a TODO

2011-11-09  Murray Cumming  <murrayc@murrayc.com>

	Use Glib::shell_quote() when spawning tar.

	* glom/libglom/document/document.cc: Use Glib::shell_quote()
	when spawning tar, instead of manually adding quotes.

2011-11-09  Murray Cumming  <murrayc@murrayc.com>

	PostgreSQL backend: Use g_shell_quote().

	* glom/libglom/connectionpool_backends/postgres.[h|cc]:
	get_path_to_postgres_executable(): Return the already-quoted path
	to avoid the need for manual quoting by the caller.
	However, make this optional (but the default) so that the check in
	* main.cc: can still work.
	* glom/libglom/connectionpool_backends/postgres_self.cc: Use
	Glib::shell_quote() instead of manually adding quote characters.
	Hopefully this also escapes special characters, though we should try to
	test this somehow.

2011-11-08  Murray Cumming  <murrayc@murrayc.com>

	Avoid some repetition of some CREATE GROUP and ALTER GROUP queries.

	* glom/libglom/db_utils.[h|cc]: Added build_query_create_group() and
	build_query_add_user_to_group() to avoid repeating the code.
	* glom/base_db.cc:
	* glom/mode_design/users/dialog_groups_list.cc:
	* glom/mode_design/users/dialog_users_list.cc: Use them.

2011-11-08  Murray Cumming  <murrayc@murrayc.com>

	1.19.19

2011-11-08  Murray Cumming  <murrayc@murrayc.com>

	Use escape_sql_id() for privileges SQL queries.

	* glom/base_db.cc:
	* glom/libglom/db_utils.cc:
	* glom/libglom/privs.cc:
	* glom/mode_design/users/dialog_groups_list.cc:
	* glom/mode_design/users/dialog_users_list.cc: Use
	DbUtils::escape_sql_id() instead of manually adding quotes with
	no escaping. This seems to be the right thing to do for these
	queries.

2011-11-08  Murray Cumming  <murrayc@murrayc.com>

	More use of escape_sql_id().

	* glom/base_db.cc:
	* glom/libglom/db_utils.cc:
	* glom/libglom/privs.cc:
	* glom/mode_design/users/dialog_groups_list.cc:
	* glom/mode_design/users/dialog_users_list.cc: Use
	escape_sql_id() instead of manually adding quotes with no
	escaping. However, I have not yet done this for group and
	user names.

2011-11-08  Murray Cumming  <murrayc@murrayc.com>

	libglom: Remove LayoutItem_Field::get_sql_name().

	* glom/libglom/utils.cc: build_sql_select_add_fields_to_get():
	Use SqlBuilder::add_field_id() instead of
	LayoutItemField::get_sql_name().
	* glom/libglom/data_structure/layout/layoutitem_field.[h|cc]:
	Remove the now unused get_sql_name() method.

2011-11-08  Murray Cumming  <murrayc@murrayc.com>

	libglom: Use escape_sql_id() for column add/crop/change.

	* glom/libglom/connectionpool.cc: add_column(), drop_column(),

	* glom/libglom/connectionpool_backends/backend.[h|cc]:
	* glom/libglom/connectionpool_backends/postgres.cc
	* glom/libglom/connectionpool_backends/sqlite.[h|cc]:
	add_column(), drop_column(): Return a bool to indicate failure.
	change_columns(): Report false return values from these.

	* Makefile_tests.am
	* tests/test_selfhosting_new_then_change_columns.cc: Add a simple
	test, though we do not yet test that the expected change really
	happened.

2011-11-08  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2011-11-08  Murray Cumming  <murrayc@murrayc.com>

	Update .gitignore files

2011-11-08  Murray Cumming  <murrayc@murrayc.com>

	libglom: Add escape_sql_id() and use it for table add/drop/rename.

	* glom/libglom/db_utils.[h|cc]: Add escape_sql_id(), using
	gda_connection_quote_sql_identifier().
	create_table(), rename_table(), drop_table(): Use it instead of
	manually adding quotes with no escaping.
	* tests/test_selfhosting_new_then_alter_table.cc: Mention that
	the commented-out test still fails because of libgda bug #663608 .

2011-11-08  Murray Cumming  <murrayc@murrayc.com>

	libglom: Add DbUtils::rename_table() and drop_table() and test them.

	* glom/navigation/box_tables.c: Move query-building code to
	* glom/libglom/db_utils.[h|cc]: rename_table() and drop_table().
	* Makefile_tests.am
	* tests/test_selfhosting_new_then_alter_table.cc: Add a test of these
	functions, and of table creation. This shows that we need to escape
	SQL identifiers to allow characters such as " in table names.

2011-11-07  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2011-11-07  Murray Cumming  <murrayc@murrayc.com>

	Require the latest libgdamm.

	* configure.ac: We use a new Gnome::Gda::Connection::statement_to_sql()
	method overload.

2011-11-07  Murray Cumming  <murrayc@murrayc.com>

	1.19.18

2011-11-07  Murray Cumming  <murrayc@murrayc.com>

	Add a test of backup and restore.

	* glom/application.cc: on_menu_developer_export_backup(),
	do_restore_backup(): Move code into
	* glom/libglom/document/document.[h|cc]: save_backup() and
	restore_backup_file() so it is easier to test.

	* tests/test_selfhosting_new_from_example.cc: Move some testing into:
	* tests/test_selfhosting_utils.[h|cc]: test_example_musiccollection_data()
	to avoid repeating code.

	* Makefile_tests.am: Added a new test:
	* tests/test_selfhosting_new_then_backup_restore.cc: Test the new
	Document functions, though the data check currently fails and is commented
	out. I think it is just a problem in the test because the data is there
	when using the UI.

2011-11-07  Murray Cumming  <murrayc@murrayc.com>

	Rename a test utility function.

	* tests/test_selfhosting_utils.[h|cc]: Rename
	test_create_and_selfhost() to test_create_and_selfhost_from_example().
	* tests/test_selfhosting_new_from_example.cc:
	* tests/test_selfhosting_new_then_get_privs.cc:
	* tests/test_selfhosting_new_then_image.cc:
	* tests/test_selfhosting_new_then_report.cc:
	* tests/test_selfhosting_sqlinjection.cc: Adapated.

2011-11-06  Murray Cumming  <murrayc@murrayc.com>

	Require libgda 5.0.2

	* configure.ac: Require the lastest libgda to avoid several bugs
	at runtime - See the comments in configure.ac.

2011-11-04  Murray Cumming  <murrayc@murrayc.com>

	Creating from examples: Do not create users and groups with SQLite.

	* glom/libglom/db_utils.cc: add_groups_from_document(),
	set_table_privileges_groups_from_document(): Do nothing if the database
	backed doesn't support this feature, to avoid errors when using SQLite.

2011-11-04  Murray Cumming  <murrayc@murrayc.com>

	Handle GdaBlob in query results instead of just GdaBinary.

	* glom/libglom/data_structure/field.cc: to_file_format():
	The Value might have a GdaBlob that needs to be read first, to get the
	GdaBinary. This can happen with SQLite.
	* glom/libglom/python_embed/pygdavalue_conversions.cc:
	glom_pygda_value_as_boost_pyobject(): Handle GdaBlob too, though neither
	this or the GdaBinary case use the data length, so this code is doomed
	if it is ever used. I need to find out if Python can really represent
	binary data, or if this should just not be handled here.
	* glom/utility_widgets/imageglom.cc: get_binary(): Handle GdaBlob
	too in the original data.
	* tests/test_selfhosting_new_then_image.cc: Handle GdaBlob in the
	data that is read back, for SQLite. Uncomment the SQLite test, fixing
	make check with the latest libgda.

2011-11-04  Murray Cumming  <murrayc@murrayc.com>

	1.19.17

2011-11-04  Murray Cumming  <murrayc@murrayc.com>

	Correct the ChangeLog

2011-11-04  Murray Cumming  <murrayc@murrayc.com>

	Remove debug output.

2011-11-04  Murray Cumming  <murrayc@murrayc.com>

	Handle gdouble results from python functions.

	* glom/libglom/data_structure/field.cc: Add a mapping
	instead of ignoring doubles.
	This avoids a stderr warning and probably makes calculations
	work.

2011-11-04  Murray Cumming  <murrayc@murrayc.com>

	Fix some warnings about invalid field types with choices.

	* glom/mode_data/datawidget/combochoiceswithtreemodel.cc:
	set_choices_related(): Set full field details on the
	layout_choice_extra fields, to avoid invalid field types,
	and stderr warnings about them.

2011-11-03  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2011-11-03  Murray Cumming  <murrayc@murrayc.com>

	Updated examples screenshots.

	* docs/website/screenshots/glom_example_filmmanager.png:
	* docs/website/screenshots/glom_example_musiccollection.png:
	* docs/website/screenshots/glom_example_projectmanager.png:
	* docs/website/screenshots/glom_example_smallbusiness.png:
	* docs/website/screenshots/small_glom_data_details.png: Updated.
	* examples/example_film_manager.glom:
	* examples/example_music_collection.glom:
	* examples/example_project_manager.glom: Saved some changes that
	I made to match the details.

2011-11-03  Murray Cumming  <murrayc@murrayc.com>

	Update screenshots for the website.

	* docs/website/screenshots/*.png: Updated these screenshots,
	partly by copying some from user_guide/C/figures/.
	They are used here:
	http://www.glom.org/wiki/index.php?title=Screenshots
	after uploading with "make post-html"

2011-11-03  Murray Cumming  <murrayc@murrayc.com>

	Updated more screenshots.

	* C/figures/glom_design_details_layout_toolbar.png:
	* C/figures/glom_design_print_layout.png:
	* C/figures/glom_initial_dialog_local_network.png: Updated more
	screenshots.

2011-11-03  Murray Cumming  <murrayc@murrayc.com>

	FlowTable: In developer mode, draw some lines.

	* glom/utility_widgets/flowtable.[h|cc]: on_draw(): Draw some dashed lines
	a little like the lines drawn in on_expose_event() in Glom 1.18.
	This is not very good, but it was not very good before, but I still think
	we need something to show the boundaries.

2011-11-03  Murray Cumming  <murrayc@murrayc.com>

	Updated some more screenshots.

	* C/figures/glom_data_details.png:
	* C/figures/glom_design_fields.png:
	* C/figures/glom_design_layout_details.png:
	* C/figures/glom_report_result.png: Updated. Only 2 are left.

2011-11-03  Murray Cumming  <murrayc@murrayc.com>

	Small Business example: Add a little more data so the report is useful.

	* examples/example_smallbusiness.glom: Contacts: Add towns and countries.

2011-11-03  Murray Cumming  <murrayc@murrayc.com>

	Do not blank the data when showing the field definitions dialog.

	* glom/frame_glom.cc: do_menu_developer_fields(): Only blank the data
	view if using SQLite, which requires it, because it looks like a bug to
	the user.

2011-11-03  Murray Cumming  <murrayc@murrayc.com>

	Fix make check.

	* examples/example_smallbusiness.glom: Resaved with correctly-formatted
	image data now that libgda works again.
	* tests/test_selfhosting_new_then_image.cc: Comment out the SQLite test
	because it fails and we do not care so much about that. Still, I will
	investigate it.

2011-11-02  Murray Cumming  <murrayc@murrayc.com>

	Add and use utility functions for creating temporary files.

	* glom/libglom/utils.[h|cc]: Added get_temp_file_uri(),
	get_temp_file_path(), get_temp_directory_uri() and
	get_temp_directory_path(), using the correct awkward code that
	avoids overwriting existing files.
	* glom/application.cc:
	* glom/libglom/connectionpool_backends/postgres_self.cc:
	* glom/libglom/report_builder.cc:
	* glom/utility_widgets/imageglom.cc:
	* tests/import/utils.cc:
	* tests/test_document_autosave.cc:
	* tests/test_selfhosting_new_empty.cc:
	* tests/test_selfhosting_utils.cc: Use these functions instead
	of repeating the same stuff badly.
	* Makefile_tests.am: Link to libglom so the import tests can use
	the new utility functions.

2011-11-02  Murray Cumming  <murrayc@murrayc.com>

	Make connections to central PostgreSQL servers work again.

	* glom/libglom/connectionpool_backends/postgres_central.cc: Do not
	forget a previously-successful connection-but-not-to-the-database.

2011-11-01  Murray Cumming  <murrayc@murrayc.com>

	Added test for Glom::Priv getting of group and user names.

	* tests/test_selfhosting_new_then_get_privs.cc: Added a test of some
	Glom::Privs functions.
	* Makefile_tests.am: Mention the new test.

2011-11-01  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2011-10-31  Murray Cumming  <murrayc@murrayc.com>

	libglom: Remove an unused Utils::sqlbuilder_get_full_query() overload.

	* glom/libglom/utils.[h|cc]: Nothing uses the version that takes
	a string and parameters.

2011-10-31  Murray Cumming  <murrayc@murrayc.com>

	libglom: sqlbuilder_get_full_query(): Improve the result.

	* glom/libglom/utils.cc: Use the GdaConnection's statement_to_sql()
	instead of just GdaStatement's to_sql() so we a) have correct quoting,
	and b) use the server's specific SQL dialect.

2011-10-29  Murray Cumming  <murrayc@murrayc.com>

	Image fields test: Get and set a value and check that it is the same.

	* tests/test_image.glom: Added an image file to set and get in the
	database.
	* Makefile_tests.am: Disttribute the image file.
	* tests/test_selfhosting_new_then_image.cc: tests(): Read the data
	from the file, use it to set the data, and then read that data back.
	Correct the type check. However, the data equality test fails due to
	libgda bug #662922 .

2011-10-29  Murray Cumming  <murrayc@murrayc.com>

	libglom: Added build_sql_update_with_where_clause().

	* glom/libglom/utils.[h|cc]: Added build_sql_update_with_where_clause().
	* glom/base_db.cc: set_field_value_in_database(): use it here instead
	of manually creating a SqlBuilder.

2011-10-28  Murray Cumming  <murrayc@murrayc.com>

	Add a test for Image fields.

	* Makefile_tests.am:
	* tests/test_selfhosting_new_then_image.cc: Add a test to read an image field
	value, though this currently fails.
	I will later add a write-then-read test.

2011-10-28  Murray Cumming  <murrayc@murrayc.com>

	Fix make check by correcting the DTD.

	* glom/glom_document.dtd: Corrections relating to the print layout definitions.

2011-10-28  Murray Cumming  <murrayc@murrayc.com>

	Small Business Example: Make the report example more like the one in screenshots.

	* examples/example_smallbusiness.glom:

2011-10-28  Murray Cumming  <murrayc@murrayc.com>

	Updated screenshots for functionality that actually works.

	* C/figures/start.png: Replace with:
	* C/figures/start_create.png:
	* C/figures/start_open.png:
	and adapted:
	* docs/user-guide/C/glom.xml and
	* docs/user-guide/Makefile.am

	* docs/user-guide/C/figures/glom_design_fields_dialog_calculated.png
	* docs/user-guide/C/figures/glom_design_layout_details.png
	* docs/user-guide/C/figures/glom_design_layout_list.png
	* docs/user-guide/C/figures/glom_design_reports.png
	* docs/user-guide/C/figures/glom_design_reports_details.png
	* docs/user-guide/C/figures/glom_design_reports_group_by.png
	* docs/user-guide/C/figures/glom_design_reports_vertical_group.png
	* docs/user-guide/C/figures/glom_design_translations.png
	* docs/user-guide/C/figures/glom_import.png
	* docs/user-guide/C/figures/glom_tables.png: Updated

2011-10-28  Murray Cumming  <murrayc@murrayc.com>

	Minor codestyle changes.

2011-10-28  Murray Cumming  <murrayc@murrayc.com>

	Mention the GtkFrame bug in the code comment.

2011-10-28  Murray Cumming  <murrayc@murrayc.com>

	Mention the GTK+3 bug in the ChangeLog

2011-10-28  Murray Cumming  <murrayc@murrayc.com>

	More fixes for the Frame label issue.

	* glom/mode_data/box_data_list_related.cc: Only set or unset the Gtk::Frame
	label if it is or isn't there already, to avoid a warning.
	* glom/mode_data/box_data_portal.[h|cc]: Remove the unused implementation
	of one init_db_details() method, making it pure virtual instead.

2011-10-27  Murray Cumming  <murrayc@murrayc.com>

	Notebook: Avoid truncating related records buttons.

	* glom/mode_data/box_data_list_related.cc: Use
	Gtk::Frame::unset_label() instead of just hiding the frame's label,
	because that apparently leads to an incorrect allocation, causing the
	buttons to be cut in half horizontally at the bottom.
	I will investigate.

2011-10-27  Murray Cumming  <murrayc@murrayc.com>

	Mark version in ChangeLog

2011-10-27  Murray Cumming  <murrayc@murrayc.com>

	1.19.16

2011-10-27  Murray Cumming  <murrayc@murrayc.com>

	Depend on libgda 5.0.0.

	* configure.ac: This version of libgda has fixes for:
	Bug #661655 - data doesn't display when a field is renamed to string with a hyphen.
	and
	Bug #661073 - SQL Errors when a relationship name has capital letters.

2011-10-27  Murray Cumming  <murrayc@murrayc.com>

	Remove GtkHandleBox from the .glade file too.

	* ui/developer/window_print_layout_edit.glade:
	* glom/mode_design/print_layouts/window_print_layout_edit.[h|cc]:
	Use a GtkBox instead of a GtkHandleBox.

2011-10-26  Murray Cumming  <murrayc@murrayc.com>

	Add and move #includes for the latest glibmm.

	* glom/import_csv/csv_parser.cc:
	* glom/import_csv/dialog_import_csv_progress.cc:
	* glom/libglom/connectionpool.cc:
	* glom/libglom/connectionpool_backends/postgres_self.cc:
	* glom/libglom/privs.cc:
	* glom/libglom/spawn_with_feedback.cc:
	* glom/mode_data/box_data_list.cc:
	* glom/mode_data/box_data_list_related.cc:
	* glom/mode_data/db_adddel/db_adddel.cc:
	* glom/mode_data/notebook_data.cc:
	* glom/mode_design/print_layouts/window_print_layout_edit.h:
	* glom/utility_widgets/dialog_image_load_progress.cc:
	* glom/utility_widgets/dialog_image_save_progress.cc:
	* glom/utils_ui.cc:
	* tests/import/utils.cc: Add individual glibmm includes now that
	gmmproc does not include glibmm.h from headers.
	Always include glibmm/thread.h first to avoid deprecation warnings.

2011-10-26  Murray Cumming  <murrayc@murrayc.com>

	Adapt to the latest goocanvasmm API.

	* glom/main.cc: Pass no arguments to init(), though I think I will
	add the method overload back to goocanvasmm to avoid annoying people
	too much.

2011-10-26  Murray Cumming  <murrayc@murrayc.com>

	Avoid deprecated Gtk::HandleBox with latest gtkmm.

	* glom/utility_widgets/sidebar.[h|cc]: Removed, because Gtk::HandleBox
	is deprecated.
	* Makefile_glom.am: Remove mention of this file.
	* glom/utility_widgets/layouttoolbar.[h|cc]: Derive directly from
	Gtk::ToolPalette instead.
	* glom/mode_design/print_layouts/print_layout_toolbar.[h|cc]: Adapt.

	* glom/mode_design/print_layouts/window_print_layout_edit.h: The glade
	file still has a GtkHandleBox which we should remove, but in the
	meantime just use it via Gtk::Box.

2011-10-25  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2011-10-25  Murray Cumming  <murrayc@murrayc.com>

	Change #includes for the latest glibmm.

	Add individual includes instead of general giomm.h, glibmm.h or gtkmm.h
	includes.
	Among other things, this might let us avoid the annoying warning about
	deprecated GThread functions.

2011-10-25  Murray Cumming  <murrayc@murrayc.com>

	Added missing files.

2011-10-24  Mario Blättermann  <mariobl@gnome.org>

	[l10n] Updated German translation

2011-10-24  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2011-10-24  Murray Cumming  <murrayc@murrayc.com>

	Main window: Use a smaller default size.

	* ui/operator/window_main.glade: Request a small enough size to fit small
	screens. This will then not warn during test_glade_derived_instantiation.cc.
	However, more space may be requested later.

2011-10-24  Murray Cumming  <murrayc@murrayc.com>

	Remove the unnused PlaceholderGlom class.

	* glom/mode_data/placeholder-glom.[h|cc]: Remove these files.
	* Makefile_glom.am: Remove mentions of these files.
	* glom/mode_data/flowtable_withfields.cc: Remove uses of PlaceholderGlom.

2011-10-24  Murray Cumming  <murrayc@murrayc.com>

	Do not include gtkmm.h, glibmm.h, giomm.h, or similar in headers.

	* Many files: Use more specific includes.

2011-10-24  Murray Cumming  <murrayc@murrayc.com>

	Remove the mention of window_progress.glade to fix make check.

	* POTFILES.in: Remove the mention of a file that no longer exists.

2011-10-24  Murray Cumming  <murrayc@murrayc.com>

	Progress InfoBar: Block user input during progress.

	* glom/application.cc: set_progress_message(): Set the main UI elements to
	insensitive(), because all our current uses of the progess message should
	block user input, like a modal dialog.
	* ui/operator/window_main.glade: Move the InfoBar out of the frame, because
	it should not have the border, and so we can make the frame insensitive
	without making the InfoBar insensitive. This required adding an extra
	intermediate GtkBox, because otherwise there is no way to add the menubar
	at the top, before the InfoBar.
	This .glade file needed some hand-editing to remove bad <packing> tags that
	glade (from git master) added.

2011-10-24  Murray Cumming  <murrayc@murrayc.com>

	Progress InfoBar: Block user input during progress.

	* glom/application.cc: set_progress_message(): Set the main UI elements to
	insensitive(), because all our current uses of the progess message should
	block user input, like a modal dialog.
	* ui/operator/window_main.glade: Move the InfoBar out of the frame, because
	it should not have the border, and so we can make the frame insensitive
	without making the InfoBar insensitive.

2011-10-24  Murray Cumming  <murrayc@murrayc.com>

	ShowProgressMessage: Move to its own source files.

	* Makefile_glom.am:
	* glom/application.[h|cc]: Move the ShowProgressMessage class to separate
	.h/.cc files because I generally prefer one .h/.cc per class.

2011-10-24  Murray Cumming  <murrayc@murrayc.com>

	ShowProgressMessage: Minor Cleanup.

	* glom/application.[h|cc]: Move implementation into .cc file. Correct the code
	style. Make the constructor explicit.

2011-10-24  David King  <davidk@openismus.com>

	Replace progress dialog with infobar, bug 661051

2011-10-23  Kjartan Maraas  <kmaraas@gnome.org>

	Updated Norwegian bokmål translation

2011-10-21  Murray Cumming  <murrayc@murrayc.com>

	Avoid calling g_thread_init() if possible.

	* configure.ac: Add a comment about not linking to gthread-2.0 in future.
	* glom/libglom/init.cc:
	* tests/import/test_parsing.cc:
	* tests/import/test_signals.cc: Avoid calls to deprecated Glib::thread_init()
	if glib is new enough.
	This is a step to making Glom build against glibmm from git master with
	--enable-warnings=fatal.

2011-10-20  Murray Cumming  <murrayc@murrayc.com>

	Update a comment

2011-10-20  Murray Cumming  <murrayc@murrayc.com>

	libglom: Restore the Util::build_sql_select_count_row() API.

	* glom/libglom/db_utils.cc: move it back to:
	* glom/libglom/utils.[h|cc]: because it is needed by java-libglom.

2011-10-20  Murray Cumming  <murrayc@murrayc.com>

	Fix previous broken commit to fix the build.

2011-10-20  Murray Cumming  <murrayc@murrayc.com>

	Self-hosting tests: Test with sqlite too.

	* tests/test_selfhosting_utils.[h|cc]: test_create_and_selfhost():
	Add a hosting_mode parameter so we can test sqlite too.
	Correct some return values and check that the directory really exists after
	it should have been created.
	* tests/test_selfhosting_new_empty.cc:
	* tests/test_selfhosting_new_from_example.cc:
	* tests/test_selfhosting_new_then_report.cc:
	* tests/test_selfhosting_sqlinjection.cc: Restructure so all tests are run
	twice - once for each backend.

2011-10-20  Murray Cumming  <murrayc@murrayc.com>

	SQLite: Avoid reporting failure when recreating databases.

	* glom/libglom/db_utils.[h|cc]: recreate_database_from_document(): Do not
	call add_standard_tables() and add_standard_groups() because create_database()
	(which we call) has already done this.
	query_execute_string(): Only -1 is an error, though that is odd.
	See libgda bug #662279 .

2011-10-20  Murray Cumming  <murrayc@murrayc.com>

	Improve some stderr output.

2011-10-20  Murray Cumming  <murrayc@murrayc.com>

	Replaced Utils::build_sql_select_count_row() with DbUtils::count_rows_returned_by().

	* glom/libglom/utils.cc:
	* glom/base_db.[h|cc]: Moved count_rows_returned_by() to
	* glom/libglom/db_utils.[h|cc]: and also moved
	Utils::build_sql_select_count_row() making it static (not API).
	* glom/frame_glom.cc:
	* glom/mode_data/datawidget/treemodel_db.cc: Adapted.

2011-10-20  Jasper Lievisse Adriaanse  <jasper@humppa.nl>

	Adjust previous to properly substitute $DL_LIB.

2011-10-19  Murray Cumming  <murrayc@murrayc.com>

	SQL Injection Test: Try to avoid quoting by giving a wrong field type.

	* tests/test_selfhosting_sqlinjection.cc: Try to avoid quoting by
	saying that a text field is a number but still providing a text value.

2011-10-19  Murray Cumming  <murrayc@murrayc.com>

	SQL Injection Test: Try to use (evil and unquoted) text for a number.

	* tests/test_selfhosting_sqlinjection.cc: This seems to be safe already.

2011-10-19  Murray Cumming  <murrayc@murrayc.com>

	SQL Injection Test: Try to use (evil and unquoted) text for a number.

	* tests/test_selfhosting_sqlinjection.cc: This seems to be safe already.

2011-10-19  Jasper Lievisse Adriaanse  <jasper@humppa.nl>

	Check of libdl instead of unconditionally linking with it.

	https://bugzilla.gnome.org/show_bug.cgi?id=662143

2011-10-19  Murray Cumming  <murrayc@murrayc.com>

	1.19.15

2011-10-19  Murray Cumming  <murrayc@murrayc.com>

	SQL Injection Test: Try both kinds of quote characters.

	* tests/test_selfhosting_sqlinjection.cc: Instead of assuming that we know
	what libgda uses.

2011-10-19  Murray Cumming  <murrayc@murrayc.com>

	Fix comment typo.

2011-10-19  Murray Cumming  <murrayc@murrayc.com>

	Self-hosting: Attempt to avoid failed shutdowns.

	* glom/libglom/connectionpool.cc: invalidate_connection(): Actually call
	Gda::Connection::close() instead of relying on the Connection destructor to
	do that, because maybe it is not closing it if maybe Connection::is_opened()
	is not working correctly.
	cleanup(): invalidate the connection before shutting down the server,
	not after, in case an open connection is stopping the server from closing down.
	* glom/libglom/connectionpool_backends/postgres_self.[h|cc]:
	connect(): Remember the connection details so we can use them later to show
	debug output.
	Added show_active_connections() to try to get a clue about what is wrong
	when the shutdown fails, using those connection details.
	cleanup(): Call it when the shutdown fails.

2011-10-19  Murray Cumming  <murrayc@murrayc.com>

	Fix make check.

	* tests/test_selfhosting_new_from_example.cc: Add some missing !.

2011-10-19  Murray Cumming  <murrayc@murrayc.com>

	Do not pygoject_init() the wrong version.

	* glom/libglom/init.cc: Specify pygobject 3 instead of 2 when calling
	pygobject_init(). They are parallel-installable and incompatible and it is
	3 that we depend on. This recently started failing during "make check",
	which it should.

2011-10-18  Murray Cumming  <murrayc@murrayc.com>

	1.19.14

2011-10-18  Murray Cumming  <murrayc@murrayc.com>

	Add a simple SQL injection test.

	* tests/test_selfhosting_sqlinjection.cc: Attempt to do bad things
	that would be possible if our SQL values were not escaped properly
	in the SQL. (libgda takes care of this.)
	* Makefile_tests.am: Mention the new test.

2011-10-18  Murray Cumming  <murrayc@murrayc.com>

	Self hosting test: Check that other tables exist.

	* glom/libglom/document/document.[h|cc]: Added get_field_primary_key(),
	for use by:
	* tests/test_selfhosting_utils.[h|cc]: Added test_table_exists().
	* tests/test_selfhosting_new_from_example.cc: Add quick checks that
	some other tables exist.

2011-10-18  Murray Cumming  <murrayc@murrayc.com>

	Test some query functions.

	* tests/test_selfhosting_utils.[h|cc]: Added test_model_expected_size().
	* tests/test_selfhosting_new_from_example.cc: Test the quick find and
	the count query.

2011-10-18  Murray Cumming  <murrayc@murrayc.com>

	Avoid a compiler warning.

	* glom/libglom/data_structure/glomconversions.cc: format_time():
	Return a result from the catch block.

2011-10-18  Murray Cumming  <murrayc@murrayc.com>

	Avoid some copy/pasting of code.

	* glom/mode_design/print_layouts/print_layout_toolbar_button.cc:
	* glom/utility_widgets/layouttoolbar.cc:
	* glom/utility_widgets/layouttoolbarbutton.cc: Moved get_icon_path() to:
	* glom/utils_ui.[h|cc]

2011-10-18  Murray Cumming  <murrayc@murrayc.com>

	Test report contents.

	* glom/libglom/xsl_utils.[h|cc]: transform(): Return the contents,
	not a filepath.
	* glom/libglom/report_builder.[h|cc]: report_build(): return the
	contents, not the path. Add report_build_and_save() to get a temporary
	filepath.
	* glom/mode_data/box_data_manyrecords.cc:
	* glom/frame_glom.cc: Adapted.
	* tests/test_selfhosting_new_then_report.cc: Check that some expected
	text is in the generated HTML.

2011-10-18  Murray Cumming  <murrayc@murrayc.com>

	Test report building.

	* tests/test_selfhosting_new_from_example.cc: Move most code into
	utility functions in:
	* tests/test_selfhosting_utils.[h|cc]:
	* tests/test_selfhosting_new_then_report.cc: Add a new test that also
	generates a HTML report.
	* Makefile_tests: Mention the new files.

2011-10-18  Murray Cumming  <murrayc@murrayc.com>

	Film Manager example: Change default table.

	* examples/example_film_manager.glom: Make the Scenes table appear first so
	people get a better idea of what this is about - managing production of a
	single film, not managing a collection of films.

2011-10-18  Murray Cumming  <murrayc@murrayc.com>

	Add a test for the locale problem and for a missing translated date format.

	* tests/test_glom_date_in_locales.sh: A new test that sets LANG and then tries
	to start glom with it's date-checking option, to see if any fail.
	However, this is not run during "make check", or even distributed, because
	it depends on you having the locales installed and configured.

2011-10-18  Murray Cumming  <murrayc@murrayc.com>

	Correct the date format in the en_CA locale.

	* en_CA.po: Added a translation for the date format, because the default
	does not show 4-digit years. This avoids the warning at startup, which
	asks the translator to deal with it.
	Note that I used YYYY/MM/DD instead of DD/MM/YYY, because a) It is
	apparrently	the official format for Canada, though the other one is still
	common, and b) date parsing failed with DD/MM/YY in this locale.

2011-10-18  Murray Cumming  <murrayc@murrayc.com>

	Add try/catch around all uses of std::locale("").

	* glom/libglom/data_structure/glomconversions.cc: Add try/catch with a warning
	whenever we use std::locale(""), which means the current locale, because that
	can throw an exception if the locale is not properly configure.
	* glom/main.cc: Mention that a non-installed or not-properly-configured
	locale could be the cause of the problem.

	However, I would like to know exactly what it means for a locale to be
	properly configured.

2011-10-18  Murray Cumming  <murrayc@murrayc.com>

	Fix typo in previous commit

2011-10-18  Murray Cumming  <murrayc@murrayc.com>

	Command line: Correct some exit results.

	* glom/main.cc: Use EXIT_FAILURE and EXIT_SUCCESS instead of 0 and -1,
	and use the correct ones.

2011-10-18  Murray Cumming  <murrayc@murrayc.com>

	libglom: FieldFomatting: Correct some parameter names.

	* glom/libglom/data_structure/layout/fieldformatting.h: get_choices_related()
	Rename relationship_name to relatioship. It was already correct in the .cc
	file.

2011-10-18  Murray Cumming  <murrayc@murrayc.com>

	Correct the pkg-config file.

	* glom/libglom/glom.pc.in: Depend on libgdamm-5.0, not ligdamm-4.0.
	And depend on libxslt, because we just moved the xslt stuff into libglom.

2011-10-17  Mario Blättermann  <mariobl@gnome.org>

	[l10n] Updated German translation

2011-10-17  Murray Cumming  <murrayc@murrayc.com>

	Move ReportBuilder to libglom, to make testing easier.

	* glom/report_builder.[h|cc]:
	* glom/xsl_utils.[h|cc]: Moved to:
	* glom/libglom/report_builder.[h|cc]:
	* glom/libglom/xsl_utils.[h|cc]:
	* Makefile_glom.am, Makefile_libglom.am: Adapted, also adding a
	-D define for libglom to access the xslt file, though I am not happy
	about a library needing a file to be installed.

2011-10-17  Murray Cumming  <murrayc@murrayc.com>

	ReportBuilder: Do not depend on Base_DB unnecessarily.

	* glom/report_builder.[h|cc]: Just add get/set_document() instead.

2011-10-17  Murray Cumming  <murrayc@murrayc.com>

	Move report building code around.

	* glom/report_builder.[h|cc]: report_build(): Return the filepath,
	instead of opening it in the browser.
	* glom/xsl_utils[h|cc]: transform_and_open(): Rename to transform(),
	returning the filepath. Also correct some ustring filepath to std::string.
	* glom/utils_ui[h|cc]: Added show_report_in_browser().
	* glom/frame_glom.cc: on_menu_report_selected():
	* glom/mode_data/box_data_manyrecords.cc: print_layout: Adapted.

2011-10-17  Murray Cumming  <murrayc@murrayc.com>

	Move some XSLT-processing code around.

	* glom/mode_data/box_data.h: Remove declaration of non-implemented
	and unused xslt_process() method.
	* glom/xsl_utils.[h|cc]: Move xslt_process() in to the .cc file as a
	static function.

2011-10-17  Murray Cumming  <murrayc@murrayc.com>

	Move some Report code around.

	* glom/mode_data/box_data_manyrecords.cc: print_layout():
	Move the report creation to ReportBuilder.
	* glom/report_builder.[h|cc]: Added create_standard_list_report().
	* glom/xsl_utils.cc: Do not output all the XSL and HTML to std::cout,
	but do output the temporary file name of the generated HTML file.

2011-10-17  Murray Cumming  <murrayc@murrayc.com>

	XSLT file: Minor fixes.

	* xslt/print_report_to_html.xsl: Change xsl::version to version, which
	is apparently more correct. Specify the encoding as UTF-8.

2011-10-17  Murray Cumming  <murrayc@murrayc.com>

	Tests: Add general XML validity of XSLT files.

	* tests/test_xslt_file_validation.sh: New test, based on the other ones.
	* Makefile_tests.am: Mention the new test.

2011-10-17  Murray Cumming  <murrayc@murrayc.com>

	Remove an unused XSL file.

	* xslt/print_details_to_html.xsl: Remove this because it is no longer
	used.
	* Makefile.am: Remove mention of it.

2011-10-17  Murray Cumming  <murrayc@murrayc.com>

	List View: Correct the default column widths.

	* glom/utils_ui.[h|cc]: get_suitable_field_width_for_widget(): Added a
	for_treeview parameter and adjust the width accordingly.
	* glom/mode_data/db_adddel/db_adddel.cc: treeview_append_colum():
	Replace the overly-generic division-by-3 hack with the new parameter, and
	add some hard-coded extra space.

2011-10-17  Murray Cumming  <murrayc@murrayc.com>

	Examples: Remove all column_width attributes now that defaults are good.

	* examples/example_film_manager.glom:
	* examples/example_lesson_planner.glom:
	* examples/example_music_collection.glom:
	* examples/example_project_manager.glom:
	* examples/example_smallbusiness.glom:
	* examples/sqlite/test_sqlite_music/test_sqlite_music.glom:
	* examples/tests/example_field_formatting_test.glom:
	* ldtp/database-templates/PostgresCentral/Test.glom:
	* ldtp/database-templates/SQLite/Test.glom: A simple regexxer replace.

2011-10-17  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2011-10-17  Murray Cumming  <murrayc@murrayc.com>

	List View: Correct the default column widths.

	* glom/utils_ui.[h|cc]: get_suitable_field_width_for_widget(): Added a
	for_treeview parameter and adjust the width accordingly.
	* glom/mode_data/db_adddel/db_adddel.cc: treeview_append_colum():
	Replace the overly-generic division-by-3 hack with the new parameter, and
	add some hard-coded extra space.

2011-10-17  Murray Cumming  <murrayc@murrayc.com>

	Details: Avoid an outdent after group titles

	* glom/mode_data/flowtablewithfields.cc: add_layout_group(): Work around
	the GtkFrame bug #644199

2011-10-17  Murray Cumming  <murrayc@murrayc.com>

	1.19.13

2011-10-17  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Print Standard: Avoid page break spaces in the middle of pages.

	* glom/print_layout/canvas_print_layout.[h|cc]: fill_with_data():
	Add an avoid_page_margins parameter, so we can choose to always move items
	past the margins on to the next page while setting their data.
	* glom/print_layout/print_layout_utils.[h|cc]: create_standard():
	Add an avoid_page_margins parameter, so we can choose to do this later instead
	when setting the data, to avoid big gaps that are later moved down into the
	middle of the page.
	do_print_layout(): Add an avoid_page_margins parameter here too, passing
	it to fill_with_data().
	* glom/mode_data/box_data_details.cc: print_layout(): Do not avoid page
	margins when creating, because that will happen when expanding items.
	Avoid the page margins when setting the details.
	* glom/mode_design/print_layouts/window_print_layout_edit.cc:
	on_menu_insert_create_standard(): Avoid page margins when creating.
	However, those gaps could be left in the middle of the page when printing,
	because some items may be expanded. We need a way to squash that space
	later when it is unecessary.

2011-10-16  Jasper Lievisse Adriaanse  <jasper@humppa.nl>

	Hide another __libc_freeres on systems which don't have glibc.

	https://bugzilla.gnome.org/show_bug.cgi?id=660496

2011-10-15  Murray Cumming  <murrayc@murrayc.com>

	Fix some ChangeLog formatting

2011-10-14  Murray Cumming  <murrayc@murrayc.com>

	Fix DTD to fix make check.

	* glom/glom_document.dtd: Mention several attributes that were added
	in the last year or so. The new examples/test/ uses them.

2011-10-14  Murray Cumming  <murrayc@murrayc.com>

	Tests: Fix cast error when using dlerror().

	* tests/python/test_load_python_library.cc: Noticed on OpenBSD in
	bug #660495 (Jasper Lievisse Adriaanse).
	I don't know why this worked on Linux.

2011-10-14  Murray Cumming  <murrayc@murrayc.com>

	Examples: Remove other uses of pygtk.

	* examples/example_lesson_planner.glom: Remove an old button script
	from the XML though it was not used anymore in the UI.
	* examples/example_project_manager.glom: Contacts: Remove the Test
	button. It is in the small business example already instead.

2011-10-14  Murray Cumming  <murrayc@murrayc.com>

	Small Business Example: Port pygtk code to PyGObject+Introspection.

	* examples/example_smallbusiness.glom: This fixes this crash, which
	apparently happens when trying to use pygtk when pygobject-3 is
	already loaded:
	Warning: specified class size for type `PyGtkGenericCellRenderer' is
	smaller than the parenttype's `GtkCellRenderer' class size

	Bug #661766 (André Klapper)

2011-10-14  Murray Cumming  <murrayc@murrayc.com>

	List: Actually show custom choices, instead of crashing.

	* glom/mode_data/datawidget/cellcreation.cc: create_cell(): Call
	set_choices_fixed() if appropriate.
	* glom/mode_data/datawidget/cellrenderer_dblist.cc: on_editing_started():
	Replace a g_assert with a warning to std::cerr, in case this happens
	again, particularly now that we know when it can happen - if there is
	no text-column set.
	Bug #661764 (André Klapper)

2011-10-14  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Avoid grouping items at the tops of pages.

	* glom/print_layout/print_layout_utils.[h|cc]: move_fully_to_page():
	Change this to needs_move_fully_to_page(), so we can decide later how
	much to move the items.
	* glom/print_layout/canvas_print_layout.[h|cc]: move_items_below_item():
	Rename to move_items_down(), not taking an item, and ignoring the x
	dimension, moving everything down.
	Remember the highest item that needs moving down more, because it
	is in a page margin, then move everything below it down by the same
	offset. Keep doing that until no items are in margins, gradually adding
	pages. This is a simple form of pagination, and not a particularly
	efficient one.

2011-10-14  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2011-10-14  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Another expansion fixes.

	* glom/print_layout/print_layout_utils.[h|cc]: move_fully_to_page():
	Move generic CanvasItemMovables instead of just CanvasLayoutItems.
	* glom/print_layout/canvas_print_layout.cc: move_items_below_item():
	Likewise.

2011-10-14  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Increase page count correctly when expanding portals.

	* glom/print_layout/canvas_print_layout.cc: move_items_below_item():
	Correct an off-by-one error in the calculation of the number of pages
	needed.

2011-10-14  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Create standard: Use the multiline text formatting.

	* glom/print_layout/print_layout_utils.cc: create_standard():
	Make text fields multiline if they are multiline on the details
	layout.

2011-10-14  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Small improvement.

	* glom/print_layout/canvas_print_layout.cc: move_items_below_item():
	Check that we don't move the item itself.

2011-10-13  Murray Cumming  <murrayc@murrayc.com>

	minor fix of minor fix

2011-10-13  Murray Cumming  <murrayc@murrayc.com>

	Minor fix

2011-10-13  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Code improvement.

	* glom/print_layout/print_layout_utils.[h|cc]: Remove the hacky get_units()
	function.

2011-10-13  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Create Standard: Move items to the next page when necessary.

	* glom/libglom/data_structure/layout/layoutitem.[h|cc]: Add
	set_print_layout_position_y() for convenience.
	* glom/print_layout/print_layout_utils.cc: create_standard(): Use
	move_fully_to_page().

2011-10-13  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Moved some code around.

	* glom/print_layout/canvas_print_layout.[h|cc]: Moved get_page_for_y() and
	move_fully_to_page() to:
	* glom/print_layout/print_layout_utils.[h|cc]:

2011-10-13  Murray Cumming  <murrayc@murrayc.com>

	PrintLayout: Standard: Do not move to next page unnecessary.

	* glom/print_layout/canvas_print_layout.cc: get_page_for_y(): Correct this
	calculation.

2011-10-13  Murray Cumming  <murrayc@murrayc.com>

	About dialog: Show the version number.

	* glom/application.cc: Use set_version().

2011-10-13  Murray Cumming  <murrayc@murrayc.com>

	Deleting tables: Remove all auto-increment rows.

	* glom/navigation/box_tables.cc: Remove the autoincrement rows for all
	autoincrement fields.

2011-10-13  Murray Cumming  <murrayc@murrayc.com>

	Deleting tables: Remove the auto-increment too.

	* glom/libglom/db_utils.[h|cc]: Added remove_auto_increment().
	* glom/navigation/box_tables.cc: on_adddel_Delete(): Remove the primary key's
	autoincrement too.
	Bug #661653

2011-10-13  Murray Cumming  <murrayc@murrayc.com>

	DbUtils: Add some parameter checks to the autoincrement methods.

	* glom/libglom/db_utils.cc: Otherwise we risk having an empty where clause,
	and doing unwanted things to the entire table.

2011-10-13  Murray Cumming  <murrayc@murrayc.com>

	DbUtils: Avoid some repeated code.

	* glom/libglom/db_utils.cc: Add a utility function for adding the where
	clause for the auto-increments table.

2011-10-13  Murray Cumming  <murrayc@murrayc.com>

	whitespace change

2011-10-13  Murray Cumming  <murrayc@murrayc.com>

	Use Glib::ustring::compose() instead of concatenation for translatable strings.

	* glom/bakery/dialog_offersave.cc:
	* glom/import_csv/dialog_import_csv.cc:
	* glom/mode_design/fields/dialog_fieldcalculation.cc:
	* glom/mode_design/layout/combobox_relationship.cc:
	* glom/mode_design/layout/dialog_layout_details.cc:
	* glom/mode_design/layout/layout_item_dialogs/dialog_buttonscript.cc:
	* glom/navigation/box_tables.cc:
	* glom/utils_ui.cc: Let translators arrange built strings.

2011-10-13  Ben Konrath  <ben@bagu.org>

	Add example document to test field formatting.

	* examples/tests/example_field_formatting_test.glom: New file.

2011-10-13  Murray Cumming  <murrayc@murrayc.com>

	Print/Standard: Do print, not preview.

	* glom/mode_data/box_data_details.cc: This is now the same as when
	printing a non-standard print layout.

2011-10-13  Murray Cumming  <murrayc@murrayc.com>

	Replace Gtk::Table with Gtk::Grid in the source code.

	* glom/mode_design/fields/dialog_fielddefinition.h: Use the table
	(from the .glade file) via Gtk::Widget*.
	* ui/developer/window_print_layout_edit.glade: Replace the GtkTable
	with a GtkGrid.
	* glom/mode_design/print_layouts/window_print_layout_edit.cc:
	Adapt.
	There are still GtkTables in the other .glade files, but this at least
	lets us build with gtkmm 3.3/3.4 even with --enable-warnings=fatal.

2011-10-12  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Avoid some code duplication.

	* glom/print_layout/print_layout_utils.[h|cc]: moved get_page_height()
	from CanvasPrintLayout to here. And actually get the margins.
	* glom/print_layout/canvas_print_layout.cc: get_page_y_start_and_end():
	Use it here.
	get_page_height(): Forward to the PrintLayoutUtils versions, passing
	the extra parameters.

2011-10-12  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Move items to next page when expanding portals.

	* glom/print_layout/canvas_print_layout.[h|cc]: move_items_below_item():
	Use a new move_fully_to_page() method to make sure that items are never
	in the margins if that is possible, when expanding related records
	portals for real data.
	Also add extra pages when necessary.

2011-10-12  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Related Records: Move others down when expanding.

	* glom/print_layout/canvas_layout_item.[h|cc]: Added
	move_items_below_item().
	* glom/print_layout/canvas_print_layout.[h|cc]: fill_with_data_portal():
	move other items lower when changing the size of the portal's table.

2011-10-12  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Related Records: Expand according to min/max rows count.

	* glom/print_layout/canvas_layout_item.[h|cc]:
	Moved get_canvas_table_cell_child() here from CanvasPrintLayout.
	create_canvas_item_for_layout_item(): Move the table-child creation
	code into add_portal_rows_if_necessary().
	* glom/print_layout/canvas_print_layout.[h|cc]: fill_with_data_portal():
	Add rows, up to the maximum, according to the number of database rows.
	* glom/print_layout/print_layout_utils.cc: create_standard():
	Set a simple default height for one row, but set a min of 1 and a max
	of 100 so it will expand later.

2011-10-11  Murray Cumming  <murrayc@murrayc.com>

	Const correction

2011-10-11  Murray Cumming  <murrayc@murrayc.com>

	Update the example files for the portal rows count change.

	* examples/example_film_manager.glom:
	* examples/example_music_collection.glom:
	* examples/example_project_manager.glom:
	* examples/example_smallbusiness.glom: Adapt to new document structure.

2011-10-11  Murray Cumming  <murrayc@murrayc.com>

	Related Records Portals: Change rows count to min and max counts.

	* glom/glom_document.dtd: Adapted.
	* glom/libglom/data_structure/layout/layoutitem_portal.[h|cc]:
	set_rows_count(): Return a min and max, and change it from double to
	gulong.
	* glom/libglom/document/document.cc: load_after(), save_before():
	Store it in the document. The old XML attribute was new in Glom 1.19
	anyway, so we can change it.

	* ui/developer/window_data_layout.glade: Add an extra SpinButton,
	adjust the labels, and add explanatory tooltips.
	* glom/mode_design/layout/dialog_layout_details.[h|cc]: Adapted.

	* glom/mode_data/db_adddel/db_adddel.[h|cc]: set_height_rows():
	Take the min and max.
	construct_specified_column(): Increase the size if appropriate when
	there are more database rows to show.
	* glom/mode_design/layout/dialog_layout_list_related.cc:
	* glom/print_layout/print_layout_utils.cc:
	* glom/libglom/db_utils.cc:
	* glom/mode_data/box_data_list_related.cc: Adapted.

2011-10-11  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Create Standard: Use the full page width.

	* glom/print_layout/print_layout_utils.cc: Instead of hard-coding the
	width. However, the field title widths are still hard-coded.

2011-10-11  Murray Cumming  <murrayc@murrayc.com>

	Small fixes to Film Manager example.

	* examples/example_film_manager.glom: Remove the unused (and hiddent)
	Teams table.
	Contacts: Remove the unnecessary groups around the related records
	portals in the notebook.

2011-10-11  Murray Cumming  <murrayc@murrayc.com>

	Tiny improvement

2011-10-11  Murray Cumming  <murrayc@murrayc.com>

	CanvasPrintLayout: Wipe empty rows when filling with data.

	* glom/print_layout/canvas_print_layout.cc: fill_with_data_portal():
	Otherwise, the field names appear on the printout, left over from
	the default non-data preview.

2011-10-11  Murray Cumming  <murrayc@murrayc.com>

	TranslatableItem: Make get_title() virtual.

	* glom/libglom/data_structure/translatable_item.h: Make get_title()
	virtual, like get_title_or_name() already is, so we can make get_title()
	useful generically via the base class.
	* glom/libglom/data_structure/layout/layoutitem_field.[h|cc]:
	* glom/libglom/data_structure/layout/layoutitem_portal.[h|cc]:
	* glom/libglom/data_structure/layout/report_parts/layoutitem_fields
	ummary.[h|cc]: Add get_title() overrides.
	* glom/mode_data/box_data_calendar_related.cc:
	* glom/mode_data/box_data_list_related.cc:
	* glom/print_layout/print_layout_utils.cc: Use get_title() instead of
	get_title_or_name(), to avoid showing names of intentionally title-less
	groups and notebooks.

2011-10-11  Murray Cumming  <murrayc@murrayc.com>

	LayoutItem_Portal: Make get_title_or_name() useful.

	* glom/libglom/data_structure/layout/layoutitem_portal.[h|cc]:
	Add an override for get_title_or_nam(), so that callers do not need to
	special-case portals compared to other groups.
	* glom/mode_data/box_data_calendar_related.cc:
	* glom/mode_data/box_data_list_related.cc:
	* glom/mode_data/box_data_portal.cc:
	* glom/mode_data/flowtablewithfields.cc:
	* glom/print_layout/print_layout_utils.cc: Use get_title_or_name()
	instead of more complicated code.

2011-10-11  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Standard: Handle related records portals too.

	* glom/print_layout/print_layout_utils.cc: create_standard():
	If the group is a portal, just add that portal item, setting appropriate
	sizes.

2011-10-11  Murray Cumming  <murrayc@murrayc.com>

	Simplify OptionEntry code.

	* glom/glom_create_from_example.cc:
	* glom/main.cc: Reuse one OptionEntry instance.

2011-10-11  Murray Cumming  <murrayc@murrayc.com>

	Fix typo

2011-10-10  Murray Cumming  <murrayc@murrayc.com>

	Updated a TODO

2011-10-10  Murray Cumming  <murrayc@murrayc.com>

	Cope with Gnome::Gda::DataModelIter::get_value_at() throwing.

	* glom/libglom/connectionpool_backends/postgres.cc: Add a catch/try
	around get_value_at(), because the latest version of libgdamm can
	throw an exception there.

2011-10-10  Murray Cumming  <murrayc@murrayc.com>

	Corrected ChangeLog

2011-10-10  Murray Cumming  <murrayc@murrayc.com>

	Added some consts

2011-10-10  Murray Cumming  <murrayc@murrayc.com>

	Use gdk_window_get_device_position() instead of gdk_window_get_pointer().

	* glom/mode_data/box_data_calendar_related.cc:
	* glom/mode_data/buttonglom.cc:
	* glom/mode_data/datawidget/checkbutton.cc:
	* glom/mode_data/datawidget/combo.cc:
	* glom/mode_data/datawidget/combo_as_radio_buttons.cc:
	* glom/mode_data/datawidget/datawidget.cc:
	* glom/mode_data/datawidget/entry.cc:
	* glom/mode_data/datawidget/label.cc:
	* glom/mode_data/datawidget/textview.cc:
	* glom/mode_data/db_adddel/db_adddel.cc:
	* glom/mode_data/flowtablewithfields.cc:
	* glom/utility_widgets/adddel/adddel.cc:
	* glom/utility_widgets/imageglom.cc:
	* glom/utility_widgets/notebooklabelglom.cc: A fairly simple search/replace.

2011-10-10  Murray Cumming  <murrayc@murrayc.com>

	1.19.12

2011-10-10  Murray Cumming  <murrayc@murrayc.com>

	Really use the goocanvasmm RGBA properties.

	* glom/mode_design/layout/layout_item_dialogs/box_formatting.cc:
	* glom/mode_design/layout/layout_item_dialogs/dialog_line.cc: Use
	Gtk::ColorButton::get_rgba() instead of get_color.
	* glom/mode_design/layout/dialog_layout_list_related.[h|cc]: Do not save
	color details if they are not shown in the UI.

2011-10-10  Murray Cumming  <murrayc@murrayc.com>

	Require the latest goocanvasmm.

	* configure.ac: Require goocanvasmm 1.90.6 because of the new RGBA properties.

2011-10-10  Murray Cumming  <murrayc@murrayc.com>

	glom_create_from_example: --help: Add a hint about when self-hosting is used.

	* glom/glom_create_from_example.cc: Add some text to the --server-hostname
	option.

2011-10-10  Murray Cumming  <murrayc@murrayc.com>

	glom_create_from_example: Support central-hosting too.

	* glom/glom_create_from_example.cc: Allow a host name, port, and username to
	be specified, and the password to be entered on stdin.
	* glom/libglom/db_utils.[h|cc]: Added get_unused_database_name():
	* glom/frame_glom.cc: Added a TODO that we should use it here too instead of
	the similar code that is mixed up with the dialog code.
	* glom/libglom/connectionpool.h: Remove unused m_host member variable.

2011-10-10  Murray Cumming  <murrayc@murrayc.com>

	Fix POTFILES.in

2011-10-10  Murray Cumming  <murrayc@murrayc.com>

	Test: Catch an exception.

2011-10-10  Murray Cumming  <murrayc@murrayc.com>

	Added the glom_create_from_example command-line utility.

	* Makefile_libglom.am:
	* glom/glom_create_from_example.cc: This command-line utility takes an
	example .glom file, outputs a new non-example .glom file and puts the
	example data, if any, in the database.
	Right now, it assumes that you want self-hosting, so it creates the
	database files locally.
	This builds when libglom builds. It does not require the glom application.

2011-10-10  Murray Cumming  <murrayc@murrayc.com>

	Added Utils::get_file_*_without_extension().

	* glom/application.[h|cc]: Moved get_file_uri_without_extension() to
	* glom/libglom/utils.[h|cc]: And added get_file_path_without_extension().

2011-10-09  Murray Cumming  <murrayc@murrayc.com>

	Fix make check with --enable-warnings=fatal.

	* glom/utility_widgets/eggspreadtablemm/test_spreadtablednd.cc:
	drop_possible handlers: Adapt to the new meanin of the return type.

2011-10-09  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with --enable-warnings=fatal.

	* glom/utility_widgets/eggspreadtablemm/eggspreadtabledndmm.cc:
	Signal callbacks: Actually use drop_possible.

2011-10-09  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2011-10-08  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2011-10-07  Murray Cumming  <murrayc@murrayc.com>

	Fields: Adapt choices fields when changing field names.

	* glom/libglom/data_structure/layout/fieldformatting.[h|cc]:
	Added change_field_item_name().
	* glom/libglom/data_structure/layout/layoutgroup.cc: change_field_item_name():
	Change the formatting too, by calling the new method.
	* glom/libglom/document/document.cc: change_field_name(): Change the default
	formatting of fields too.
	Bug #661075

2011-10-06  Mario Blättermann  <mariobl@gnome.org>

	[l10n] Updated German translation

2011-10-06  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Really print additional pages.

	* glom/print_layout/printoperation_printlayout.cc: on_draw_page():
	Use Cairo::Context::translate() before calling Goocanvas::Canvas::render().
	Bug #660553 (Thanks to David King and Damon Chaplin)

2011-10-06  Murray Cumming  <murrayc@murrayc.com>

	Document: Avoid writing some unnecessary XML nodes.

	* glom/libglom/document/document.cc: <formatting>: Do not write the
	choices_related_show_all attribute if there are no choices.
	Do not write numeric formatting attributes if the field type is not numeric.
	* examples/example_film_manager.glom: Resaved.

2011-10-06  Murray Cumming  <murrayc@murrayc.com>

	Fix DTD validation.

	* glom/glom_document.dtd: Change the order of some sub-nodes. Apparently
	we must specify a sequence, even though we do not really care.
	* glom/libglom/document/document.cc: load_before(), save_after(): do not
	save some irrelevant details for calendard portals.
	Portals assume that no rows count means the default of 6, to make the files
	less verbose.
	* examples/example_film_manager.glom:
	* examples/example_lesson_planner.glom:
	* examples/sqlite/test_sqlite_music/test_sqlite_music.glom: Resaved/Fixed.

2011-10-06  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2011-10-06  Murray Cumming  <murrayc@murrayc.com>

	Examples: Details layout: Remove unnecessary "main" groups.

	* examples/example_lesson_planner.glom:
	* examples/example_music_collection.glom:
	* examples/example_project_manager.glom:
	* examples/example_smallbusiness.glom: Move overview and details to top,
	instead of in a top-level group.
	* examples/example_film_manager.glom: Remove unnecessary Details titles.
	These look silly when the first item is a group with its own title.

2011-10-06  Murray Cumming  <murrayc@murrayc.com>

	Film Manager example: Scenes: Make the Props and Costume tabs work.

	* examples/example_film_manager.glom: The relevant tables and relationships
	did not exist. Also remove all main top-level groups.

2011-10-06  Murray Cumming  <murrayc@murrayc.com>

	TreeModelDb: fill_values_if_necessary(): Avoid a crash.

	* glom/mode_data/datawidget/treemodel_db.cc: Do not try to use a null
	GdaDataModel, which can happen if a SQL query fails.

2011-10-06  Murray Cumming  <murrayc@murrayc.com>

	Document: get_data_layout_groups_default(): Simplify the default structure.

	* glom/libglom/document/document.cc: Do not create the useless main
	top-level group for details layouts.

2011-10-06  Ben Konrath  <ben@bagu.org>

	Fix small bugs in commented-out debugging print statements.

	https://bugzilla.gnome.org/show_bug.cgi?id=661009

	* glom/libglom/db_utils.cc: Change field to layout_item. Move print
	statement to be after the assignment to
	field_used_in_relationship_to_one.

2011-10-06  Murray Cumming  <murrayc@murrayc.com>

	Details: Do not enable drag-and-drop by default.

	* glom/utility_widgets/flowtable.cc: Turn of drag-and-drop by default in
	the EggSpreadTableDnd
	* glom/mode_data/flowtablewithfields.[h|cc]: Added set_enable_drag_and_drop().
	* glom/mode_data/box_data_details.[h|cc]: Added set_enable_drag_and_drop(),
	calling the FlowTableWithFields.
	glom/application.[h|cc]: Rename the Show Layout Toolbar menu item to
	Drag and Drop Layout, though that is a bad name and I would like a better one.
	* glom/frame_glom.[h|cc]:  show_layout_toolbar(): Rename to
	set_enable_layout_drag_and_drop().
	* glom/mode_data/notebook_data.[h|cc]: Rename show_layout_toolbar() to
	set_enable_layout_drag_and_drop() and make it enable dnd as well as showing
	the toolpallette. The toolpalette is then a visual indication that
	drag-and-drop is possible.
	* glom/mode_data/test_flowtablewithfields.cc: Add a sub-group and enable
	drag and drop.

2011-10-06  Murray Cumming  <murrayc@murrayc.com>

	Update EggSpreadTable tests.

	* glom/utility_widgets/eggspreadtablemm/test_spreadtablednd.cc: Fix a crash.
	* glom/utility_widgets/test_flowtable.cc:
	* glom/utility_widgets/test_flowtable_dnd.cc: Adapt to the changed API.

2011-10-06  Murray Cumming  <murrayc@murrayc.com>

	Update EggSpreadTable

	* glom/utility_widgets/eggspreadtable/: Update from libegg with Tristan's
	changes.
	* glom/utility_widgets/eggspreadtablemm/: Adapt.

2011-10-04  Murray Cumming  <murrayc@murrayc.com>

	Added missing files

2011-10-04  Murray Cumming  <murrayc@murrayc.com>

	TODO comment

2011-10-04  Murray Cumming  <murrayc@murrayc.com>

	Move do_print_layout() to PrintLayoutUtils.

	* glom/application.[h|cc]: Remove the new print_layout(PrintLayout) override.
	* glom/frame_glom.[h|cc]:
	* glom/mode_data/box_data_details.cc: Adapted, using
	PrintLayoutUtils::do_print_layout() instead.

2011-10-04  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2011-10-04  Murray Cumming  <murrayc@murrayc.com>

	PrintOperation_PrintLayout: Move to print_layout/:

	* Makefile_glom.am:  Mention the changed paths.
	* glom/frame_glom.cc: Adapted.

2011-10-04  Murray Cumming  <murrayc@murrayc.com>

	PrintLayoutUtils: Move to print_layout/

	* Makefile_glom.am: Mention the changed paths.
	* glom/mode_data/box_data_details.cc:
	* glom/mode_design/print_layouts/window_print_layout_edit.cc: Adapted.

2011-10-04  Murray Cumming  <murrayc@murrayc.com>

	Details: Print: Use a standard print layout instead of HTML.

	* glom/frame_glom.[h|cc]: Add a do_print_layout() that takes a PrintLayout
	instead of just a print layout name.
	* glom/application.[h|cc]: Add a  do_print_layout() that forwards to
	Frame_Glom.
	* glom/mode_data/box_data_details.[h|cc]: print_layout(): Instead of
	generating HTML and showing it in a browser, create a standard print layout
	and offer it via a normal printing dialog. This is at least as good (not
	very good yet) as our generated HTML, but simpler and more normal.
	Remove any code that used the old XML+XSLT=HTML way for details.

	We still use the generated HTML for the list view, as if it was just another
	report. Maybe we can improve that in future too.

2011-10-04  Murray Cumming  <murrayc@murrayc.com>

	Fix typo

2011-10-04  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Move create_standard() into a utils file.

	* glom/mode_design/print_layouts/window_print_layout_edit.[h|cc]: Move
	create_standard to
	* glom/print_layout_utils.[h|cc] so we can use it elsewhere too.

2011-10-02  Murray Cumming  <murrayc@murrayc.com>

	Find: Get criteria even when a field is on the layout twice.

	* glom/mode_data/flowtablewithfields.cc: get_field_value():
	Look at all the widgets for this field, instead of just the first one,
	and keep looking until we find a non-empty value.
	This is still rather arbitrary, but this method is only used for
	find criteria, or should be.

2011-10-02  Murray Cumming  <murrayc@murrayc.com>

	Find Mode: Do not show data in related records.

	* glom/mode_data/box_data_portal.[h|cc]: Add a virtual set_find_mode().
	* glom/mode_data/box_data_list_related.h: Add a set_find_mode()
	override here which calls it on the DbAddDel.
	* glom/mode_data/db_adddel/db_adddel.h: Document the existing
	set_find_mode() more.
	* glom/mode_data/flowtablewithfields.[h|cc]: Add set_find_mode(), which
	calls it on all child portals and flowtables and calls it later when
	creating them.
	* glom/mode_find/box_data_details_find.cc: Call set_find_mode() on the
	FlowTable.
	This also affects the Find button next to ID fields.

2011-10-02  Mario Blättermann  <mariobl@gnome.org>

	[l10n] Updated German translation

2011-10-01  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2011-09-30  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Create Standard Layout: Support multiple pages.

	* glom/mode_design/print_layouts/window_print_layout_edit.[h|cc]:
	create_standard(): Support multiple pages, trying to keep out of the margins.
	* glom/print_layout/canvas_print_layout.cc: add_layout_group_children():
	Do not add canvas items that were not able to handle the layout item, such
	as buttons.

2011-09-30  Murray Cumming  <murrayc@murrayc.com>

	Fix the DTD.

	* glom/glom_document.dtd: Fix my typo to fix make check.

2011-09-30  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2011-09-30  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Allow multiple pages.

	* glom/libglom/data_structure/print_layout.[h|cc]: Add get/set_page_count().
	* glom/libglom/document/document.cc: load_after(), save_before():
	Store the page count in the document.
	* glom/glom_document.dtd: Mention the new attribute.

	* glom/print_layout/canvas_print_layout.[h|cc]: Add get/set_page_count()
	and get_page_bounds().
	update_page_bounds(): Move the margin creation into here, and create
	margins for all pages.
	* glom/utility_widgets/canvas/canvas_group_grid.[h|cc]:
	Added update_grid_for_new_size().
	* glom/mode_design/print_layouts/window_print_layout_edit.[h|cc]: Add
	Add Page and Delete Page menu items, though we need to rearrange the menus
	more sensibly.

	* glom/printoperation_printlayout.cc: on_begin_print(), on_paginate():
	Set the number of pages.
	on_draw(): Render only the specified page's bounds from the GooCanvas.
	However, this is not working for any page but the first one.
	Some cairo transformation might be necessary.

2011-09-30  Andrej Žnidaršič  <andrej.znidarsic@gmail.com>

	Updated Slovenian translation

2011-09-30  Murray Cumming  <murrayc@murrayc.com>

	Instantiation test: warn if the widget is too big for small screens.

	* tests/test_glade_derived_instantiation.cc: Actually show the window
	(Is there a way to get the size without showing it) and warn if it is too
	big, but do not fail yet.
	Note that this is very dependent on the theme in use, though maybe we
	can set that at runtime for the test.

2011-09-30  Murray Cumming  <murrayc@murrayc.com>

	Field Formatting window: Make it slightly less tall.

	* ui/developer/dialog_layout_field_properties.glade: Arrange two radio
	buttons horizontally instead of vertically. But this window is still too tall.
	See https://bugs.launchpad.net/ubuntu/+source/glom/+bug/863016

2011-09-29  Jasper Lievisse Adriaanse  <jasper@humppa.nl>

	Hide __libc_freeres on system which don't have glibc.

	https://bugzilla.gnome.org/show_bug.cgi?id=660496

2011-09-29  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Add experimental Create Standard feature.

	* glom/mode_design/print_layouts/window_print_layout_edit.[h|cc]:
	Add an Insert/Create Standard Layout menu item which creates a layout
	similar to the details layout.

2011-09-29  Murray Cumming  <murrayc@murrayc.com>

	Dialog_Choose_ID: Work around a crash in GTK+.

	* glom/mode_data/datawidget/dialog_choose_id.cc: Remove the Box_Data_List
	from the parent container (we added it earlier), to avoid a crash, though
	it would be good to fix that properly and generically.
	Bug #660347

2011-09-29  Murray Cumming  <murrayc@murrayc.com>

	build_simple_where_expression(): Check input parameters.

	* glom/libglom/utils.cc: build_simple_where_expression(): Check for an
	empty key field, which can happen during debugging.

2011-09-29  Murray Cumming  <murrayc@murrayc.com>

	Glade utils: Catch generic exceptions.

	* glom/glade_utils.h: Though this only happens when gtkmm has not been
	initialized.

2011-09-28  Murray Cumming  <murrayc@murrayc.com>

	Related Records: Fix bug with a blank row when there is only one row.

	* glom/libglom/connectionpool.[h|cc]: Added get_backend_supports_cursor().
	* glom/mode_data/datawidget/treemodel_db.cc: refresh_from_database():
	Call that method, so we can avoid using GdaDataAccessWrapper unless
	necessary. That avoids an apparent bug with GdaDataAccessWrapper returned
	a row of all-nulls if there is only one row. See libgda bug #660344 .
	This is probably a performance improvement anyway.

2011-09-27  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2011-09-27  Murray Cumming  <murrayc@murrayc.com>

	Require the latest gtkmm.

	* configure.ac: Require gtkmm 3.2.0 to keep things simple.

2011-09-27  Murray Cumming  <murrayc@murrayc.com>

	libglom::LayoutItem_Portal: Added get_suitable_table_to_view_details().

	* glom/base_db.[h|cc]: Move the get_portal_navigation_relationship_automatic()
	and get_suitable_table_to_view_details() utility functions to:
	* glom/libglom/data_structure/layout/layoutitem_portal.[h|cc]: Also
	move other privately-used utility functions here too, from Base_DB.
	* glom/mode_design/layout/dialog_layout_calendar_related.cc: update_ui():
	* glom/mode_design/layout/dialog_layout_list_related.cc: update_ui():
	* glom/mode_data/box_data_portal.cc:
	get_has_suitable_record_to_view_details(),
	get_has_suitable_record_to_view_details(): Adapted.

2011-09-27  Murray Cumming  <murrayc@murrayc.com>

	libglom::layout_field_should_have_navigation(): Return Relationship not bool.

	* glom/libglom/db_utils.[h|cc]: layout_field_should_have_navigation():
	Make field_used_in_relationship_to_one() be a Relationship so it can
	be used for actual navigation.
	Also require that the LayoutItem_Field has full field information, instead
	of updating it, so that it can be const.
	* glom/mode_data/datawidget/datawidget.cc: Constructor: Adapted.
	* glom/mode_data/box_data_details.cc:
	on_flowtable_field_open_details_requested(): Use it here instead of the
	copy/pasted code.

2011-09-27  Murray Cumming  <murrayc@murrayc.com>

	Add libglom::layout_field_should_have_navigation().

	* glom/mode_data/datawidget/datawidget.cc: Constructor: Moved decision code
	from here to here:
	* glom/libglom/db_utils.[h|cc]: Added layout_field_should_have_navigation().

2011-09-26  Murray Cumming  <murrayc@murrayc.com>

	Document: Use CSS3 formatting for colors, via Gdk::RGBA.

	* glom/mode_design/layout/dialog_layout_list_related.cc:
	* glom/mode_design/layout/layout_item_dialogs/box_formatting.cc:
	* glom/mode_design/layout/layout_item_dialogs/dialog_line.cc:
	* glom/utility_widgets/canvas/canvas_line_movable.[h|cc]: Use Gdk::RGBA
	instead of Gdk::RGBA everywhere now that goocanvas(mm) supports it.

2011-09-26  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2011-09-26  Murray Cumming  <murrayc@murrayc.com>

	Fixed the ChangeLog

2011-09-26  Murray Cumming  <murrayc@murrayc.com>

	Related Records: Do not try to navigate to an empty record.

	* glom/mode_data/box_data_list_related.cc: on_adddel_user_requested_edit():
	Ignore clicks on the open button of the empty placeholder row, whose
	primary key is null.

2011-09-22  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Add an Align menu.

	* glom/mode_design/print_layouts/window_print_layout_edit.[h|cc]: Add
	menu items for align top, bottom, left, and right. I don't much like the
	copy/pasteness of the code, but it works.

2011-09-22  Murray Cumming  <murrayc@murrayc.com>

	Layout window: Correct the vertical order of Add buttons.

	* ui/developer/window_data_layout.glade: This has been mixed up since some
	time recently, probably due to Glade changes.

2011-09-21  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Show contents of System Preferences in Fields.

	* glom/base_db.cc: get_field_value_in_database(): Only complain about
	a missing key if the relationship needs one.
	* glom/libglom/document/document.cc:
	* glom/print_layout/canvas_layout_item.cc: set_db_data(): Show an
	empty image if there is no pixbuf.
	* glom/print_layout/canvas_print_layout.[h|cc]: Added
	fill_with_data_system_preferences() to show details from the system
	preferences, if appropriate. This is possible because we do not need a
	specific record to show values from the one record in System Preferences.
	add_canvas_layout_item(), on_context_menu_edit(): Call it.

2011-09-21  Murray Cumming  <murrayc@murrayc.com>

	Details: Avoid warning when using System Preferences fields.

	* glom/libglom/document/document.cc: get_field_used_in_relationship_to_one():
	Do not complain when the system preferences table is not found.

2011-09-21  Murray Cumming  <murrayc@murrayc.com>

	Avoid "m_backend is NULL" warning at startup.

	* glom/libglom/connectionpool.[h|cc]: Added get_instance_is_ready().
	* glom/application.cc: update_userlevel_ui(): Use it, because it might not
	be ready, causing a (harmless) stderr warning.

2011-09-21  Murray Cumming  <murrayc@murrayc.com>

	1.19.11

2011-09-21  Murray Cumming  <murrayc@murrayc.com>

	Require latest libgdamm, for the Value::operator=() fix.

	* configure.ac: This avoids a blank details view when changing to developer
	mode.

2011-09-20  Murray Cumming  <murrayc@murrayc.com>

	Details: Avoid an empty layout when changing to developer mode.

	* glom/mode_data/box_data_details.cc: on_userlevel_changed(): Recreate
	and refill the layout, instead of just recreating it.

2011-09-20  Murray Cumming  <murrayc@murrayc.com>

	Some checks for GValues with invalid types.

	* glom/libglom/data_structure/glomconversions.cc: value_is_empty():
	Also check for a 0 GType, which now (in libgda-5.0) means invalid, not
	SQL-null.
	* glom/mode_data/box_data_details.cc:
	set_found_set_from_primary_key_value(): Use value_is_empty() instead of
	checking for a null value.

2011-09-20  Murray Cumming  <murrayc@murrayc.com>

	Changelog fixes

2011-09-20  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Use foregroud colors from the text/field formatting.

	* glom/print_layout/canvas_layout_item.cc: apply_formatting():
	Correctly use the foreground color, though the background color is not
	used yet.

2011-09-20  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Layout: Fix alignment/expansion of the line options.

	* ui/developer/window_data_layout.glade: Remove some horizontal expand=true.

2011-09-20  Murray Cumming  <murrayc@murrayc.com>

	Correct the ChangeLog

2011-09-20  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Related Records: Do not show editing formatting options.

	* glom/mode_design/layout/dialog_layout.[h|cc]: Add m_editable_layout,
	defaulting to true.
	* glom/mode_design/layout/dialog_layout_details.cc: on_button_formatting():
	Use m_editable_layout to avoid showing some formatting options.
	* glom/mode_design/layout/dialog_layout_list_related.cc: set_document():
	Set m_editable_layout to false for print layout.

2011-09-19  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Use the correct numeric formatting.

	* glom/print_layout/canvas_print_layout.cc: set_canvas_item_field_value():
	For instance, use the default field formatting. Otherwise numbers tend
	to have thousands separators and no decimal places by default.

2011-09-19  Mario Blättermann  <mariobl@gnome.org>

	[l10n] Updated German translation

2011-09-19  Murray Cumming  <murrayc@murrayc.com>

	Images: Avoid a warning when choosing.

	* glom/utility_widgets/imageglom.cc: on_menupopup_activate_select_file():
	Avoid a warning about reinitializing a GValue when choosing an image file.

2011-09-17  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2011-09-15  Martin Srebotnjak  <miles@filmsi.net>

	Updated Slovenian translation

2011-09-15  dmustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2011-09-13  Murray Cumming  <murrayc@murrayc.com>

	Remove the Add Related Table feature.

	* glom/application.cc: init_menus():
	* glom/frame_glom.[h|cc]: on_menu_Tables_AddRelatedTable(): Remove the
	Tables/Add Related Table menu item (and feature) because, though it is
	useful, it requires explanation and is probably confusing to new users.

	Of course you can still add tables and then a relationship to them manually.

2011-09-12  Murray Cumming  <murrayc@murrayc.com>

	1.19.10

2011-09-12  Murray Cumming  <murrayc@murrayc.com>

	UsesRelationship: Added get_relationship_display_name().

	* glom/mode_design/layout/dialog_layout_calendar_related.cc: update_ui():
	* glom/mode_design/layout/dialog_layout_list_related.cc: update_ui():
	Move some code into
	* glom/libglom/data_structure/layout/usesrelationship.[h|cc]:
	get_relationship_display_name() to avoid repetition.

2011-09-12  Murray Cumming  <murrayc@murrayc.com>

	Related Records: Correct automatic navigation to related relationships.

	* glom/base_db.[h|cc]: get_portal_navigation_relationship_automatic():
	Remove the unused (well, should have been unused) navigation_main output
	parameter.
	Document the method so we know what the parameters and result really mean.
	In particular, a empty result means that the portal's regular relationship
	should just be used.
	* glom/mode_data/box_data_portal.[h|cc]: get_suitable_table_to_view_details():
	Document its parameters so we know what table the relationship belongs to,
	if any relationship is even needed.
	Use get_navigation_relationship_specific() if specified and correct the
	logic so that the correct table is always used.
	get_suitable_record_to_view_details(): Document this too.
	* glom/mode_design/layout/dialog_layout_calendar_related.cc: update_ui():
	* glom/mode_design/layout/dialog_layout_list_related.cc: update_ui():
	Adapted.

2011-09-09  Murray Cumming  <murrayc@murrayc.com>

	ComboGlom::set_value(): Do not cause a change to be signalled.

	* glom/mode_data/datawidget/combo.[h|cc]: Prevent unsuitable signal
	emissions when setting the value programatically.

2011-09-09  Murray Cumming  <murrayc@murrayc.com>

	Do not create XML documents containing form feeds.

	* glom/libglom/utils.[h|cc]: Added string_clean_for_xml(), though it is
	currently inefficient and copies the whole string even when not changing it.
	* glom/libglom/document/document.cc: set_child_text_node(),
	set_node_text_child_as_value(), save_before(): Always use that utility
	method before giving the child text string to libxml, because libxml will
	just write it out to the file, creating an invalid XML file that it can't
	read back in.

2011-09-09  Murray Cumming  <murrayc@murrayc.com>

	Related records portals: Allow navigation via read-only relationships.

	* glom/mode_data/box_data_list_related.cc: on_adddel_user_requested_edit():
	Remove the check for a non-editable relationship, because that is about
	editing, but this is about opening, and we already have the navigation=None
	option.

2011-09-09  Murray Cumming  <murrayc@murrayc.com>

	Improve some stdcerr output.

2011-09-09  Marek Černocký  <marek@manet.cz>

	Updated Czech translation

2011-09-09  Murray Cumming  <murrayc@murrayc.com>

	Script Library: Prevent a crash when opening the dialog.

	* ui/developer/dialog_script_library.glade: Change the GtkComboBox to a
	GtkComboBoxText as intended, to prevent a crash when it has no model.
	* glom/utility_widgets/combo_textglade.[h|cc]: Add a check that there is a
	model.

2011-09-09  Murray Cumming  <murrayc@murrayc.com>

	This one actually works, and works around the GdaNumeric problem in pygobject.

2011-09-08  Murray Cumming  <murrayc@murrayc.com>

	DataWidget: Do not expand the Open and Find buttons.

	* glom/mode_data/datawidget/datawidget.cc: Use Gtk::PACK_SHRINK.

2011-09-08  Murray Cumming  <murrayc@murrayc.com>

	Print Layout: Do not show the formatting context menu items when it is useless.

	* glom/print_layout/canvas_print_layout.cc: on_item_show_context_menu():
	Disable the formatting context menu item when appropriate.

2011-09-08  Murray Cumming  <murrayc@murrayc.com>

	Use pygobject-3.0

	* configure.ac: Instead of pygobject-2.0. Because everything else (such as
	the gi.repository.Gda seems to use it, and initializing pygobject-2.0 breaks
	that.

2011-09-08  Murray Cumming  <murrayc@murrayc.com>

	Remove the Mameo UI.

